
package com.ejie.ab63.clientesWS.X43ExpedienteElectronico;

import javax.xml.bind.annotation.XmlAccessType;
import javax.xml.bind.annotation.XmlAccessorType;
import javax.xml.bind.annotation.XmlElement;
import javax.xml.bind.annotation.XmlType;
import javax.xml.bind.annotation.adapters.CollapsedStringAdapter;
import javax.xml.bind.annotation.adapters.XmlJavaTypeAdapter;

/**
 * <p>
 * Java class for TTask complex type.
 * 
 * <p>
 * The following schema fragment specifies the expected content contained within
 * this class.
 * 
 * <pre>
 * &lt;complexType name="TTask">
 *   &lt;complexContent>
 *     &lt;restriction base="{http://www.w3.org/2001/XMLSchema}anyType">
 *       &lt;sequence>
 *         &lt;element ref="{com/ejie/x43s/v2/ttn/xml}taskID"/>
 *         &lt;element ref="{com/ejie/x43s/v2/ttn/xml}taskName"/>
 *         &lt;element name="taskType" type="{com/ejie/x43s/v2/ttn/xml}TTaskType"/>
 *         &lt;element name="taskTypeDescription" type="{com/ejie/x43s/v2/ttn/xml}TTextI18N"/>
 *         &lt;element name="taskFolderInfo" type="{http://www.w3.org/2001/XMLSchema}string"/>
 *         &lt;element ref="{com/ejie/x43s/v2/ttn/xml}taskGUID"/>
 *         &lt;element ref="{com/ejie/x43s/v2/ttn/xml}senderID"/>
 *         &lt;element ref="{com/ejie/x43s/v2/ttn/xml}proceedingID"/>
 *         &lt;element name="creationDate" type="{com/ejie/x43s/v2/ttn/xml}TDateTime"/>
 *         &lt;element name="endingData" type="{com/ejie/x43s/v2/ttn/xml}TDateTime"/>
 *         &lt;element name="status" type="{com/ejie/x43s/v2/ttn/xml}TTaskStatus"/>
 *         &lt;element ref="{com/ejie/x43s/v2/ttn/xml}participantID" minOccurs="0"/>
 *         &lt;element ref="{com/ejie/x43s/v2/ttn/xml}observations"/>
 *         &lt;element name="taskAttachmentList" type="{com/ejie/x43s/v2/ree/xml}TTaskAttachmentList"/>
 *         &lt;element name="motNoComunication" type="{http://www.w3.org/2001/XMLSchema}string" minOccurs="0"/>
 *         &lt;element name="mailboxReject" type="{com/ejie/x43s/v2/ttn/xml}TID64" minOccurs="0"/>
 *         &lt;element name="mailboxGroup" type="{com/ejie/x43s/v2/ttn/xml}TID64" minOccurs="0"/>
 *         &lt;element name="isAutomaticTask" type="{com/ejie/x43s/v2/ttn/xml}TBoolean"/>
 *         &lt;element name="taskNotes" type="{http://www.w3.org/2001/XMLSchema}string" minOccurs="0"/>
 *         &lt;element name="suggestedTaskPerson" type="{com/ejie/x43s/v2/ttn/xml}TPersonIDName" minOccurs="0"/>
 *       &lt;/sequence>
 *     &lt;/restriction>
 *   &lt;/complexContent>
 * &lt;/complexType>
 * </pre>
 * 
 * 
 */
@XmlAccessorType(XmlAccessType.FIELD)
@XmlType(name = "TTask", propOrder = { "taskID", "taskName", "taskType", "taskTypeDescription", "taskFolderInfo",
		"taskGUID", "senderID", "proceedingID", "creationDate", "endingData", "status", "participantID", "observations",
		"taskAttachmentList", "motNoComunication", "mailboxReject", "mailboxGroup", "isAutomaticTask", "taskNotes",
		"suggestedTaskPerson" })
public class TTask {

	@XmlElement(namespace = "com/ejie/x43s/v2/ttn/xml", required = true)
	@XmlJavaTypeAdapter(CollapsedStringAdapter.class)
	protected String taskID;
	@XmlElement(namespace = "com/ejie/x43s/v2/ttn/xml", required = true)
	protected TTextI18N taskName;
	@XmlElement(required = true)
	protected TTaskType taskType;
	@XmlElement(required = true)
	protected TTextI18N taskTypeDescription;
	@XmlElement(required = true)
	protected String taskFolderInfo;
	@XmlElement(namespace = "com/ejie/x43s/v2/ttn/xml", required = true)
	@XmlJavaTypeAdapter(CollapsedStringAdapter.class)
	protected String taskGUID;
	@XmlElement(namespace = "com/ejie/x43s/v2/ttn/xml", required = true)
	protected TPersonIDName senderID;
	@XmlElement(namespace = "com/ejie/x43s/v2/ttn/xml", required = true)
	@XmlJavaTypeAdapter(CollapsedStringAdapter.class)
	protected String proceedingID;
	@XmlElement(required = true)
	protected String creationDate;
	@XmlElement(required = true)
	protected String endingData;
	@XmlElement(required = true)
	protected TTaskStatus status;
	@XmlElement(namespace = "com/ejie/x43s/v2/ttn/xml")
	@XmlJavaTypeAdapter(CollapsedStringAdapter.class)
	protected String participantID;
	@XmlElement(namespace = "com/ejie/x43s/v2/ttn/xml", required = true)
	protected TTextI18N observations;
	@XmlElement(required = true)
	protected TTaskAttachmentList taskAttachmentList;
	protected String motNoComunication;
	@XmlJavaTypeAdapter(CollapsedStringAdapter.class)
	protected String mailboxReject;
	@XmlJavaTypeAdapter(CollapsedStringAdapter.class)
	protected String mailboxGroup;
	@XmlElement(required = true)
	protected TBoolean isAutomaticTask;
	protected String taskNotes;
	protected TPersonIDName suggestedTaskPerson;

	/**
	 * Gets the value of the taskID property.
	 * 
	 * @return possible object is {@link String }
	 * 
	 */
	public String getTaskID() {
		return taskID;
	}

	/**
	 * Sets the value of the taskID property.
	 * 
	 * @param value
	 *            allowed object is {@link String }
	 * 
	 */
	public void setTaskID(String value) {
		this.taskID = value;
	}

	/**
	 * Gets the value of the taskName property.
	 * 
	 * @return possible object is {@link TTextI18N }
	 * 
	 */
	public TTextI18N getTaskName() {
		return taskName;
	}

	/**
	 * Sets the value of the taskName property.
	 * 
	 * @param value
	 *            allowed object is {@link TTextI18N }
	 * 
	 */
	public void setTaskName(TTextI18N value) {
		this.taskName = value;
	}

	/**
	 * Gets the value of the taskType property.
	 * 
	 * @return possible object is {@link TTaskType }
	 * 
	 */
	public TTaskType getTaskType() {
		return taskType;
	}

	/**
	 * Sets the value of the taskType property.
	 * 
	 * @param value
	 *            allowed object is {@link TTaskType }
	 * 
	 */
	public void setTaskType(TTaskType value) {
		this.taskType = value;
	}

	/**
	 * Gets the value of the taskTypeDescription property.
	 * 
	 * @return possible object is {@link TTextI18N }
	 * 
	 */
	public TTextI18N getTaskTypeDescription() {
		return taskTypeDescription;
	}

	/**
	 * Sets the value of the taskTypeDescription property.
	 * 
	 * @param value
	 *            allowed object is {@link TTextI18N }
	 * 
	 */
	public void setTaskTypeDescription(TTextI18N value) {
		this.taskTypeDescription = value;
	}

	/**
	 * Gets the value of the taskFolderInfo property.
	 * 
	 * @return possible object is {@link String }
	 * 
	 */
	public String getTaskFolderInfo() {
		return taskFolderInfo;
	}

	/**
	 * Sets the value of the taskFolderInfo property.
	 * 
	 * @param value
	 *            allowed object is {@link String }
	 * 
	 */
	public void setTaskFolderInfo(String value) {
		this.taskFolderInfo = value;
	}

	/**
	 * Gets the value of the taskGUID property.
	 * 
	 * @return possible object is {@link String }
	 * 
	 */
	public String getTaskGUID() {
		return taskGUID;
	}

	/**
	 * Sets the value of the taskGUID property.
	 * 
	 * @param value
	 *            allowed object is {@link String }
	 * 
	 */
	public void setTaskGUID(String value) {
		this.taskGUID = value;
	}

	/**
	 * Gets the value of the senderID property.
	 * 
	 * @return possible object is {@link TPersonIDName }
	 * 
	 */
	public TPersonIDName getSenderID() {
		return senderID;
	}

	/**
	 * Sets the value of the senderID property.
	 * 
	 * @param value
	 *            allowed object is {@link TPersonIDName }
	 * 
	 */
	public void setSenderID(TPersonIDName value) {
		this.senderID = value;
	}

	/**
	 * Gets the value of the proceedingID property.
	 * 
	 * @return possible object is {@link String }
	 * 
	 */
	public String getProceedingID() {
		return proceedingID;
	}

	/**
	 * Sets the value of the proceedingID property.
	 * 
	 * @param value
	 *            allowed object is {@link String }
	 * 
	 */
	public void setProceedingID(String value) {
		this.proceedingID = value;
	}

	/**
	 * Gets the value of the creationDate property.
	 * 
	 * @return possible object is {@link String }
	 * 
	 */
	public String getCreationDate() {
		return creationDate;
	}

	/**
	 * Sets the value of the creationDate property.
	 * 
	 * @param value
	 *            allowed object is {@link String }
	 * 
	 */
	public void setCreationDate(String value) {
		this.creationDate = value;
	}

	/**
	 * Gets the value of the endingData property.
	 * 
	 * @return possible object is {@link String }
	 * 
	 */
	public String getEndingData() {
		return endingData;
	}

	/**
	 * Sets the value of the endingData property.
	 * 
	 * @param value
	 *            allowed object is {@link String }
	 * 
	 */
	public void setEndingData(String value) {
		this.endingData = value;
	}

	/**
	 * Gets the value of the status property.
	 * 
	 * @return possible object is {@link TTaskStatus }
	 * 
	 */
	public TTaskStatus getStatus() {
		return status;
	}

	/**
	 * Sets the value of the status property.
	 * 
	 * @param value
	 *            allowed object is {@link TTaskStatus }
	 * 
	 */
	public void setStatus(TTaskStatus value) {
		this.status = value;
	}

	/**
	 * Gets the value of the participantID property.
	 * 
	 * @return possible object is {@link String }
	 * 
	 */
	public String getParticipantID() {
		return participantID;
	}

	/**
	 * Sets the value of the participantID property.
	 * 
	 * @param value
	 *            allowed object is {@link String }
	 * 
	 */
	public void setParticipantID(String value) {
		this.participantID = value;
	}

	/**
	 * Gets the value of the observations property.
	 * 
	 * @return possible object is {@link TTextI18N }
	 * 
	 */
	public TTextI18N getObservations() {
		return observations;
	}

	/**
	 * Sets the value of the observations property.
	 * 
	 * @param value
	 *            allowed object is {@link TTextI18N }
	 * 
	 */
	public void setObservations(TTextI18N value) {
		this.observations = value;
	}

	/**
	 * Gets the value of the taskAttachmentList property.
	 * 
	 * @return possible object is {@link TTaskAttachmentList }
	 * 
	 */
	public TTaskAttachmentList getTaskAttachmentList() {
		return taskAttachmentList;
	}

	/**
	 * Sets the value of the taskAttachmentList property.
	 * 
	 * @param value
	 *            allowed object is {@link TTaskAttachmentList }
	 * 
	 */
	public void setTaskAttachmentList(TTaskAttachmentList value) {
		this.taskAttachmentList = value;
	}

	/**
	 * Gets the value of the motNoComunication property.
	 * 
	 * @return possible object is {@link String }
	 * 
	 */
	public String getMotNoComunication() {
		return motNoComunication;
	}

	/**
	 * Sets the value of the motNoComunication property.
	 * 
	 * @param value
	 *            allowed object is {@link String }
	 * 
	 */
	public void setMotNoComunication(String value) {
		this.motNoComunication = value;
	}

	/**
	 * Gets the value of the mailboxReject property.
	 * 
	 * @return possible object is {@link String }
	 * 
	 */
	public String getMailboxReject() {
		return mailboxReject;
	}

	/**
	 * Sets the value of the mailboxReject property.
	 * 
	 * @param value
	 *            allowed object is {@link String }
	 * 
	 */
	public void setMailboxReject(String value) {
		this.mailboxReject = value;
	}

	/**
	 * Gets the value of the mailboxGroup property.
	 * 
	 * @return possible object is {@link String }
	 * 
	 */
	public String getMailboxGroup() {
		return mailboxGroup;
	}

	/**
	 * Sets the value of the mailboxGroup property.
	 * 
	 * @param value
	 *            allowed object is {@link String }
	 * 
	 */
	public void setMailboxGroup(String value) {
		this.mailboxGroup = value;
	}

	/**
	 * Gets the value of the isAutomaticTask property.
	 * 
	 * @return possible object is {@link TBoolean }
	 * 
	 */
	public TBoolean getIsAutomaticTask() {
		return isAutomaticTask;
	}

	/**
	 * Sets the value of the isAutomaticTask property.
	 * 
	 * @param value
	 *            allowed object is {@link TBoolean }
	 * 
	 */
	public void setIsAutomaticTask(TBoolean value) {
		this.isAutomaticTask = value;
	}

	/**
	 * Gets the value of the taskNotes property.
	 * 
	 * @return possible object is {@link String }
	 * 
	 */
	public String getTaskNotes() {
		return taskNotes;
	}

	/**
	 * Sets the value of the taskNotes property.
	 * 
	 * @param value
	 *            allowed object is {@link String }
	 * 
	 */
	public void setTaskNotes(String value) {
		this.taskNotes = value;
	}

	/**
	 * Gets the value of the suggestedTaskPerson property.
	 * 
	 * @return possible object is {@link TPersonIDName }
	 * 
	 */
	public TPersonIDName getSuggestedTaskPerson() {
		return suggestedTaskPerson;
	}

	/**
	 * Sets the value of the suggestedTaskPerson property.
	 * 
	 * @param value
	 *            allowed object is {@link TPersonIDName }
	 * 
	 */
	public void setSuggestedTaskPerson(TPersonIDName value) {
		this.suggestedTaskPerson = value;
	}

}
