
package com.ejie.ab63.clientesWS.ab79WebService;

import java.util.ArrayList;
import java.util.List;

import javax.xml.bind.annotation.XmlAccessType;
import javax.xml.bind.annotation.XmlAccessorType;
import javax.xml.bind.annotation.XmlElement;
import javax.xml.bind.annotation.XmlSchemaType;
import javax.xml.bind.annotation.XmlType;
import javax.xml.datatype.XMLGregorianCalendar;

/**
 * <p>
 * Java class for inspeccionWS complex type.
 * 
 * <p>
 * The following schema fragment specifies the expected content contained within
 * this class.
 * 
 * <pre>
 * &lt;complexType name="inspeccionWS">
 *   &lt;complexContent>
 *     &lt;restriction base="{http://www.w3.org/2001/XMLSchema}anyType">
 *       &lt;sequence>
 *         &lt;element name="datosEstablecimientoWS" type="{http://com.ejie.ab79.serviciosWeb}datosEstablecimientoWS" minOccurs="0"/>
 *         &lt;element name="datosInspeccionWS" type="{http://com.ejie.ab79.serviciosWeb}datosInspeccionWS" maxOccurs="unbounded" minOccurs="0"/>
 *         &lt;element name="fechaLimiteInspeccion" type="{http://www.w3.org/2001/XMLSchema}dateTime" minOccurs="0"/>
 *         &lt;element name="observacionesActuacionInspeccion" type="{http://www.w3.org/2001/XMLSchema}string" minOccurs="0"/>
 *         &lt;element name="tipoInspeccion" type="{http://www.w3.org/2001/XMLSchema}int" minOccurs="0"/>
 *       &lt;/sequence>
 *     &lt;/restriction>
 *   &lt;/complexContent>
 * &lt;/complexType>
 * </pre>
 * 
 * 
 */
@XmlAccessorType(XmlAccessType.FIELD)
@XmlType(name = "inspeccionWS", propOrder = { "datosEstablecimientoWS", "datosInspeccionWS", "fechaLimiteInspeccion",
		"observacionesActuacionInspeccion", "tipoInspeccion" })
public class InspeccionWS {

	protected DatosEstablecimientoWS datosEstablecimientoWS;
	@XmlElement(nillable = true)
	protected List<DatosInspeccionWS> datosInspeccionWS;
	@XmlSchemaType(name = "dateTime")
	protected XMLGregorianCalendar fechaLimiteInspeccion;
	protected String observacionesActuacionInspeccion;
	protected Integer tipoInspeccion;

	/**
	 * Gets the value of the datosEstablecimientoWS property.
	 * 
	 * @return possible object is {@link DatosEstablecimientoWS }
	 * 
	 */
	public DatosEstablecimientoWS getDatosEstablecimientoWS() {
		return datosEstablecimientoWS;
	}

	/**
	 * Sets the value of the datosEstablecimientoWS property.
	 * 
	 * @param value
	 *            allowed object is {@link DatosEstablecimientoWS }
	 * 
	 */
	public void setDatosEstablecimientoWS(DatosEstablecimientoWS value) {
		this.datosEstablecimientoWS = value;
	}

	/**
	 * Gets the value of the datosInspeccionWS property.
	 * 
	 * <p>
	 * This accessor method returns a reference to the live list, not a
	 * snapshot. Therefore any modification you make to the returned list will
	 * be present inside the JAXB object. This is why there is not a
	 * <CODE>set</CODE> method for the datosInspeccionWS property.
	 * 
	 * <p>
	 * For example, to add a new item, do as follows:
	 * 
	 * <pre>
	 * getDatosInspeccionWS().add(newItem);
	 * </pre>
	 * 
	 * 
	 * <p>
	 * Objects of the following type(s) are allowed in the list
	 * {@link DatosInspeccionWS }
	 * 
	 * 
	 */
	public List<DatosInspeccionWS> getDatosInspeccionWS() {
		if (datosInspeccionWS == null) {
			datosInspeccionWS = new ArrayList<DatosInspeccionWS>();
		}
		return this.datosInspeccionWS;
	}

	/**
	 * Gets the value of the fechaLimiteInspeccion property.
	 * 
	 * @return possible object is {@link XMLGregorianCalendar }
	 * 
	 */
	public XMLGregorianCalendar getFechaLimiteInspeccion() {
		return fechaLimiteInspeccion;
	}

	/**
	 * Sets the value of the fechaLimiteInspeccion property.
	 * 
	 * @param value
	 *            allowed object is {@link XMLGregorianCalendar }
	 * 
	 */
	public void setFechaLimiteInspeccion(XMLGregorianCalendar value) {
		this.fechaLimiteInspeccion = value;
	}

	/**
	 * Gets the value of the observacionesActuacionInspeccion property.
	 * 
	 * @return possible object is {@link String }
	 * 
	 */
	public String getObservacionesActuacionInspeccion() {
		return observacionesActuacionInspeccion;
	}

	/**
	 * Sets the value of the observacionesActuacionInspeccion property.
	 * 
	 * @param value
	 *            allowed object is {@link String }
	 * 
	 */
	public void setObservacionesActuacionInspeccion(String value) {
		this.observacionesActuacionInspeccion = value;
	}

	/**
	 * Gets the value of the tipoInspeccion property.
	 * 
	 * @return possible object is {@link Integer }
	 * 
	 */
	public Integer getTipoInspeccion() {
		return tipoInspeccion;
	}

	/**
	 * Sets the value of the tipoInspeccion property.
	 * 
	 * @param value
	 *            allowed object is {@link Integer }
	 * 
	 */
	public void setTipoInspeccion(Integer value) {
		this.tipoInspeccion = value;
	}

}
