package com.ejie.ab63.dao.nora;

/**
 * T17Localidad  
 */

import java.util.List;

import com.ejie.ab63.model.nora.T17Localidad;
import com.ejie.x38.dto.Pagination;

/**
 * T17LocalidadDao  
 * 
 *  
 */
public interface T17LocalidadDao {
	/**
	 * Inserts a single row in the T17Localidad table.
	 * 
	 * @param t17localidad
	 *            T17Localidad
	 * @return T17Localidad
	 */
	T17Localidad add(T17Localidad t17localidad);

	/**
	 * Updates a single row in the T17Localidad table.
	 * 
	 * @param t17localidad
	 *            T17Localidad
	 * @return T17Localidad
	 */
	T17Localidad update(T17Localidad t17localidad);

	/**
	 * Finds a single row in the T17Localidad table.
	 * 
	 * @param t17localidad
	 *            T17Localidad
	 * @return T17Localidad
	 */
	T17Localidad find(T17Localidad t17localidad);

	/**
	 * Deletes a single row in the T17Localidad table.
	 * 
	 * @param t17localidad
	 *            T17Localidad
	 * 
	 */
	void remove(T17Localidad t17localidad);

	/**
	 * Finds a List of rows in the T17Localidad table.
	 * 
	 * @param t17localidad
	 *            T17Localidad
	 * @param pagination
	 *            Pagination<Object>
	 * @return List
	 */
	List<T17Localidad> findAll(T17Localidad t17localidad, Pagination<Object> pagination);

	/**
	 * Counts rows in the T17Localidad table.
	 * 
	 * @param t17localidad
	 *            T17Localidad
	 * @return List
	 */
	Long findAllCount(T17Localidad t17localidad);

	/**
	 * Finds rows in the T17Localidad table using like.
	 * 
	 * @param t17localidad
	 *            T17Localidad
	 * @param pagination
	 *            Pagination<Object>
	 * @param startsWith
	 *            Boolean
	 * 
	 * @return List<T17Localidad>
	 */
	List<T17Localidad> findAllLike(T17Localidad t17localidad, Pagination<Object> pagination, Boolean startsWith);
}
