package com.ejie.ab63.dao.parametros;

import java.util.List;

import com.ejie.ab63.model.parametros.Parametros;
import com.ejie.x38.dto.JQGridRequestDto;

/**
 * ParametrosDao  
 * 
 *  
 */

public interface ParametrosDao {
	/**
	 * Finds a single row in the Parametros table.
	 *
	 * @param parametros
	 *            Parametros
	 * @return Parametros
	 */
	Parametros find(Parametros parametros);

	/**
	 * Finds rows in the Parametros table using like.
	 *
	 * @param parametros
	 *            Parametros
	 * @param jqGridRequestDto
	 *            JQGridRequestDto
	 * @param startsWith
	 *            Boolean
	 * @return List
	 */
	List<Parametros> findAllLike(Parametros parametros, JQGridRequestDto jqGridRequestDto, Boolean startsWith);
}
