package com.ejie.ab63.service;

import java.util.List;

import com.ejie.ab63.model.ZonaOcio;
import com.ejie.x38.dto.TableRequestDto;
import com.ejie.x38.dto.TableResponseDto;
import com.ejie.x38.dto.TableRowDto;

/**
 * Ab6333s00Service  
 * 
 *  
 */

public interface ZonaOcioService {

	/**
	 * Inserts a single row in the Ab6333s00 table.
	 *
	 * @param ab6333s00
	 *            Ab6333s00
	 * @return Ab6333s00
	 */
	ZonaOcio add(ZonaOcio ab6333s00);

	/**
	 * Updates a single row in the Ab6333s00 table.
	 *
	 * @param ab6333s00
	 *            Ab6333s00
	 * @return Ab6333s00
	 */
	ZonaOcio update(ZonaOcio ab6333s00);

	/**
	 * Finds a single row in the Ab6333s00 table.
	 *
	 * @param ab6333s00
	 *            Ab6333s00
	 * @return Ab6333s00
	 */
	ZonaOcio find(ZonaOcio ab6333s00);

	/**
	 * Deletes a single row in the Ab6333s00 table.
	 *
	 * @param ab6333s00
	 *            Ab6333s00
	 */
	void remove(ZonaOcio ab6333s00);

	/**
	 * Finds a list of rows in the Ab6333s00 table.
	 *
	 * @param ab6333s00
	 *            Ab6333s00
	 * @param jqGridRequestDto
	 *            JQGridRequestDto
	 * @return List<Ab6333s00>
	 */
	List<ZonaOcio> findAll(ZonaOcio ab6333s00, TableRequestDto tableRequestDto);

	/**
	 * Finds rows in the Ab6333s00 table using like.
	 *
	 * @param ab6333s00
	 *            Ab6333s00
	 * @param jqGridRequestDto
	 *            JQGridRequestDto
	 * @param startsWith
	 *            Boolean
	 * @return List<Ab6333s00>
	 */
	List<ZonaOcio> findAllLike(ZonaOcio ab6333s00, TableRequestDto tableRequestDto, Boolean startsWith);

	/*
	 * OPERACIONES RUP_TABLE
	 */

	/**
	 * Removes rows from the Ab6333s00 table.
	 *
	 * @param filterAb6333s00
	 *            Ab6333s00
	 * @param jqGridRequestDto
	 *            JQGridRequestDto
	 * @param startsWith
	 *            Boolean
	 */
	void removeMultiple(ZonaOcio filterAb6333s00, TableRequestDto tableRequestDto, Boolean startsWith);

	/**
	 * Filter method in the Ab6333s00 table.
	 *
	 * @param filterAb6333s00
	 *            Ab6333s00
	 * @param jqGridRequestDto
	 *            JQGridRequestDto
	 * @param startsWith
	 *            Boolean
	 * @return JQGridResponseDto<Ab6333s00>
	 */
	TableResponseDto<ZonaOcio> filter(ZonaOcio filterAb6333s00, TableRequestDto tableRequestDto, Boolean startsWith);

	/**
	 * Searches rows in the Ab6333s00 table.
	 *
	 * @param filterAb6333s00
	 *            Ab6333s00
	 * @param searchAb6333s00
	 *            Ab6333s00
	 * @param jqGridRequestDto
	 *            JQGridRequestDto
	 * @param startsWith
	 *            Boolean
	 * @return List<TableRowDto<Ab6333s00>>
	 */
	List<TableRowDto<ZonaOcio>> search(ZonaOcio filterAb6333s00, ZonaOcio searchAb6333s00,
			TableRequestDto tableRequestDto, Boolean startsWith);

	/**
	 * Reorder the selection made in Ab6333s00 table.
	 *
	 * @param filterAb6333s00
	 *            Ab6333s00
	 * @param jqGridRequestDto
	 *            JQGridRequestDto
	 * @param startsWith
	 *            Boolean
	 * @return Object
	 */
	Object reorderSelection(ZonaOcio filterAb6333s00, TableRequestDto tableRequestDto, Boolean startsWith);

	ZonaOcio save(ZonaOcio ab6333s00);

}
