package com.ejie.ab63.service.leerExcel;

import java.io.IOException;
import java.io.InputStream;

import com.ejie.ab63.exceptions.PifException;

/**
 * LeerExcelService
 */

public interface LeerExcelService {

	/**
	 * Procesa la carga masiva de ficheros excel
	 * 
	 * @param idEstablecimiento
	 * @param idEstablecimiento2
	 * 
	 * @return
	 * 
	 * @throws IOException
	 */
	String masivoExcel(InputStream fis, Integer idEstablecimiento, String idTipoEstablecimiento) throws Exception;

	String recuperarExcel(Integer idEstablecimiento, String idTipoEstablecimiento, int isPlantilla)
			throws IOException, PifException;
}
