package com.ejie.ab63.service.plantillas;

import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

import com.ejie.ab63.dao.plantillas.ParametrosConfigDao;
import com.ejie.ab63.model.plantillas.ParametrosConfig;

/**
 * CamposPlantillaServiceImpl  
 * 
 *  
 */

@Service(value = "parametrosconfigService")
public class ParametrosConfigServiceImpl implements ParametrosConfigService {

	@Autowired
	private ParametrosConfigDao parametrosConfigDao;

	/**
	 * Buscamos el valor para saber la configuacion de la vista de plantilla
	 * 
	 * @return ParametrosConfig parametrosConfig
	 */
	public ParametrosConfig find(ParametrosConfig parametrosConfig) {

		return (ParametrosConfig) this.parametrosConfigDao.find(parametrosConfig);
		// this.camposPlantillaDao.find(camposPlantilla);
	}

}
