<!doctype html>
 
<%@page pageEncoding="UTF-8" contentType="text/html; charset=UTF-8"%>
<%@ include file="/WEB-INF/includeTemplate.inc" %>
<%@ taglib prefix="tiles" uri="/WEB-INF/tld/tiles-jsp.tld" %>

<html class="no-js" lang="">
<head>
	<!-- Version 07/10/2019 -->
	<meta http-equiv="Content-Type" content="text/html;charset=UTF-8" />
	<meta http-equiv="X-UA-Compatible" content="IE=edge">
	<title><spring:message code="app.title" /></title>
	<meta name="description" content="">
  <meta name="viewport" content="width=device-width, initial-scale=1">

	<%-- Estilos RUP sin minimizar (DESARROLLO) --%>
<%-- <%@include file="/WEB-INF/layouts/includes/rup.styles.inc"%> --%>
	<%-- Estilos RUP sin minimizar (PRODUCCION) --%>
	<%@include file="/WEB-INF/layouts/includes/rup.styles.min.inc" %>
	<%-- Estilos RUP para integración en portal --%>
<%-- 	<%@include file="/WEB-INF/layouts/includes/rup.styles.portal.inc" %> --%>
	<%-- Estilos Aplicacion --%>
	<%@include file="/WEB-INF/layouts/includes/ab63.styles.inc"%>

</head>
<body>
	<div class="contenedor">
		<!-- Cabecera -->
		<tiles:insertAttribute name="header" />
		
		<!-- InitForm -->
		<tiles:insertAttribute name="initForm" />
		
		<!-- Menu -->
		<tiles:insertAttribute name="menu" />

		<!-- Expediente Header-->
		<tiles:insertAttribute name="expedienteHeader"/>
		
		<!-- Contenidos -->
		<div class="content" >
			<tiles:insertAttribute name="content"/>
		</div>

		<!-- Pie -->
		<tiles:insertAttribute name="footer" />
		
		<!-- Inspeciones -->
		<tiles:insertAttribute name="inspeciones" />

		
		<!-- Fecha Dialog -->
		<tiles:insertAttribute name="dialogFechaInscripcion" />
		
		<!-- Inicio Oficio -->
		<tiles:insertAttribute name="inicioOficio" />

		<!-- Includes JS -->
		<tiles:insertAttribute name="base-includes" />
		<tiles:insertAttribute name="includes" />
		<tiles:insertAttribute name="expedienteHeader-includes"/>
		<tiles:insertAttribute name="inspeciones-header"/>
		<tiles:insertAttribute name="inicioOficio-header"/>
	</div>
</body>
</html>