<%@page pageEncoding="UTF-8" contentType="text/html; charset=UTF-8"%>
<%@include file="/WEB-INF/includeTemplate.inc"%>
<%@ taglib prefix="sec" uri="http://www.springframework.org/security/tags" %>

 <div id="divNavBarPrincipal">
	<nav class="navbar navbar-expand-lg navbar-light bg-light navbar-principal">
	  <div class="container">
		  <!-- Collect the nav links, forms, and other content for toggling -->
		   <div class="collapse navbar-collapse" id="bs-example-navbar-collapse-1">
				<ul id="menuApp" class="navbar-nav mr-auto">
				  <!-- Los tecnicos de comercio y turismo no pueden acceder a esta opcion de menu -->
					<li id="mnFichaConsulta" class="nav-item  dropdown">
						<a href="/ab63WebAppWar/establecimientos/maint" class="nav-link dropdown-toggle" data-toggle="dropdown" role="button" aria-haspopup="true" aria-expanded="false"><spring:message code="consultaREATE" /> <span class="caret"></span></a>
					  	<div class="dropdown-menu">
							<a class="dropdown-item" href="/ab63WebAppWar/establecimientos/maint"><spring:message code="consultaREATE" /></a>
							<a class="dropdown-item" href="/ab63WebAppWar/establecimientos/maint?tipoRegistro=Q"><spring:message code="consultaREATE.pendientesAlCenso" /></a>
					  	</div>
					</li>
					<li  class="nav-item">
						<a class="nav-link" href="/ab63WebAppWar/listados/maint" onclick="accederMenuPrincipal('listados')" aria-haspopup="true" ><spring:message code="listados"/></a>
					</li>
					<!-- <li class="nav-item " id="mnFichaExpediente"><a  class="nav-link"  onclick="accederMenuPrincipal('fichaExpediente')"><spring:message code="fexpediente" /></a></li> -->
					<li id="mnMaestros" class="nav-item  dropdown">
						<a href="#" class="nav-link dropdown-toggle" data-toggle="dropdown" role="button" aria-haspopup="true" aria-expanded="false"><spring:message code="tablasmaestras" /> <span class="caret"></span></a>
						<div class="dropdown-menu">
							<a class="dropdown-item" href="/ab63WebAppWar/tipoEstablecimiento/maint" onclick="accederMenuPrincipal('tipoEstablecimiento')"  class="nav-item "><spring:message code="tablasmaestras.tipoEstablecimiento" /></a>
							<a class="dropdown-item" href="/ab63WebAppWar/categoria/maint" onclick="accederMenuPrincipal('categoria')"  class="nav-item "><spring:message code="tablasmaestras.categoria" /></a>
							<a class="dropdown-item" href="/ab63WebAppWar/especialidad/maint" onclick="accederMenuPrincipal('especialidad')"  class="nav-item "><spring:message code="tablasmaestras.especialidad" /></a>
							<a class="dropdown-item" href="/ab63WebAppWar/grupo/maint" onclick="accederMenuPrincipal('grupo')"  class="nav-item "><spring:message code="tablasmaestras.grupo" /></a>
							<a class="dropdown-item" href="/ab63WebAppWar/modalidad/maint" onclick="accederMenuPrincipal('modalidad')"  class="nav-item "><spring:message code="tablasmaestras.modalidad" /></a>
							<a class="dropdown-item" href="/ab63WebAppWar/tipoHabitacion/maint" onclick="accederMenuPrincipal('tipoHabitacion')"  class="nav-item "><spring:message code="tablasmaestras.tipoHab" /></a>
							<a class="dropdown-item" href="/ab63WebAppWar/tipoAseo/maint" onclick="accederMenuPrincipal('tipoAseo')"  class="nav-item "><spring:message code="tablasmaestras.tipoAseo" /></a>
							<a class="dropdown-item" href="/ab63WebAppWar/tipoFranquicia/maint" onclick="accederMenuPrincipal('tipoFranquicia')"  class="nav-item "><spring:message code="tablasmaestras.franquicia" /></a>
							
						</div>
					</li>
				</ul>
				  
				<ul class="navbar-nav ml-auto">
					<li class="nav-item dropdown">
						<a href="#" class="nav-link dropdown-toggle" data-toggle="dropdown" role="button" aria-haspopup="true" aria-expanded="false">
					  		<i class="fa fa-user-circle-o" aria-hidden="true"></i> ${usuario.nombreUsuario}
					 		<span class="caret"></span>
						</a>
						<div class="dropdown-menu">
							<a class="dropdown-item" href="#"><i class="fa fa-question-circle" aria-hidden="true"></i><spring:message code="expediente.ayuda" /></a>
							<div role="dropdown-divider" class="divider"></div>
							<a class="dropdown-item" onclick="logoutFuncion()"><i class="fa fa-sign-out" aria-hidden="true"></i><spring:message code="cerrarSesion" /></a>						</div>
					</li>
				</ul>
		   </div><!-- /.navbar-collapse -->
	  </div><!-- /.container-fluid -->
	</nav>
</div>

<div id="overlay"></div>