<%@ page language="java" contentType="text/html; charset=UTF-8" pageEncoding="UTF-8"%>
<%@include file="/WEB-INF/includeTemplate.inc"%>
<%@taglib prefix="form" uri="/WEB-INF/tld/spring-form.tld"%>
<%@taglib prefix="tiles" uri="/WEB-INF/tld/tiles-jsp.tld"%>
<%@page import="java.util.List,org.springframework.validation.ObjectError"%>
<%@ taglib prefix="c" uri="http://java.sun.com/jsp/jstl/core"%>
<%@page import="com.ejie.ab63.comun.Constantes"%>
<c:set var="TIPO_REGISTRO_DEFINITIVO" value="<%=Constantes.ID_DIRECCION_SOLICITANTE%>" />
<c:set var="TIPO_REGISTRO_TEMPORAL" value="<%=Constantes.ID_DIRECCION_SOLICITANTE%>" />




<section>
	<div id="divNavBarSecundario">
		<nav class="navbar navbar-default navbar-secundario">
			<div class="container">
				<div class="pull-left mov10top">
					<c:if test="${ busqREATE.tipoRegistro ne 'Q'}">
						<h2><spring:message code="busquedaREATE.titulo"/></h2>
					</c:if>
					<c:if test="${ busqREATE.tipoRegistro eq 'Q'}">
						<h2><spring:message code="busquedaREATE.tituloPendientes"/></h2>
					</c:if>
				</div>
				<div class="pull-right">
				<sec:authorize access="hasRole('ROLE_AB63-PF-0001') and hasRole('ROLE_AB63-PF-0002')  and hasRole('ROLE_AB63-PF-0003') and hasRole('ROLE_AB63-PF-0004')">
   					<button type="button" id="anyadirEstablecimientoButton" class="btn btn-primary btn-circle btn-lg btnVerResultado" data-toggle="tooltip" data-placement="bottom" title="<spring:message code="establecimiento.nuevoEstablecimiento"/>" data-original-title="Anyaadir Establecimiento"><i class="fa fa-file-o" aria-hidden="true"></i></button>
				</sec:authorize>
									
					<button type="button" id="busqREATE" class="btn btn-primary btn-circle btn-lg btnVerResultado" data-toggle="tooltip" data-placement="bottom" title="" data-original-title="Buscar REATES"><i class="fa fa-search" aria-hidden="true"></i></button>
					<div class="btn-group margin-left-10">
						<button type="button" class="btn btn-default btn-circle btn-lg btnLimiarResultado" aria-haspopup="true" aria-expanded="false" data-toggle="dropdown" id="btnNuevo">
							<i class="fa fa-eraser" aria-hidden="true" data-toggle="tooltip" data-placement="bottom" title="Limpiar busqueda"></i>
						</button>
					</div>
				</div>
			</div>
		</nav>
	</div>
</section>   
<section>
	<div class="container">
		<div id="capaError"></div>
		<div id="capaError_feedback"></div>
		<form:form id="tblBusqREATE_filter_form" modelAttribute="busqREATE"  class="form-horizontal">
		<fieldset class="rup-table-filter-fieldset">
			<div class="card">	
				<div class="card-header"><spring:message code="busquedaREATE.criteriosBusqueda"/></div>
				<div class="card-body">
					<div class="row">
						<div class="col-xs-4 form-group">
							<div class="col-xs-8 form-group">
								<label for="identificadorEstablecimiento"><spring:message code="establecimiento.numResgitro"/></label>
								<form:input type="hidden" path="identificadorEstablecimiento" id="identificadorEst" name="identificadorEstablecimiento"></form:input>
								<div class="row">
								<div class="col-xs-3 form-group">
									<form:input name="tipoEstSignaturaFilter" id="numRegistroLetra" path="" type="text" maxlength="1"  size="1" required autocomplete="off"></form:input>
								</div>
								<div class="col-xs-3 form-group">
									<form:input name="zonaSignaturaFilter" id="numRegistroProvincia" path="" type="text" maxlength="2"  size="2" autocomplete="off" required ></form:input>
								</div>
								<div class="col-xs-4 form-group">
									<form:input name="correlativoSignaturaFilter" id="numRegistroNumeros" path="" type="text" maxlength="5"  size="3" autocomplete="off"></form:input>
								</div>
							</div>
							</div>
							<div class="col-xs-4 form-group"></div>
						</div>
						<div class="col-xs-4 form-group">
							<label for="descrNombre"><spring:message code="establecimiento.nombreComercial"/></label>
							<form:input id="descrNombre" path="" type="text" class="form-control" name="descrNombre" ></form:input>
						</div>
						<div class="col-xs-4 form-group">
							<label for="mostrar"><spring:message code="establecimiento.mostrar"/></label>
							<select id="mostrar" class="form-control"  aria-disabled="false" tabindex="0" name="mostrar" >
								<option value="0"><spring:message code="establecimiento.soloActivos"/></option>
								<option value="1"><spring:message code="establecimiento.soloBaja"/></option>
								<option value="2"><spring:message code="establecimiento.ambos"/></option>
							</select>
						</div>
					</div>
					
					<div class="row">
						<div class="col-xs-4 form-group">
						<input type="hidden" id="tipoEstablecimientoHidden" value="" />
						<label for="tipoEstablecimiento"><spring:message code="establecimiento.tipoEstablecimiento"/></label>
						<form:select path="tipoEstablecimiento.idTipoEstablecimiento"  id="idComboTipoEstablecimiento" class="form-control" name="tipoEstablecimiento.idTipoEstablecimiento"></form:select>
						</div>
						<div class="col-xs-4 form-group">		
<!-- 							<div class="movchekbox checkbox"> -->
<!-- 							<input type="checkbox" id="incluirSucursales" name="incluirSucursales"/> -->
<%-- 							<label for="incluirSucursales"><spring:message code="establecimiento.incluirSucursales" /></label> --%>
<!-- 							</div> -->
						</div>
						<div class="col-xs-4 form-group">
<%-- 						<label for="CIE"><spring:message code="establecimiento.CIE"/></label> --%>
<%-- 						<form:input id="CIE" path="" type="text" class="form-control" name="CIE"  ></form:input> --%>
						</div>
					</div>
					<div class="row">
						<div class="col-xs-4 form-group">
						<label for="categoria"><spring:message code="establecimiento.categoria"/></label>
						<form:select path="categoria.idCategorias"  id="idComboTipoCategoria" class="form-control" name="categoria.idCategorias" ></form:select>
						</div>
						<div class="col-xs-4 form-group">
						<label for="modalidad"><spring:message code="establecimiento.modalidad"/></label>
						<form:select path="modalidad.idModalidad" id="idComboModalidad" class="form-control" name="modalidad.idModalidad" ></form:select>
						</div>
						<div class="col-xs-4 form-group"></div>
					</div>
					<div class="row">
						<div class="col-xs-4 form-group">
						<label for="especialidad"><spring:message code="establecimiento.especialidad"/></label>
						<form:select path="especialidad.idEspecialidad" id="idComboEspecialidad" class="form-control" name="especialidad.idEspecialidad" ></form:select>
						</div>
						<div class="col-xs-4 form-group">
						<label for="grupo"><spring:message code="establecimiento.grupo"/></label>
						<form:select path="grupo.idGrupo" id="idComboGrupo" class="form-control" name="grupo.idGrupo" ></form:select>
						</div>
						<div class="col-xs-4 form-group"></div>
						
					</div>
					<div class="row">
						<div class="col-xs-4 form-group">
							<label for="idAperturaDesde"><spring:message code="establecimiento.apertura"/></label><br/>
							<div class="rup-date-input-group">
								<input type="text" class="form-control" id="idAperturaDesde"  placeholder="(dd/mm/aaaa) " maxlength="10" name="aperturaDesde" >		
							</div> 
							<label for="idAperturaHasta"><spring:message code="establecimiento.fechaHasta"/></label><br/>
							<div class="rup-date-input-group">
								<input type="text" class="form-control" id="idAperturaHasta"  placeholder="(dd/mm/aaaa) " maxlength="10" name="aperturaHasta" >
							</div>
						</div>
						<div class="col-xs-4 form-group">
							<label for="ultimaInspeccionDesde"><spring:message code="establecimiento.ultimaInspeccion"/></label><br/>
							<div class="rup-date-input-group">
								<input type="text" class="form-control" id="ultimaInspeccionDesde"  placeholder="(dd/mm/aaaa) " maxlength="10" name="ultimaInspeccionDesde" >			
							</div> 
							<label for="ultimaInspeccionHasta"><spring:message code="establecimiento.fechaHasta"/></label><br/>
							<div class="rup-date-input-group">
								<input type="text" class="form-control" id="ultimaInspeccionHasta"  placeholder="(dd/mm/aaaa) " maxlength="10" name="ultimaInspeccionHasta" >								
							</div>
						</div>
						<div class="col-xs-4 form-group">
							<label for="ultimaModificacionDesde"><spring:message code="establecimiento.ultimaModificacion"/></label><br/>
							<div class="rup-date-input-group">
								<input type="text" class="form-control" id="ultimaModificacionDesde"  placeholder="(dd/mm/aaaa) " maxlength="10" name="ultimaModificacionDesde" >
							</div> 
							<label for="ultimaModificacionHasta"><spring:message code="establecimiento.fechaHasta"/></label><br/>
							<div class="rup-date-input-group">
								<input type="text" class="form-control" id="ultimaModificacionHasta"  placeholder="(dd/mm/aaaa) " maxlength="10" name="ultimaModificacionHasta" >
							</div>
						</div>
					</div>
					
					<div class="card">
					<div class="card-header"><spring:message code="establecimiento.ubicacionempresa"/></div>
						<div class="card-body">
							<div class="row">
								<div class="col-xs-4 form-group">
									<label><spring:message code="establecimiento.provincia"/></label>
									<div class="input-group">
										<input id="idProvinciaHidden" type="text" class="form-control" value="${provincia}" name="datosDirecciones.idProvincia"/>
										<span class="input-group-addon">&nbsp;&nbsp;</span>
										<select id="idProvinciaSolicitante" name="idProvinciaSolicitante" class="form-control" ></select>
									</div>
								</div>
								<div class="col-xs-4 form-group">
									<label><spring:message code="establecimiento.municipio"/></label>	
									<div class="input-group">
										<input type="text" maxlength="3" class="form-control" id="idMunicipioHidden" value="${listaDomicilio.idMunicipioPad}" name="datosDirecciones.idMunicipio"/>
										<span class="input-group-addon">&nbsp;&nbsp;</span>
										<select name="idMunicipioSolicitante" id="idMunicipioSolicitante" class="form-control"></select>
									</div>	
								</div>
								<div class="col-xs-4 form-group">
									<label><spring:message code="establecimiento.localidad"/></label>
									<select name="idLocalidadSolicitante" id="idLocalidadSolicitante" class="form-control"></select>
									<input type="hidden" id="idLocalidadHidden" name="datosDirecciones.idLocalidad"/>
								</div>
							</div>
							<div class="row">
								<div class="col-xs-4 form-group">
									<label for="calle"><spring:message code="establecimiento.calle"/></label>
									<form:input id="idCalle" path="" type="text" class="form-control" name="datosDirecciones.direccion" ></form:input>
								</div>
								<div class="col-xs-1 form-group">
									<label for="numero"><spring:message code="establecimiento.N"/></label>
									<form:input id="idN" path="" type="text" class="form-control" name="datosDirecciones.numero"></form:input>
								</div>
								<div class="col-xs-1 form-group">
									<label for="idEscalera"><spring:message code="establecimiento.escalera"/></label>
									<form:input id="idEscalera" path="" type="text" class="form-control" name="datosDirecciones.escalera"></form:input>
								</div>
								<div class="col-xs-1 form-group">
									<label for="idPiso"><spring:message code="establecimiento.piso"/></label>
									<form:input id="idPiso" path="" type="text" class="form-control" name="datosDirecciones.piso" ></form:input>
								</div>
								<div class="col-xs-1 form-group">
									<label for="idLetra"><spring:message code="establecimiento.letra"/></label>
									<form:input id="idLetra" path="" type="text" class="form-control" name="datosDirecciones.letra" ></form:input>
								</div>
								<div class="col-xs-2 form-group">
									<label for="codigoPostal"><spring:message code="establecimiento.codigoPostal"/></label>
									<form:input id="idCodigoPostal" path="" type="text" maxlength="5" class="form-control" name="datosDirecciones.codigoPostal"></form:input>
								</div>
								<div class="col-xs-2 form-group"></div>
							</div>
							<div class="row">
								<div class="col-xs-4 form-group">
								<label for="refCatastral"><spring:message code="establecimiento.nCatastral"/></label>
								<form:input id="nCatastral" path="" type="text" class="form-control" name="refCatastral"></form:input>
								</div>
								<div class="col-xs-8 form-group"></div>
							</div>
							
							<div class="row">
								<div class="col-xs-4 form-group">
								<label for="nIdentificacion"><spring:message code="establecimiento.nIdentificacion"/></label>
								<form:input id="idNIdentificacion" path="" type="text" class="form-control" name="datosTerceros.documento" ></form:input>
								</div>
								<div class="col-xs-8 form-group">
								<label for="idNombreRazonSocial"><spring:message code="establecimiento.nombreRazonSocial"/></label>
								<form:input id="idNombreRazonSocial" path="" type="text" class="form-control" name="datosTerceros.nombre" ></form:input>
								</div>
							</div>
							<div class="row">
								<div class="col-xs-4 form-group">
								<label for="idCorreoElectronico"><spring:message code="establecimiento.correoElectronico"/></label>
								<form:input id="idCorreoElectronico" path="" type="text" class="form-control" name="correoElectronicoBusqueda"></form:input>
								</div>
								<div class="col-xs-4 form-group">
								<label for="visibleweb"><spring:message code="establecimiento.web"/></label>
								<form:input id="visibleweb" path="" type="text" class="form-control" name="visibleweb" ></form:input>
								</div>
								<div class="col-xs-4 form-group">
								<label for="telefono"><spring:message code="establecimiento.telefono"/></label>
								<form:input id="telefono" path="" type="text" maxlength="20" class="form-control" name="telefonoBusqueda" ></form:input>
								</div>
							</div>
							<div>
								<form:input id="tipoRegistro" path="tipoRegistro" type="hidden" maxlength="9" class="form-control" name="tipoRegistro" ></form:input>
							</div>
						</div>
					</div>
				</div>
			</div>
				
		</fieldset>	
		</form:form>
		
		 <div id="tblBusqREATE_div"
			class="rup-table-container">
			<div id="tblBusqREATE_filter_div" class="rup-table-filter d-none">
				<!-- Capa contenedora del formulario de filtrado -->
				<form id="tblBusqREATE_filter_form">
				<div id="tblBusqREATE_feedback"></div>
					<div id="tblBusqREATE_filter_toolbar" class="formulario_legend"></div>
					<fieldset id="tblBusqREATE_filter_fieldset" class="rup-table-filter-fieldset"></fieldset>
				</form>
			</div>
		
			<div id="tblBusqREATE_div" class="rup-table-container miocontainer">
				<div id="tblBusqREATE_toolbar" class="mitoolbar clearfix"></div>
				<div id="tblBusqREATE_grid_div">
					<!-- Tabla -->
					<table id="tblBusqREATE" class="table"></table>
					<!-- Barra de paginación -->
					<div id="tblBusqREATE_pager"></div>
				</div>
			</div>
		</div>
	</div>
</section>

<div id="anyadirEstablecimientoDiv" style="display: none">
	<div id="capaErrorDialog"></div>
	<form:form id="anyadirEstablecimiento" modelAttribute="busqREATE"  class="form-horizontal">
		<div class="row">
			<div class="col-xs-12 form-group">
				<label for="tipoEstablecimiento"><spring:message code="establecimiento.tipoEstablecimiento"/></label>
				<form:select path="tipoEstablecimiento.idTipoEstablecimiento" id="idComboTipoEstablecimientoAnyadir" class="required" name="tipoEstablecimiento.idTipoEstablecimiento"></form:select>
			</div>
		</div>
		<div class="row">
			<div class="col-xs-12 form-group">
				<label for="idZonaAnyadir"><spring:message code="establecimiento.provincia"/></label>
				<select id="idProvinciaSolicitanteAnyadir" name="idProvinciaSolicitanteAnyadir" class="required" ></select>
			</div>
		</div>
		<div class="rup-table-buttonpane">
		 	 <div class="ui-dialog-buttonset">
				<button id="sendButton" type="button" class="btn btn-outline-primary"><spring:message code="fexpediente.guardar"/></button>
				<button id="cancelButton" type="button" class="btn btn-outline-primary"><spring:message code="cancel"/></button>
			</div>
		</div>
	</form:form>
</div>
