<%@include file="/WEB-INF/includeTemplate.inc"%>	
<%@page import="com.ejie.x38.security.UserCredentials"%>
<%@page import="java.util.*" %> 
<%@taglib prefix="c" uri="http://java.sun.com/jsp/jstl/core"%>
<%@taglib prefix="form" uri="/WEB-INF/tld/spring-form.tld"%>
<%@page import="com.ejie.ab63.comun.Constantes"%>

<section>
	<div class="container"> 
		<!-- Incluimos la jsp que contiene las pestanas -->
		<jsp:include page="../pestanas.jsp" />
		
		<div id="id_capa"></div>
		<form:form id="formSolicitante" modelAttribute="filter" method="post" action="">
		<input type="hidden" id="idEstablecimiento" name="idEstablecimiento" value="${filter.idEstablecimiento}">
		<input type="hidden" name="eliminado" value="${filter.eliminado}">
		<input type="hidden" name="expedienteb29" value="${filter.expedienteb29}">
		<input type="hidden" name="tipoRegistro" value="${filter.tipoRegistro}">
		<input type="hidden" name="datosDirecciones.idDireccion" value="${filter.datosDirecciones.idDireccion}">
		<input type="hidden" id="idTercero" name="datosTerceros.idTercero" value="${filter.datosTerceros.idTercero}">
		<input type="hidden" id="controlCambios" value="0" />
		
		<input type="hidden" id="idEstFranquicia" name="franquicia.idEstablecimiento" value="${filter.franquicia.idEstablecimiento}">
		<input type="hidden" id="idEstablecimientoData" name="establecimientoData.idEstablecimiento" value="${filter.establecimientoData.idEstablecimiento}"/>
		<input type="hidden" id="idPrimeraSucursalHidden" value="${filter.franquicia.idPrimeraSucursal}">
		
		<div id="feedbackMensajesSearchFolder"></div>
		<div id="feedbackFormulario"></div>
		<div id="feedbackAAVV"></div>
		<div id="accordionExample" class="rup_accordion">
		
		<!-- establecimiento -->
		<h1><a><spring:message code="establecimiento.actividad"/></a></h1>
		<div class="form-group accordion_height_auto ">
			<div class="row">
				<div class="col-xs-6 form-group">
					<input type="hidden" id="tipoEstablecimientoHidden" value="" />
					<label for="idComboTipoEstablecimiento"><spring:message code="establecimiento.tipoEstablecimiento"/></label>
					<c:if test="${not empty filter}">
							<input type="hidden" id="idTipoEstablecimientoHidden" value="${filter.tipoEstablecimiento.idTipoEstablecimiento}"/>
						</c:if>
					<form:select path="tipoEstablecimiento.idTipoEstablecimiento"  id="idComboTipoEstablecimiento" class="form-control" name="tipoEstablecimiento" ></form:select>
				</div>
				<div class="col-xs-4 form-group">
					<label><spring:message code="establecimiento.signatura"/></label>
					<input id="signatura" type="text" class="form-control" value="${filter.identificadorEstablecimiento}"  name="identificadorEstablecimiento" readonly="readonly"/>
					
				</div>
			</div>
			<div class="row">
				<div class="col-xs-6 form-group">
					<label for="nombre"><spring:message code="establecimiento.nombreComercial"/></label>
					<input id="nombre" type="text" class="form-control" name="descrNombre" value="${filter.descrNombre}" maxlength="150"/> 
				</div>
				
				<div class="col-xs-4 form-group">
					<label><spring:message code="establecimiento.signaturaAnterior"/></label>
					<input type="text" class="form-control"  id="numInstalacionAnterior" value="${filter.numInstalacionAnterior}" name = "numInstalacionAnterior" maxlength="10" /> 
				</div>
				
				
			</div>
			<div class="row">
				<div class="col-xs-6 form-group">
				<c:if test="${not empty filter}">
							<input type="hidden" id="idModalidadHidden" value="${filter.modalidad.idModalidad}"/>
						</c:if>
					<label for="idComboModalidad"><spring:message code="establecimiento.modalidad"/></label>
					<form:select path="modalidad.idModalidad" id="idComboModalidad" class="form-control" name="modalidad" ></form:select>
				</div>
				<div class="col-xs-6 form-group">
				<c:if test="${not empty filter}">
							<input type="hidden" id="idCategoriasHidden" value="${filter.categoria.idCategorias}"/>
						</c:if>
					<label for="idComboTipoCategoria"><spring:message code="establecimiento.categoria"/></label>
					<form:select path="categoria.idCategorias"  id="idComboTipoCategoria" class="form-control" name="categoria" ></form:select>
				</div>
			</div>
			<div class="row">
				<div class="col-xs-6 form-group">
				<c:if test="${not empty filter}">
							<input type="hidden" id="idEspecialidadHidden" value="${filter.especialidad.idEspecialidad}"/>
						</c:if>
					<label><spring:message code="establecimiento.especialidad"/></label>
					<form:select path="especialidad.idEspecialidad" id="idComboEspecialidad" class="form-control" name="especialidad" ></form:select> 
				</div>
				
				<div class="col-xs-6 form-group">
					<c:if test="${filter.tipoEstablecimiento.idTipoEstablecimiento eq 'A' or filter.tipoEstablecimiento.idTipoEstablecimiento eq 'H' }">
						<c:if test="${not empty filter}">
							<input type="hidden" id="idGrupoHidden" value="${filter.grupo.idGrupo}"/>
						</c:if>
						<label for="idComboGrupo"><spring:message code="establecimiento.grupo"/></label>
						<form:select path="grupo.idGrupo" id="idComboGrupo" class="form-control" name="grupo" ></form:select>
					
					</c:if>
				</div>
				
			</div>
			<div class="row">
				<div class="col-xs-6 form-group">
					<label for="urlweb"><spring:message code="establecimiento.web"/></label>
					<input id="urlweb" type="text" class="form-control" id="web" value="${filter.urlweb}" name = "urlweb" maxlength="200"/> 
				</div>
				<div class="col-xs-6 form-group"></div>
			</div>
			<div class="row">
				<div class="col-xs-3 form-group">
					<label for="telefono"><spring:message code="establecimiento.telefonoDetalle"/></label>
					<input id="telefono" type="text" class="form-control" id="telefono" value="${filter.telefono}" name = "telefono" maxlength="20"/> 
				</div>
				<div class="col-xs-3 form-group">
					<label for="correoElectronico"><spring:message code="establecimiento.email"/></label>
					<input id="correoElectronico" type="text" class="form-control"  id="email" value="${filter.correoElectronico}" name = "correoElectronico" maxlength="50" /> 
				</div>
				<div class="col-xs-6 form-group"></div>
			</div>
			<div class="row">
				<div class="col-xs-3 form-group">
					<label><spring:message code="establecimiento.nCatastral"/></label>
					<input type="text" class="form-control"  id="refCatastral" value="${filter.refCatastral}" name = "refCatastral" maxlength="50"/> 
				</div>
				<c:if test="${filter.tipoEstablecimiento.idTipoEstablecimiento ne 'A'}">
				<div class="col-xs-3 form-group">
					<label for="anioConstruccion"><spring:message code="establecimiento.anioConstruccion"/></label>
					<input type="text" class="form-control"  id="anioConstruccion" value="${filter.establecimientoData.fechaAnoConstruccion}" name = "establecimientoData.fechaAnoConstruccion" maxlength="4"/> 
				</div>
				</c:if>
			</div>
		</div>
		
		<!-- fechasControl -->
		<h1><a><spring:message code="establecimiento.fechasControl"/></a></h1>
		<div class="form-group accordion_height_auto ">
			<div class="row">
				<div class="col-xs-3 form-group">
					<label for="fechaControl0"><spring:message code="establecimiento.fechaInscripcion"/></label>
					<c:if test="${not empty filter}">
							<input type="hidden" id="fechaInscripcionHidden" value="${filter.fechaInscripcion}"/>
						</c:if>
					<div>
						<input type="text" class="form-control" id="fechaControl0" maxlength="10" name="fechaInscripcion" value="${filter.fechaInscripcion}"/>
					</div>
					<br>
					<label><spring:message code="establecimiento.fechaApertura"/></label>
					<c:if test="${not empty filter}">
							<input type="hidden" id="fechaAperturaHidden" value="${filter.fechaApertura}"/>
						</c:if>
					<div>
						<input type="text" class="form-control" id="fechaControl1" maxlength="10"   name="fechaApertura" value="${filter.fechaApertura}">
					</div>
				</div>
				<div class="col-xs-9 form-group">
					<div class="card">
						<div class="card-header"><spring:message code="establecimiento.cierreTemporal"/></div>
						<div class="card-body">
							<div class="col-xs-4 form-group">
								<label for="fechaControl2"><spring:message code="establecimiento.inicio"/></label>
								<c:if test="${not empty filter}">
									<input type="hidden" id="fechaInicierretempnHidden" value="${filter.fechaInicierretemp}"/>
								</c:if>
								<div>
									<input type="text" class="form-control" id="fechaControl2" maxlength="10"  name="fechaInicierretemp" value="${filter.fechaInicierretemp}">
								</div>
							</div>
							<div class="col-xs-4 form-group">
								<label for="fechaControl3"><spring:message code="establecimiento.fin"/></label><br>
								<c:if test="${not empty filter}">
									<input type="hidden" id="fechaFincierretempHidden" value="${filter.fechaFincierretemp}"/>
								</c:if>
								<div>
								<input type="text" class="form-control" id="fechaControl3" maxlength="10"   name="fechaFincierretemp" value="${filter.fechaFincierretemp}">
								</div>
							</div>
							<div id="divFechaVctoCierre" class="col-xs-4 form-group">
								<label><spring:message code="establecimiento.venCierreTemporal"/></label>
								<c:if test="${not empty filter}">
									<input type="hidden" id="fechaVctoCierreHidden" value="${filter.fechaVctoCierre}"/>
								</c:if>
								<div>
								<input type="text" class="form-control" id="fechaControl4" maxlength="10"   name="fechaVctoCierre" value="${filter.fechaVctoCierre}">
								</div>
							</div>
						</div>
					</div>
				</div>
			</div>
			<div class="row">
				<div class="col-xs-3 form-group">
					<label for="fechaControl5"><spring:message code="establecimiento.fechaBaja"/></label>
					<c:if test="${not empty filter}">
						<input type="hidden" id="fechaBajaHidden" value="${filter.fechaBaja}"/>
					</c:if>
					<div>
						<input type="text" class="form-control" id="fechaControl5" maxlength="10"  name="fechaBaja" value="${filter.fechaBaja}">
					</div>
				</div>
				<div class="col-xs-3 form-group">
					<label for="fechaControl6"><spring:message code="establecimiento.fechaEfectUltModif"/></label>
					<c:if test="${not empty filter}">
								<input type="hidden" id="fechaUltReformaHidden" value="${filter.fechaUltReforma}"/>
							</c:if>
					<div>
						<input type="text" class="form-control" id="fechaControl6" maxlength="10"  name="fechaUltReforma" value="${filter.fechaUltReforma}">
					</div>
				</div>
				<div class="col-xs-3 form-group">
					<label><spring:message code="establecimiento.ultimaInspeccion"/></label>
					<c:if test="${not empty filter}">
								<input type="hidden" id="fechaUltInspeccionHidden" value="${filter.fechaUltInspeccion}"/>
							</c:if>
					<div>
						<input type="text" class="form-control" id="fechaControl7" maxlength="10"  name="fechaUltInspeccion" value="${filter.fechaUltInspeccion}">
					</div>
				</div>
				
				<c:if test="${filter.tipoEstablecimiento.idTipoEstablecimiento ne 'A'}">
				<div class="col-xs-3 form-group">
					<label><spring:message code="establecimiento.deTemporada"/></label><br>
					<c:if test="${ filter.temporada eq '1'}">
						<input name="temporada" type="radio" value="1" checked="checked"><spring:message code="establecimiento.si"/>
						<input name="temporada" type="radio" value="0"><spring:message code="establecimiento.no"/>
					</c:if>
					<c:if test="${ filter.temporada eq '0'}">
						<input name="temporada" type="radio" value="1"><spring:message code="establecimiento.si"/>
						<input name="temporada" type="radio" value="0" checked="checked"><spring:message code="establecimiento.no"/>
					</c:if>
				</div>
				</c:if>
			</div>
		</div>
		
		<!-- ubicacionempresa -->
		<h1><a><spring:message code="establecimiento.ubicacionempresa"/></a></h1>
		<div class="form-group accordion_height_auto " id="direccion">
		
			<input type="hidden" id="idPaisHidden" name="datosDirecciones.idPais" value="${filter.datosDirecciones.idPais}"/>
			
			<c:if test="${not empty filter.tipoEstablecimiento.idTipoEstablecimiento and filter.tipoEstablecimiento.idTipoEstablecimiento eq 'A'}">
			
				<div class="row">
					<c:if test="${empty filter.datosDirecciones.idPais or filter.datosDirecciones.idPais eq 0 or filter.datosDirecciones.idPais eq 108}">
						<input id="paisEspRdo" name="radioPais" type="radio" value="0" checked="checked"> <label for="paisEspRdo"><spring:message code="fexpediente.datos.domicilioSolicitante.paisEsp"/></label> 
						<input id="paisOtrosRdo" name="radioPais" type="radio" value="1"> <label for="paisOtrosRdo"><spring:message code="fexpediente.datos.domicilioSolicitante.otroPais"/></label>
					</c:if>
					<c:if test="${not empty filter.datosDirecciones.idPais and filter.datosDirecciones.idPais ne 108 and filter.datosDirecciones.idPais gt 0}">
						<input id="paisEspRdo" name="radioPais" type="radio" value="0"> <label for="paisEspRdo"><spring:message code="fexpediente.datos.domicilioSolicitante.paisEsp"/></label> 
						<input id="paisOtrosRdo" name="radioPais" type="radio" value="1" checked="checked"> <label for="paisOtrosRdo"><spring:message code="fexpediente.datos.domicilioSolicitante.otroPais"/></label>
					</c:if>
				</div>
				<br>
			</c:if>
			
			<div id="direccionNormalEmpresa">
				<div class="row">
					<div class="col-xs-4 form-group">
						<label for="idProvinciaHidden"><spring:message code="establecimiento.provincia"></spring:message></label>
						
						<div class="input-group">
							<input id="idProvinciaHidden" type="text" class="form-control" name="datosDirecciones.idProvincia" value="${filter.datosDirecciones.idProvinciaPad}" maxlength="2"/>
							<span class="input-group-addon">&nbsp;&nbsp;</span>
							<select id="idProvinciaSolicitante" name="idProvinciaSolicitante" class="form-control"></select>
						</div>	
					</div>
					<div class="col-xs-4 form-group">
						<label for="idMunicipioHidden"><spring:message code="establecimiento.municipio"></spring:message></label>
						
						<div class="input-group">
							<input type="text" maxlength="3" class="form-control" id="idMunicipioHidden" name="datosDirecciones.idMunicipio" value="${filter.datosDirecciones.idMunicipioPad}"/>
							<span class="input-group-addon">&nbsp;&nbsp;</span>
							<select name="idMunicipioSolicitante" id="idMunicipioSolicitante" class="form-control"></select>
						</div>
						
					</div>
					<div class="col-xs-4 form-group">
						<label for="idLocalidadSolicitante"><spring:message code="establecimiento.localidad"></spring:message></label>
						<select name="idLocalidadSolicitante" id="idLocalidadSolicitante" class="form-control"></select>
						<input type="hidden" id="idLocalidadHidden" name="datosDirecciones.idLocalidad" value="${filter.datosDirecciones.idLocalidad}"/>
					</div>
				</div>
		
				<div class="row">
					<div class="col-xs-4 form-group">
						<label><spring:message code="establecimiento.calle"/></label>
						<input class="form-control" type="text" name="datosDirecciones.direccion" value="${filter.datosDirecciones.direccion}" maxlength="100">
					</div>
					<div class="col-xs-1 form-group">
						<label for="numero"><spring:message code="establecimiento.N"/></label>
						<input id="numero" class="form-control" type="text" name="datosDirecciones.numero" value="${filter.datosDirecciones.numero}" maxlength="10">
					</div>
					<div class="col-xs-1 form-group">
						<label><spring:message code="establecimiento.escalera"/></label>
						<input class="form-control" type="text" name="datosDirecciones.escalera" value="${filter.datosDirecciones.escalera}" maxlength="4">
					</div>
					<div class="col-xs-1 form-group">
						<label for="piso"><spring:message code="establecimiento.piso"/></label>
						<input id="piso" class="form-control" type="text" name="datosDirecciones.piso" value="${filter.datosDirecciones.piso}" maxlength="4">
					</div>
					<div class="col-xs-1 form-group">
						<label for="letra"><spring:message code="establecimiento.letra"/></label>
						<input id="letra" class="form-control" type="text" name="datosDirecciones.letra" value="${filter.datosDirecciones.letra}" maxlength="4">
					</div>
					<div class="col-xs-2 form-group">
						<label for="codigoPostal"><spring:message code="establecimiento.codigoPostal"/></label>
						<input id="codigoPostal" class="form-control" type="text" name="datosDirecciones.codigoPostal" value="${filter.datosDirecciones.codigoPostal}" maxlength="5">
					</div>
					<div class="col-xs-2 form-group"></div>
				</div>
			</div>
			
			<div id="direccionExtranjeraEmpresa">
			
				<div class="row">
					<div class="col-xs-12 form-group">
						<input type="hidden" id="idPaisHiddenExtranjeraAgencia" name="datosDirecciones.idPaisExtranjeraAgencia" value="${filter.datosDirecciones.idPais}"/>
						<label for="idPaisHiddenExtranjeraAgencia"><spring:message code="establecimiento.pais"></spring:message></label>
						<select name="idPaisSolicitante" id="idPaisSolicitante" class="form-control"></select>
					</div>
				</div>
				
				<div class="row">
					<div class="col-xs-9 form-group">
						<label><spring:message code="establecimiento.descProvinciaExtranjera"/></label>
						<input id="descProvinciaExtranjeraUbicEmpresa" class="form-control" type="text" name="datosDirecciones.descProvinciaExtranjera" value="${filter.datosDirecciones.descProvinciaExtranjera}" maxlength="200">
					</div>
				</div>
				<div class="row">
					<div class="col-xs-9 form-group">
						<label><spring:message code="establecimiento.descCiudadExtranjera"/></label>
						<input id="descCiudadExtranjeraUbicEmpresa" class="form-control" type="text" name="datosDirecciones.descCiudadExtranjera" value="${filter.datosDirecciones.descCiudadExtranjera}" maxlength="200">
					</div>
				</div>
				
				<div class="row">
					<div class="col-xs-4 form-group">
						<label><spring:message code="establecimiento.calle"/></label>
						<input id="calleExtUbicEmpresa" class="form-control" type="text" name="datosDirecciones.direccion" value="${filter.datosDirecciones.direccion}" maxlength="100">
					</div>
					<div class="col-xs-1 form-group">
						<label for="numeroExtUbicEmpresa"><spring:message code="establecimiento.N"/></label>
						<input id="numeroExtUbicEmpresa" class="form-control" type="text" name="datosDirecciones.numeroExtranjeraAgencia" value="${filter.datosDirecciones.numero}" maxlength="10">
					</div>
					<div class="col-xs-1 form-group">
						<label for="pisoExtUbicEmpresa"><spring:message code="establecimiento.piso"/></label>
						<input id="pisoExtUbicEmpresa" class="form-control" type="text" name="datosDirecciones.pisoExtranjeraAgencia" value="${filter.datosDirecciones.piso}" maxlength="4">
					</div>
					<div class="col-xs-1 form-group">
						<label for="letraExtUbicEmpresa"><spring:message code="establecimiento.letra"/></label>
						<input id="letraExtUbicEmpresa" class="form-control" type="text" name="datosDirecciones.letraExtranjeraAgencia" value="${filter.datosDirecciones.letra}" maxlength="4">
					</div>
					<div class="col-xs-2 form-group">
						<label for="codigoPostalExtUbicEmpresa"><spring:message code="establecimiento.codigoPostal"/></label>
						<input id="codigoPostalExtUbicEmpresa" class="form-control" type="text" name="datosDirecciones.codigoPostalExtranjeraAgencia" value="${filter.datosDirecciones.codigoPostal}" maxlength="5">
					</div>
					<div class="col-xs-2 form-group"></div>
				</div>
			</div>
		</div>
		<!-- promocionTuristica -->
		<h1><a><spring:message code="establecimiento.promocionTuristica"/></a></h1>
		<div class="form-group accordion_height_auto ">
			<div class="panel-body">
				<label><spring:message code="establecimiento.publicacionWeb"/></label>
				<c:if test="${ filter.visibleweb eq '1'}">
					<input name="visibleweb" type="radio" value="1" checked="checked"><spring:message code="establecimiento.si"/>
					<input name="visibleweb" type="radio" value="0"><spring:message code="establecimiento.no"/>
				</c:if>
				<c:if test="${ filter.visibleweb eq '0'}">
					<input name="visibleweb" type="radio" value="1"><spring:message code="establecimiento.si"/>
					<input name="visibleweb" type="radio" value="0" checked="checked"><spring:message code="establecimiento.no"/>
				</c:if>
				
			</div>
			<div class="panel-body">
				<a style="color: #007bff;text-decoration: underline;" href='${ filter.urlPortalS41}' target='_blank' rel='noopener noreferrer'>${ filter.urlPortalS41}</a>
			</div>
		</div>
		
		<!-- INICIO AAVV -->
			<c:if test="${filter.tipoEstablecimiento.idTipoEstablecimiento eq 'A'}">
				
				<h1><a><spring:message code="establecimiento.aavvci"/></a></h1>
				<div class="form-group accordion_height_auto ">
				<input type="hidden" name="franquicia.idInstalOfiPrincipal" value="${filter.franquicia.idInstalOfiPrincipal}" id="idInstalOfiPrincipal"/>
					<div class="row">
						<div class="col-xs-3 form-group">
							<label for="idOrigenOfiPrincipal"><spring:message code="formDatosEspecificos.origenOfiPpal"></spring:message></label><br>
							<input type="hidden" id="idOrigenOficinaPpalHidden" name="franquicia.idOrigenOfiPrincipal" value="${filter.franquicia.idOrigenOfiPrincipal}"/>
							<c:choose>
								<c:when test="${filter.franquicia.idOrigenOfiPrincipal eq 'C'}">
									<input type="radio" id="radioCapv" name="radioOrigenOfiPrincipal" value="C" checked="checked" onclick="checkOficinaPpal()"/><spring:message code="formDatosEspecificos.capv"></spring:message>
								</c:when>
								<c:otherwise>
									<input type="radio" id="radioCapv" name="radioOrigenOfiPrincipal" value="C" onclick="checkOficinaPpal()"/><spring:message code="formDatosEspecificos.capv"></spring:message>
								</c:otherwise>
							</c:choose>
							
							<c:choose>
								<c:when test="${filter.franquicia.idOrigenOfiPrincipal eq 'E'}">
									<input type="radio" id="radioNacional" name="radioOrigenOfiPrincipal" value="E" checked="checked" onclick="checkOficinaPpal()"/><spring:message code="formDatosEspecificos.nacional"></spring:message>
								</c:when>
								<c:otherwise>
									<input type="radio" id="radioNacional" name="radioOrigenOfiPrincipal" value="E" onclick="checkOficinaPpal()"/><spring:message code="formDatosEspecificos.nacional"></spring:message>
								</c:otherwise>
							</c:choose>
							
							<c:choose>
								<c:when test="${filter.franquicia.idOrigenOfiPrincipal eq 'X'}">
									<input type="radio" id="radioExtranjera" name="radioOrigenOfiPrincipal" value="X" checked="checked" onclick="checkOficinaPpal()"/><spring:message code="formDatosEspecificos.extranjera"></spring:message>
								</c:when>
								<c:otherwise>
									<input type="radio" id="radioExtranjera" name="radioOrigenOfiPrincipal" value="X" onclick="checkOficinaPpal()"/><spring:message code="formDatosEspecificos.extranjera"></spring:message>
								</c:otherwise>
							</c:choose>
						
						</div>
						
						<div class="col-xs-2 form-group" id="divPrimeraSucursal">
							<label for="idPrimeraSucursal"><spring:message code="formDatosEspecificos.primeraSucursal"></spring:message></label><br>
							
							<c:choose>
								<c:when test="${filter.franquicia.idPrimeraSucursal eq 'S'}">
									<input id="idPrimeraSucursalSi" type="radio" name="franquicia.idPrimeraSucursal" value="S" checked="checked"/><spring:message code="establecimiento.si"/>
									<input id="idPrimeraSucursalNo" type="radio" name="franquicia.idPrimeraSucursal" value="N" /><spring:message code="establecimiento.no"/>
								</c:when>
								<c:when test="${filter.franquicia.idPrimeraSucursal eq 'N'}">
									<input id="idPrimeraSucursalSi" type="radio" name="franquicia.idPrimeraSucursal" value="S"/><spring:message code="establecimiento.si"/>
									<input id="idPrimeraSucursalNo" type="radio" name="franquicia.idPrimeraSucursal" value="N" checked="checked" /><spring:message code="establecimiento.no"/>
								</c:when>
								<c:when test="${empty filter.franquicia.idPrimeraSucursal}">
									<input id="idPrimeraSucursalSi" type="radio" name="franquicia.idPrimeraSucursal" value="S"/><spring:message code="establecimiento.si"/>
									<input id="idPrimeraSucursalNo" type="radio" name="franquicia.idPrimeraSucursal" value="N"/><spring:message code="establecimiento.no"/>
								</c:when>
							</c:choose>						
						</div>
						
						
					</div>
					
					<div class="row">
						<div class="col-xs-2 form-group">
							<label for="idTipoCie"><spring:message code="formDatosEspecificos.idTipoCie"></spring:message></label><br>
							
							<c:choose>
								<c:when test="${filter.franquicia.idTipoCie eq 'C'}">
									<input type="radio" id="radioCie" name="franquicia.idTipoCie" value="C" checked="checked"/><spring:message code="formDatosEspecificos.cie"></spring:message>
								</c:when>
								<c:otherwise>
									<input type="radio" id="radioCie" name="franquicia.idTipoCie" value="C" /><spring:message code="formDatosEspecificos.cie"></spring:message>
								</c:otherwise>
							</c:choose>
							
							<c:choose>
								<c:when test="${filter.franquicia.idTipoCie eq 'O'}">
									<input type="radio" id="radioOtros" name="franquicia.idTipoCie" value="O" checked="checked"/><spring:message code="formDatosEspecificos.otros"></spring:message>
								</c:when>
								<c:otherwise>
									<input type="radio" id="radioOtros" name="franquicia.idTipoCie" value="O" /><spring:message code="formDatosEspecificos.otros"></spring:message>
								</c:otherwise>
							</c:choose>
						
						</div>
						
						<div class="col-xs-2 form-group">
							<label for="numCie"><spring:message code="formDatosEspecificos.numCie"/></label>
							<input id="numCie" type="text" class="form-control" name="franquicia.numCie" value="${filter.franquicia.numCie}" maxlength="12"/>
						</div>
						
					</div>
					
					
					
					<div class="row">						
						
						<c:if test="${filter.modalidad.idModalidad eq 'S' || filter.modalidad.idModalidad eq 'V'}">
							
							<div class="col-xs-2 form-group">
								<label for="signaturaOficinaPpal"><spring:message code="establecimiento.signatura"/></label>
								<input id="signaturaOficinaPpal" type="text" class="form-control" maxlength="10" readonly="readonly"/>
							</div>
							<div class="col-xs-3 form-group">
								<label for="nombreOficinaPpal"><spring:message code="establecimiento.nombreComercial"/></label>
								<input id="nombreOficinaPpal" type="text" class="form-control" maxlength="150" readonly="readonly"/>
							</div>
							<div class="col-xs-6 form-group" id="divDireccionOficinaPpal">
								<label for="direccionOficinaPpal"><spring:message code="establecimiento.calle"/></label>
								<input id="direccionOficinaPpal" type="text" class="form-control" readonly="readonly"/>
							</div>
						</c:if>
					</div>
					
					<!-- ubic ext -->
					<input type="hidden" id="idDireccionExt" name="franquicia.direccionOficinaPpalExtranjera.idDireccion" />
					<div class="rup_accordion" id="acordeonDireccionExt">
					<h1><a><spring:message code="establecimiento.ubicacionPaisOrigen"/></a></h1>
					<div class="form-group accordion_height_auto " id="direccionExt">
					
							<div class="row">
								<div class="col-xs-12 form-group">
									<label for="idPaisSolicitanteExt"><spring:message code="establecimiento.pais"></spring:message></label>
									<select id="idPaisSolicitanteExt" name="idPaisSolicitanteExt" class="form-control"></select>
									<input type="hidden" id="idPaisHiddenExt" name="franquicia.direccionOficinaPpalExtranjera.idPais" value="${filter.franquicia.direccionOficinaPpalExtranjera.idPais}"/>
								</div>
							</div>
							<div class="row">
								<div class="col-xs-9 form-group">
									<label><spring:message code="establecimiento.descProvinciaExtranjera"/></label>
									<input id="descProvinciaExtranjera" class="form-control" type="text" name="franquicia.direccionOficinaPpalExtranjera.descProvinciaExtranjera" value="${franquicia.direccionOficinaPpalExtranjera.descProvinciaExtranjera}" maxlength="200">
								</div>
							</div>
							<div class="row">
								<div class="col-xs-9 form-group">
									<label><spring:message code="establecimiento.descCiudadExtranjera"/></label>
									<input id="descCiudadExtranjera" class="form-control" type="text" name="franquicia.direccionOficinaPpalExtranjera.descCiudadExtranjera" value="${franquicia.direccionOficinaPpalExtranjera.descCiudadExtranjera}" maxlength="200">
								</div>
							</div>
							
							<div class="row">
								<div class="col-xs-4 form-group">
									<label><spring:message code="establecimiento.calle"/></label>
									<input id="calleExt" class="form-control" type="text" name="franquicia.direccionOficinaPpalExtranjera.direccion" value="${filter.franquicia.direccionOficinaPpalExtranjera.direccion}" maxlength="100">
								</div>
								<div class="col-xs-1 form-group">
									<label for="numeroExt"><spring:message code="establecimiento.N"/></label>
									<input id="numeroExt" class="form-control" type="text" name="franquicia.direccionOficinaPpalExtranjera.numero" value="${filter.franquicia.direccionOficinaPpalExtranjera.numero}" maxlength="10">
								</div>
								<div class="col-xs-1 form-group">
									<label for="pisoExt"><spring:message code="establecimiento.piso"/></label>
									<input id="pisoExt" class="form-control" type="text" name="franquicia.direccionOficinaPpalExtranjera.piso" value="${filter.franquicia.direccionOficinaPpalExtranjera.piso}" maxlength="4">
								</div>
								<div class="col-xs-1 form-group">
									<label for="letraExt"><spring:message code="establecimiento.letra"/></label>
									<input id="letraExt" class="form-control" type="text" name="franquicia.direccionOficinaPpalExtranjera.letra" value="${filter.franquicia.direccionOficinaPpalExtranjera.letra}" maxlength="4">
								</div>
								<div class="col-xs-2 form-group">
									<label for="codigoPostalExt"><spring:message code="establecimiento.codigoPostal"/></label>
									<input id="codigoPostalExt" class="form-control" type="text" name="franquicia.direccionOficinaPpalExtranjera.codigoPostal" value="${filter.franquicia.direccionOficinaPpalExtranjera.codigoPostal}" maxlength="5">
								</div>
								<div class="col-xs-2 form-group"></div>
							</div>
					</div>
				</div>
				<!-- ubic ext -->	
				</div>
			</c:if>
			
		
		<!-- FIN AAVV -->
		<!-- Observaciones Generales -->
		<h1><a><spring:message code="establecimiento.observacionesGenerales"/></a></h1>
		<div class="form-group accordion_height_auto ">
			<div class="row">
				<div class="col-xs-12 form-group">
					<label><spring:message code="establecimiento.observaciones"/></label>
					<textarea class="form-control" name="observaciones" maxlength="4000" rows="5" data-autoresize="" style="height: 80px;"/>${filter.observaciones}</textarea>
				</div>
			</div>
		</div>
		</div>
		</form:form>
	</div>
	<div id="space"></div>
</section>