<%@include file="/WEB-INF/includeTemplate.inc"%>	
<%@page import="com.ejie.x38.security.UserCredentials"%>
<%@page import="java.util.*" %> 
<%@taglib prefix="c" uri="http://java.sun.com/jsp/jstl/core"%>
<%@taglib prefix="form" uri="/WEB-INF/tld/spring-form.tld"%>
<%@page import="com.ejie.ab63.comun.Constantes"%>

<section>
	<div class="container"> 
		<!-- Incluimos la jsp que contiene las pestanas -->
		<jsp:include page="../pestanas.jsp" />
		
		<div id="id_capa"></div>
		
		<form:form id="formDatosEspecificos" modelAttribute="filter">
		
			<input type="hidden" id="idEstablecimiento" name="idEstablecimiento" value="${filter.idEstablecimiento}">	
			<input type="hidden" name="tipoEstablecimiento.idTipoEstablecimiento" value="${filter.tipoEstablecimiento.idTipoEstablecimiento}"/>
			<input type="hidden" name="establecimientoData.idEstablecimiento" value="${filter.establecimientoData.idEstablecimiento}"/>
			<input type="hidden" name="establecimientoData.edificioCatalogado" value="${filter.establecimientoData.edificioCatalogado}"/>
			<input type="hidden" name="visibleweb" value="${filter.visibleweb}">
			<input type="hidden" name="temporada" value="${filter.temporada}">
			<input type="hidden" name="eliminado" value="${filter.eliminado}">
			<input type="hidden" name="expedienteb29" value="${filter.expedienteb29}">
			<input type="hidden" name="tipoRegistro" value="${filter.tipoRegistro}">
			<input type="hidden" id="controlCambios" value="0" />
						
			<div id="feedbackDatosEspecificos"></div>
			
			<div id="accordionExample" class="rup_accordion">
				<h1><a><spring:message code="establecimiento.caracteristicas"/></a></h1>
				<div class="form-group accordion_height_auto">
					<div class="row">
						<div class="col-xs-3 form-group">
							<label for="numUnidadesAlojamiento"><spring:message code="formDatosEspecificos.numUnidadesAlojamiento"/></label>
							<input id="numUnidadesAlojamiento" type="text" class="form-control" name="numUnidadesAlojamiento" value="${filter.numUnidadesAlojamiento}" maxlength="5"/>
						</div>
						<div class="col-xs-2 form-group">
							<label for="numPlazas"><spring:message code="formDatosEspecificos.numPlazas"/></label>
							<input id="numPlazas" type="text" class="form-control" name="establecimientoData.numPlazas" value="${filter.establecimientoData.numPlazas}" maxlength="4"/>
						</div>
						<div class="col-xs-3 form-group">
							<label for="numHabitaciones"><spring:message code="formDatosEspecificos.totalHab"/></label>
							<input id="numHabitaciones" type="text" class="form-control" name="establecimientoData.numHabitaciones" value="${filter.establecimientoData.numHabitaciones}" maxlength="2"/>
						</div>
						<div class="col-xs-3 form-group">
							<label for="numBanosGenerales"><spring:message code="formDatosEspecificos.totalBanos"/></label>
							<input id="numBanosGenerales" type="text" class="form-control" name="establecimientoData.numBanosGenerales" value="${filter.establecimientoData.numBanosGenerales}" maxlength="3"/>
						</div>
					</div>
					
					<div class="row">
						<div class="col-xs-3 form-group">
							<label for="supRestoDepen"><spring:message code="formDatosEspecificos.totalSupRestDep"/></label>
							<input id="supRestoDepen" type="text" class="form-control" name="establecimientoData.supRestoDepen" value="${filter.establecimientoData.supRestoDepen}" maxlength="7"/>
						</div>
						<div class="col-xs-2 form-group">
							<label for="supTotal"><spring:message code="formDatosEspecificos.totalSuperficie"/></label>
							<input id="supTotal" type="text" class="form-control" name="establecimientoData.superficieTotal" value="${filter.establecimientoData.superficieTotal}" maxlength="7"/>
						</div>
						<c:if test="${filter.tipoEstablecimiento.idTipoEstablecimiento eq 'L'}">
							<div class="col-xs-3 form-group">
								<label for="numResidentesPerm"><spring:message code="formDatosEspecificos.nPersonasViv"/></label>
								<input id="numResidentesPerm" type="text" class="form-control" name="establecimientoData.numResidentesPerm" value="${filter.establecimientoData.numResidentesPerm}" maxlength="2"/>
							</div>
							
							<div class="col-xs-3 form-group">
								<label for="numDormitoriosResidentes"><spring:message code="formDatosEspecificos.numDormitoriosResidentes"/></label>
								<input id="numDormitoriosResidentes" type="text" class="form-control" name="establecimientoData.numDormitoriosResidentes" value="${filter.establecimientoData.numDormitoriosResidentes}" maxlength="2"/>
							</div>
							
							<div class="col-xs-3 form-group">
								<label for="numDormitoriosUsuarios"><spring:message code="formDatosEspecificos.numDormitoriosUsuarios"/></label>
								<input id="numDormitoriosUsuarios" type="text" class="form-control" name="establecimientoData.numDormitoriosUsuarios" value="${filter.establecimientoData.numDormitoriosUsuarios}" maxlength="2"/>
							</div>
						</c:if>	
					</div>
					
					<div class="row">
						<div class="col-xs-3 form-group">
							<label><spring:message code="formDatosEspecificos.dispSalon"/></label><br/>
							<c:choose>
								<c:when test="${filter.establecimientoData.disponeSalon eq 1}">
									<input type="checkbox" name="establecimientoData.disponeSalon" value="1" checked="checked"/>
								</c:when>
								<c:otherwise>
									<input type="checkbox" name="establecimientoData.disponeSalon" value="1"/>
								</c:otherwise>
							</c:choose>
						</div>
						<div class="col-xs-3 form-group">
							<label><spring:message code="formDatosEspecificos.dispCocina"/></label><br/>
							<c:choose>
								<c:when test="${filter.establecimientoData.disponeCocina eq 1}">
									<input type="checkbox" name="establecimientoData.disponeCocina" value="1" checked="checked"/>
								</c:when>
								<c:otherwise>
									<input type="checkbox" name="establecimientoData.disponeCocina" value="1"/>
								</c:otherwise>
							</c:choose>
							
						</div>
						<div class="col-xs-6 form-group">
						</div>				
					</div>
					
					<div class="row">
						<div class="col-xs-4 form-group">
							<label><spring:message code="formDatosEspecificos.infoCatalogoProm"/></label>
						</div>
					</div>
					
					<div class="row">
						<div class="col-xs-4 form-group">
							<div class="panel-body">
								<c:choose>
									<c:when test="${filter.periodoPuentes eq 1}">
										<input type="checkbox" name="periodoPuentes" value="1" checked="checked"/>
									</c:when>
									<c:otherwise>
										<input type="checkbox" name="periodoPuentes" value="1"/>
									</c:otherwise>
								</c:choose>
								<label><spring:message code="formDatosEspecificos.finesSem"/></label>
							</div>
						</div>
					</div>
					
					<div class="row">
						<div class="col-xs-4 form-group">
							<div class="panel-body">
								<c:choose>
									<c:when test="${filter.periodoVacaciones eq 1}">
										<input type="checkbox" name="periodoVacaciones" value="1" checked="checked"/>
									</c:when>
									<c:otherwise>
										<input type="checkbox" name="periodoVacaciones" value="1"/>
									</c:otherwise>
								</c:choose>
								<label><spring:message code="formDatosEspecificos.vacaciones"/></label>
							</div>
						</div>
					</div>
					
					<div class="row">
						<div class="col-xs-4 form-group">
							<div class="panel-body">
								<c:choose>
									<c:when test="${filter.periodoVerano eq 1}">
										<input type="checkbox" name="periodoVerano" value="1" checked="checked"/>
									</c:when>
									<c:otherwise>
										<input type="checkbox" name="periodoVerano" value="1"/>
									</c:otherwise>
								</c:choose>
								<label><spring:message code="formDatosEspecificos.verano"/></label>
							</div>
						</div>
					</div>
					
					<div class="row">
						<div class="col-xs-4 form-group">
							<div class="panel-body">
								<c:choose>
									<c:when test="${filter.sinPeriodoPref eq 1}">
										<input type="checkbox" name="sinPeriodoPref" value="1" checked="checked"/>
									</c:when>
									<c:otherwise>
										<input type="checkbox" name="sinPeriodoPref" value="1"/>
									</c:otherwise>
								</c:choose>
								<label><spring:message code="formDatosEspecificos.sinPref"/></label>
							</div>
						</div>
					</div>
				</div>
				
				
				
				<h1><a><spring:message code="establecimiento.estructura"/></a></h1><!-- habVivienda bean -->
				<div class="form-group accordion_height_auto">
					<div id="tblEstructuraHabVivienda_div" class="rup-table-container">
						<div id="tblEstructuraHabVivienda_filter_div" class="rup-table-filter d-none">
							<form id="tblEstructuraHabVivienda_filter_form">
								<div id="tblEstructuraHabVivienda_feedback"></div>
								<div id="tblEstructuraHabVivienda_filter_toolbar" class="formulario_legend"></div>
								<fieldset id="tblEstructuraHabVivienda_filter_fieldset" class="rup-table-filter-fieldset"></fieldset>
							</form>
						</div>
						<div id="tblEstructuraHabVivienda_toolbar" class="mitoolbar clearfix"></div>
						<div id="tblEstructuraHabVivienda_grid_div">
							<table id="tblEstructuraHabVivienda" class="table"></table>
							<div id="tblEstructuraHabVivienda_pager"></div>
						</div>
					</div>
				</div>
				
				<h1><a><spring:message code="establecimiento.otrasDep"/></a></h1>
				<div class="form-group accordion_height_auto">
					<div id="tblOtrasDependencias_div" class="rup-table-container">
						<div id="tblOtrasDependencias_filter_div" class="rup-table-filter d-none">
							<form id="tblOtrasDependencias_filter_form">
								<div id="tblOtrasDependencias_feedback"></div>
								<div id="tblOtrasDependencias_filter_toolbar" class="formulario_legend"></div>
								<fieldset id="tblOtrasDependencias_filter_fieldset" class="rup-table-filter-fieldset"></fieldset>
							</form>
						</div>
						<div id="tblOtrasDependencias_toolbar" class="mitoolbar clearfix"></div>
						<div id="tblOtrasDependencias_grid_div">
							<table id="tblOtrasDependencias" class="table"></table>
							<div id="tblOtrasDependencias_pager"></div>
						</div>
					</div>
				</div>
				
				<h1><a><spring:message code="establecimiento.dispensas"/></a></h1>
				<div class="form-group accordion_height_auto">
					<div class="row">
											
						<jsp:include page="dispensasTable.jsp"></jsp:include>
							<c:if test="${filter.establecimientoData.dispensaEstablecimiento.dispensado eq 1}">
								
								<label><spring:message code="formDatosEspecificos.factorComp"/></label><hr>
																
								<div class="botoneraTabla">
									<button class="btn btn-default btn-circle" id="btnNuevaFactorComp" type="button" data-toggle="tooltip" data-placement="top" title='<spring:message code="tablasmaestras.tipoEstablecimiento.nuevo"/>'><i class="fa fa-plus"></i></button>
									<button class="btn btn-default btn-circle" id="btnBorrarFactorComp" type="button" data-toggle="tooltip" data-placement="top" title='<spring:message code="tablasmaestras.tipoEstablecimiento.borrar"/>'><i class="fa fa-trash"></i></button>
									<button class="btn btn-default btn-circle" id="btnEditarFactorComp" type="button" data-toggle="tooltip" data-placement="top" title='<spring:message code="tablasmaestras.tipoEstablecimiento.editar"/>'><i class="fa fa-edit"></i></button>
								</div>
								
								<div id="factorComp_feedback"></div>
									
								<table id="factorComp" class="table table-striped table-bordered"
										data-url-base="/ab63WebAppWar/factorCompensatorio"
										data-filter-form="#factorComp_filter_form"
										cellspacing="0" width="100%">
										<thead>
											<tr>
												<th data-col-prop="idFactorComp" data-col-sidx="IDFACTORCOMP">idFactorComp</th>
												<th data-col-prop="descripcion" data-col-sidx="DESCRIPCION"><spring:message code="formDatosEspecificos.descripcion"/></th>
												<th data-col-prop="descripcionEu" data-col-sidx="DESCRIPCIONEU"><spring:message code="formDatosEspecificos.descripcionEu"/></th>																            
									       </tr>
									    </thead>
									    
									    <tfoot hidden>
				        				<tr>
								            <th>idFactorComp</th>
								            <th>descripcion</th>
								            <th>descripcionEu</th>								            
				          				</tr>
				        			</tfoot>
								</table>
							</c:if>
						</div>
					</div>
				</div>
			</div>
		</form:form>
		<jsp:include page="includesDatosEspecificosH/factorCompFilterForm.jsp"></jsp:include>
		<jsp:include page="includesDatosEspecificosH/dispensasFilterForm.jsp"></jsp:include>
	</div>
	<div id="space"></div>
</section>
<jsp:include page="includesDatosEspecificosH/factorCompFormEdit.jsp"></jsp:include>
<jsp:include page="includesDatosEspecificosH/dispensasFormEdit.jsp"></jsp:include>

<div class="container">
	<div id="tblEstructuraHabVivienda_detail_div" class="rup-table-formEdit-detail">
		<div id ="tblEstructuraHabVivienda_detail_navigation"></div>
			<div class="ui-dialog-content ui-widget-content" >
				<form id="tblEstructuraHabVivienda_detail_form">
					<div id ="tblEstructuraHabVivienda_detail_feedback"></div>
					<!-- Campos del formulario de detalle -->
					<input type="hidden" name="idHabVivienda"/>
					
						
					<div class="row">
						<div class="col-xs-4 form-group">
							<label for="supDormitorio"><spring:message code="formEstructuraHabVivienda.superficie"/></label>
							<input id="supDormitorio" type="text" class="form-control" name="supDormitorio" maxlength="7"/>
						</div>
						<div class="col-xs-4 form-group">
							<label for="plazasHab"><spring:message code="formEstructuraHabVivienda.plazas"/></label>
							<input id="plazasHab" type="text" class="form-control" name="plazasHab" maxlength="2"/>
						</div>
						<div class="col-xs-4 form-group">
							<label><spring:message code="formEstructuraHabVivienda.identificacion"/></label>
							<input type="text" class="form-control" name="identHabitacion" maxlength="30"/>
						</div>				
					</div>
						
					<div class="row">
						<div class="col-xs-3 form-group">
							<label><spring:message code="formEstructuraHabVivienda.accesible"/></label><br/>
							<input type="checkbox" name="accesible" value="1"/>
						</div>
						<div class="col-xs-3 form-group">
							<label><spring:message code="formEstructuraHabVivienda.iluminacion"/></label><br/>
							<input type="checkbox" name="ilumNatural" value="1"/>
						</div>
						<div class="col-xs-3 form-group">
							<label><spring:message code="formEstructuraHabVivienda.ventilacion"/></label><br/>
							<input type="checkbox" name="ventilacionPatio" value="1"/>
						</div>
						<div class="col-xs-3 form-group">
							<label><spring:message code="formEstructuraHabVivienda.usoTuristico"/></label><br/>
							<input type="checkbox" name="usoTuristico" value="1"/>
						</div>
						
					</div>
				</form>
			</div>
			
			<div class="rup-table-buttonpane ui-widget-content ui-helper-clearfix">
			<div class="ui-dialog-buttonset">
			<button id="tblEstructuraHabVivienda_detail_button_save" type="button">
				<spring:message code="save" />
			</button>
			<button id="tblEstructuraHabVivienda_detail_button_save_repeat" type="button">
				<spring:message code="saveAndContinue" />
			</button>
			
			<a role="button" id="tblEstructuraHabVivienda_detail_button_cancel"
			class="rup-enlaceCancelar"><spring:message code="cancel" /></a>
			
			</div>
			</div>
	</div>
</div>

<div class="container">
	<div id="tblOtrasDependencias_detail_div" class="rup-table-formEdit-detail">
		<div id ="tblOtrasDependencias_detail_navigation"></div>
			<div class="ui-dialog-content ui-widget-content" >
				<form id="tblOtrasDependencias_detail_form">
					<div id ="tblOtrasDependencias_detail_feedback"></div>
					<!-- Campos del formulario de detalle -->
					<input type="hidden" name="idHabVivienda"/>
					
						
					<div class="row">
						<div class="col-xs-6 form-group">
							<label for="denomDependencia" class="required"><spring:message code="formOtrasDep.nombre" /></label>
							<input type="text" class="form-control" name="denomDependencia" maxlength="30"/>
						</div>
						<div class="col-xs-3 form-group">
							<label for="supDependencia"><spring:message code="formOtrasDep.superficie"/></label>
							<input id="supDependencia" type="text" class="form-control" name="supDependencia" maxlength="7"/>
						</div>
						
					</div>
						
					<div class="row">
						<div class="col-xs-4 form-group">
							<label><spring:message code="formOtrasDep.accesible"/></label><br/>
							<input type="checkbox" name="accesible" value="1"/>
						</div>
						<div class="col-xs-4 form-group">
							<label><spring:message code="formOtrasDep.esCuartoBano"/></label><br/>
							<input type="checkbox" name="esCuartoBano" value="1"/>
						</div>
					</div>					
				</form>
			</div>
			
			<div class="rup-table-buttonpane ui-widget-content ui-helper-clearfix">
			<div class="ui-dialog-buttonset">
			<button id="tblOtrasDependencias_detail_button_save" type="button">
				<spring:message code="save" />
			</button>
			<button id="tblOtrasDependencias_detail_button_save_repeat" type="button">
				<spring:message code="saveAndContinue" />
			</button>
			
			<a role="button" id="tblOtrasDependencias_detail_button_cancel"
			class="rup-enlaceCancelar"><spring:message code="cancel" /></a>
			
			</div>
			</div>
	</div>
</div>