<%@include file="/WEB-INF/includeTemplate.inc"%>	
<%@page import="com.ejie.x38.security.UserCredentials"%>
<%@page import="java.util.*" %> 
<%@taglib prefix="c" uri="http://java.sun.com/jsp/jstl/core"%>
<%@taglib prefix="form" uri="/WEB-INF/tld/spring-form.tld"%>
<%@page import="com.ejie.ab63.comun.Constantes"%>

<section>
	<div class="container"> 
		<!-- Incluimos la jsp que contiene las pestanas -->
		<jsp:include page="../pestanas.jsp" />
		
		<div id="id_capa"></div>
		<form:form id="formDatosEspecificos" modelAttribute="filter">
			<input type="hidden" id="idEstablecimiento" name="idEstablecimiento" value="${filter.idEstablecimiento}">	
			<input type="hidden" name="tipoEstablecimiento.idTipoEstablecimiento" value="${filter.tipoEstablecimiento.idTipoEstablecimiento}"/>	
			<input type="hidden" name="establecimientoData.edificioCatalogado" value="${filter.establecimientoData.edificioCatalogado}"/>
			<input type="hidden" name="visibleweb" value="${filter.visibleweb}">
			<input type="hidden" name="temporada" value="${filter.temporada}">
			<input type="hidden" name="eliminado" value="${filter.eliminado}">
			<input type="hidden" name="expedienteb29" value="${filter.expedienteb29}">
			<input type="hidden" name="tipoRegistro" value="${filter.tipoRegistro}">
			<input type="hidden" id="controlCambios" value="0" />
			<input type="hidden" id="idOrigenOfiPrincipalHidden" value="${filter.franquicia.idOrigenOfiPrincipal}">
			
			<input type="hidden" id="idTipoCieHidden" value="${filter.franquicia.idTipoCie}">
			<input type="hidden" id="idGrupo" name="grupo.idGrupo" value="${filter.grupo.idGrupo}">
			<input type="hidden" id="idModalidad" name="modalidad.idModalidad" value="${filter.modalidad.idModalidad}">
			<input type="hidden" id="idEstFranquicia" name="franquicia.idEstablecimiento" value="${filter.franquicia.idEstablecimiento}">
			<input type="hidden" id="idNumCie" name="franquicia.numCie" value="${filter.franquicia.numCie}">
			
			
			
			<div id="feedbackDatosEspecificos"></div>
			
			<div id="accordionExample" class="rup_accordion">
				<h1><a><spring:message code="establecimiento.caracteristicas"/></a></h1>
				<div class="form-group accordion_height_auto">
				
				
				
				<div class="row">
						<div class="col-xs-2 form-group">
							<label><spring:message code="formDatosEspecificos.indFranquicia"></spring:message></label><br>
								<c:choose>
									<c:when test="${filter.franquicia.franquicia eq 1}">
										<input type="radio" id="franquiciaSi" name="franquicia.franquicia" value="1" checked="checked"/><spring:message code="establecimiento.si"/>
										<input type="radio" id="franquiciaNo" name="franquicia.franquicia" value="0"/><spring:message code="establecimiento.no"/>
									</c:when>
									<c:otherwise>
										<input type="radio" id="franquiciaSi" name="franquicia.franquicia" value="1"/><spring:message code="establecimiento.si"/>
										<input type="radio" id="franquiciaNo" name="franquicia.franquicia" value="0" checked="checked"/><spring:message code="establecimiento.no"/>
									</c:otherwise>
								</c:choose>
						</div>
						
						
						
						<div class="col-xs-10 form-group">
							<label for="idComboTipoFranquiciaHidden"><spring:message code="formDatosEspecificos.marcaFranquicia"/></label>
							<div class="row">
								<div class="col-xs-1 form-group">
									<input type="text" class="form-control" name="franquicia.tipoFranquicia.idFranquicia" id="idComboTipoFranquiciaHidden" value="${filter.franquicia.tipoFranquicia.idFranquicia}"/>
								</div>
								<div class="col-xs-11 form-group">
									<select id="idComboTipoFranquicia" class="form-control"></select>
								</div>
							</div>
						</div>						
					</div>
					
					<div class="row">
						<div class="col-xs-2 form-group">
							<label><spring:message code="formDatosEspecificos.indOnline"></spring:message></label><br>
								<c:choose>
									<c:when test="${filter.franquicia.indonline eq 1}">
										<input type="radio" name="franquicia.indonline" value="1" checked="checked"/><spring:message code="establecimiento.si"/>
										<input type="radio" name="franquicia.indonline" value="0" /><spring:message code="establecimiento.no"/>
									</c:when>
									<c:otherwise>
										<input type="radio" name="franquicia.indonline" value="1"/><spring:message code="establecimiento.si"/>
										<input type="radio" name="franquicia.indonline" value="0" checked="checked" /><spring:message code="establecimiento.no"/>
									</c:otherwise>
								</c:choose>
						</div>
					</div>
					
					<div class="card">
						<div class="card-header"><label><spring:message code="formDatosEspecificos.datosFianza"/></label></div>
						<div class="card-body">
							<div class="row">
								<div class="col-xs-3 form-group">
									<label><spring:message code="formDatosEspecificos.numRegistroDep"/></label>
									<input type="text" name="franquicia.registroFianza" class="form-control" maxlength="25" value="${filter.franquicia.registroFianza}"/>
								</div>
								<div class="col-xs-3 form-group">
									<label><spring:message code="establecimiento.fechaApertura"/></label>
									<input id="fechaApertura" type="text" class="form-control" readonly="readonly" value="${filter.fechaApertura}"/>
								</div>
							</div>
							<div class="row">
								<div class="col-xs-12 form-group">
									<label><spring:message code="establecimiento.observaciones"/></label>
									<textarea class="form-control" name="franquicia.observFianza" maxlength="4000" rows="5" data-autoresize="" style="height: 80px;">${filter.franquicia.observFianza}</textarea>
								</div>
							</div>
						</div>
					</div>
					
					<div class="card">
						<div class="card-header"><label><spring:message code="formDatosEspecificos.datosSrc"/></label></div>
						<div class="card-body">
							<div class="row">
								<div class="col-xs-12 form-group">
									<label><spring:message code="establecimiento.observaciones"/></label>
									<textarea class="form-control" name="franquicia.observSrc" maxlength="4000" rows="5" data-autoresize="" style="height: 80px;">${filter.franquicia.observSrc}</textarea>
								</div>
							</div>
						</div>
					</div>
				</div>
				
				<h1><a><spring:message code="formDatosEspecificos.fianzas"/></a></h1>
				<div class="form-group accordion_height_auto">
				<div id ="calculoFianzasFeedback"></div>
					<div class="row">
						<div class="col-xs-3 from-group">
							<label><spring:message code="formDatosEspecificos.fianzasDefinidas"/></label>
							<input type="text" class="form-control" id="totalFianzas" readonly="readonly"/>
						</div>
						
						<div class="col-xs-3 from-group">
							<label><spring:message code="formDatosEspecificos.fianzaCalculada"/></label>
							<input type="text" class="form-control" id="totalFianzasCalculadas" readonly="readonly"/>
						</div>
						
						<div class="col-xs-3 from-group">
							<a onclick="calcularFianza(1)" class="btn btn-outline-primary d-table"><spring:message code="formDatosEspecificos.calcular"/></a>
						</div>
						
					</div>
					
					
					<div id="divTblFianzas" class="card-body">
						<c:if test="${filter.modalidad.idModalidad eq 'P'}">
						<div class="botoneraTabla">
							<button class="btn btn-default btn-circle" id="btnNuevaFianza" type="button" data-toggle="tooltip" data-placement="top" title='<spring:message code="tablasmaestras.tipoEstablecimiento.nuevo"/>'><i class="fa fa-plus"></i></button>
							<button class="btn btn-default btn-circle" id="btnBorrarFianza" type="button" data-toggle="tooltip" data-placement="top" title='<spring:message code="tablasmaestras.tipoEstablecimiento.borrar"/>'><i class="fa fa-trash"></i></button>
							<button class="btn btn-default btn-circle" id="btnEditarFianza" type="button" data-toggle="tooltip" data-placement="top" title='<spring:message code="tablasmaestras.tipoEstablecimiento.editar"/>'><i class="fa fa-edit"></i></button>
						</div>
						</c:if>
							<table id="fianzas" class="table table-striped table-bordered"
									data-url-base="/ab63WebAppWar/fianzaEstablecimiento"
									data-filter-form="#fianzas_filter_form"
									cellspacing="0" width="100%">
									<thead>
										<tr>
											<th data-col-prop="idFianzasEstab" data-col-sidx="IDFIANZASESTAB"><spring:message code="formDatosEspecificos.idFianza"/></th>
											<th data-col-prop="descTipoFianza" data-col-sidx="IDTIPOFIANZA"><spring:message code="formDatosEspecificos.tipoFianza" /></th>
<%-- 											<th data-col-prop="asociacionFianza" data-col-sidx="ASOCIACIONFIANZA"><spring:message code="formDatosEspecificos.asociacion" /></th> --%>
											<th data-col-prop="numImporteFianza" data-col-sidx="NUMIMPORTEFIANZA"><spring:message code="formDatosEspecificos.importe" /></th>
											<th data-col-prop="registroFianza" data-col-sidx="REGISTROFIANZA"><spring:message code="formDatosEspecificos.registroFianza" /></th>
											<th data-col-prop="fechaFianza" data-col-sidx="FECHAFIANZA"><spring:message code="formDatosEspecificos.fechaFianza" /></th>
											<th data-col-prop="observFianza" data-col-sidx="OBSERVFIANZA"><spring:message code="formDatosEspecificos.observaciones" /></th>						            
								       </tr>
								    </thead>
							</table>
					</div>		
				</div>
				
				<h1><a><spring:message code="formDatosEspecificos.actividadesRelacionadas"/></a></h1>
				<div class="form-group accordion_height_auto">
					<label><spring:message code="formDatosEspecificos.establecimientos"/></label><hr>
					<div id="divTblEstByOfiPpal" class="card-body">
						<table id="estByOfiPpal" class="table table-striped table-bordered"
								data-url-base="/ab63WebAppWar/datosEspecificos/estByOfiPpal"
								data-filter-form="#estByOfiPpal_filter_form"
								cellspacing="0" width="100%">
								<thead>
									<tr>
										<th data-col-prop="identificadorEstablecimiento"><spring:message code="formDatosEspecificos.numRegistroEst"/></th>
										<th data-col-prop="descrNombre" data-col-sidx="DESCRNOMBRE"><spring:message code="formDatosEspecificos.nombreComercial"/></th>
										<th data-col-prop="datosDirecciones.direccionCompuesta" data-col-sidx="DIRECCION"><spring:message code="formDatosEspecificos.direccion"/></th>
										<th data-col-prop="fechaBaja" data-col-sidx="FECHABAJA"><spring:message code="establecimiento.fechaCierre"/></th>
										<th data-col-prop="franquicia.registroFianza" data-col-sidx="FRANQREGISTROFIANZA"><spring:message code="formDatosEspecificos.registroFianza"/></th>
										<th data-col-prop="franquicia.descIdPrimeraSucursal" data-col-sidx="IDPRIMERASUCURSAL"><spring:message code="formDatosEspecificos.idPrimeraSucursal"/></th>
																            
							       </tr>
							    </thead>
						</table>
					</div>
				</div>				
			</div>
		</form:form>
		
		<div id="fianzas_filter_form" class="d-none">
						<div id="fianzas_filter_toolbar" class="formulario_legend d-none" ></div>
							<fieldset id="fianzas_filter_fieldset" class="rup-table-filter-fieldset" >
								<div class="panel panel-default">
									<div class="panel-heading"><spring:message code="busquedaREATE.criteriosBusqueda"/></div>
										<div class="panel-body">
											
											
											<div class="row">
												<div class="col-xs-1 form-group">
<!-- 													<input type="text" name="franquicia.idEstablecimiento" class="form-control" id="franquicia_filter_table"/> -->
													<input type="text" name="franquicia.numCie" value="${filter.franquicia.numCie}"/>
												</div>
												
											
											</div>
										</div>
								</div>
								<div id="fianzas_filter_buttonSet" class="right_buttons d-none">	
									<button id="fianzas_filter_cleanButton" type="button" class="btn btn-warning rup-limpiar">
										<i class="fa fa-eraser"></i>
										<span><spring:message code="clear" /></span>
									</button>
									
									<button id="fianzas_filter_filterButton" type="button" class="btn rup-filtrar rup-filter-dropdown" >
										<i class="fa fa-filter"></i>
										<span><spring:message code="filter" /></span>
									</button>
								</div>
							</fieldset>
					</div>
		
		<div id="estByOfiPpal_filter_form" class="d-none">
						<div id="estByOfiPpal_filter_toolbar" class="formulario_legend d-none" ></div>
							<fieldset id="estByOfiPpal_filter_fieldset" class="rup-table-filter-fieldset" >
								<div class="panel panel-default">
									<div class="panel-heading"><spring:message code="busquedaREATE.criteriosBusqueda"/></div>
										<div class="panel-body">
											
											
											<div class="row">
												<div class="col-xs-1 form-group">
													<input type="text" name="franquicia.idEstablecimiento" class="form-control" id="estByOfiPpal_filter_table"/>
													<input type="text" name="franquicia.numCie" value="${filter.franquicia.numCie}"/>	
												</div>
												
											
											</div>
										</div>
								</div>
								<div id="estByOfiPpal_filter_buttonSet" class="right_buttons d-none">	
									<button id="estByOfiPpal_filter_cleanButton" type="button" class="btn btn-warning rup-limpiar">
										<i class="fa fa-eraser"></i>
										<span><spring:message code="clear" /></span>
									</button>
									
									<button id="estByOfiPpal_filter_filterButton" type="button" class="btn rup-filtrar rup-filter-dropdown" >
										<i class="fa fa-filter"></i>
										<span><spring:message code="filter" /></span>
									</button>
								</div>
							</fieldset>
					</div>
	</div>
		<div id="space"></div>
</section>

<div id="fianzas_detail_div" class="rup-table-formEdit-detail">
	<div id ="fianzas_detail_navigation"></div>
	<div class="ui-dialog-content ui-widget-content">
		<form id="fianzas_detail_form">
		<input id="modalIdEstablecimiento" type="hidden" name="franquicia.idEstablecimiento">
		<div id ="fianzas_detail_feedback"></div>
						
			<div class="row">
			<input type="hidden" id="modalIdFianzasEstab" type="text" class="form-control" maxlength="8" name="idFianzasEstab"></input>
				<div class="col-xs-4 form-group">
					<label for="modalTipoFianza" class="required"><spring:message code="formDatosEspecificos.tipoFianza"/></label>
					<select id="modalTipoFianza" class="form-control" name="idTipoFianza">
						<option value=""></option>
						<option value="I"><spring:message code="formDatosEspecificos.individual"/></option>
						<option value="C"><spring:message code="formDatosEspecificos.colectiva"/></option>
						
					</select>
				</div>
						
				<div class="col-xs-4 form-group">
					<label for="modalAsociacion"><spring:message code="formDatosEspecificos.asociacion"/></label>
					<input type="text" id="modalAsociacion" name="asociacionFianza" class="form-control" maxlength="100"></input>
				</div>
				
				<div class="col-xs-4 form-group">
					<label for="modalImporte" class="required"><spring:message code="formDatosEspecificos.importe"/></label><br/>
					<input id="modalImporte" type="text" class="form-control" maxlength="13" name="numImporteFianza"></input>
				</div>		
			</div>
			<div class="row">
				<div class="col-xs-4 form-group">
					<label for="modalRegistroFianza" class="required"><spring:message code="formDatosEspecificos.registroFianza"/></label><br/>
					<input id="modalRegistroFianza" type="text" class="form-control" maxlength="25" name="registroFianza"></input>				
				</div>
				<div class="col-xs-4 form-group">
					<label for="modalAdmon" class="required"><spring:message code="formDatosEspecificos.admon"/></label><br/>
					<input id="modalAdmon" type="text" class="form-control" maxlength="100" name="admonFianza"></input>
				</div>
				<div class="col-xs-4 form-group">
					<label for="modalFechaFianza" class="required"><spring:message code="formDatosEspecificos.fechaFianza"/></label><br/>
					<input id="modalFechaFianza" type="text" class="form-control" name="fechaFianza"></input>				
				</div>
			</div>
			<div class="row">
				<div class="col-xs-12 form-group">
					<div class="container row">
						<label for="modalObservFianza" class="label"><spring:message code="formDatosEspecificos.observaciones"/></label>
						<textarea id="modalObservFianza" name="observFianza" class="form-control" style="height: 45px;" maxlength="200"></textarea>
					</div>
				</div>
			</div>					
		</form>
	</div>
				
	<div class="rup-table-buttonpane ui-widget-content ui-helper-clearfix">
		<div class="ui-dialog-buttonset rup_tableEdit_buttonsContainerResponsive">
		
			<button id="saveAux" class="btn btn-outline-primary rup_tableEdit_buttonsResponsive" type="button"><spring:message code="save" /></button>
						
			<button id="fianzas_detail_button_save" class="btn btn-outline-primary rup_tableEdit_buttonsResponsive d-none" type="button">
				<spring:message code="save" />
			</button>
			
			<button id="fianzas_detail_button_cancel"
				 class="btn btn-outline-primary rup_tableEdit_buttonsResponsive" type="button"><spring:message code="cancel" />
			</button>
		</div>
	</div>
</div>