<%@include file="/WEB-INF/includeTemplate.inc"%>	
<%@page import="com.ejie.x38.security.UserCredentials"%>
<%@page import="java.util.*" %> 
<%@taglib prefix="c" uri="http://java.sun.com/jsp/jstl/core"%>
<%@taglib prefix="form" uri="/WEB-INF/tld/spring-form.tld"%>
<%@page import="com.ejie.ab63.comun.Constantes"%>

<section>
	<div class="container"> 
		<!-- Incluimos la jsp que contiene las pestanas -->
		<jsp:include page="../pestanas.jsp" />
		
		<div id="id_capa"></div>
		<form:form id="formDatosEspecificos" modelAttribute="filter">
			<input type="hidden" name="idEstablecimiento" value="${filter.idEstablecimiento}"/>
			<input type="hidden" name="tipoEstablecimiento.idTipoEstablecimiento" value="${filter.tipoEstablecimiento.idTipoEstablecimiento}"/>
			<input type="hidden" name="establecimientoData.idEstablecimiento" value="${filter.establecimientoData.idEstablecimiento}"/>
			<div id="feedbackDatosEspecificos"></div>
			<div id="feedbackSearchCampingAsociado"></div>
			<div id="accordionExample" class="rup_accordion">
			
			<!-- **********************CARACTERISTICAS ACTIVIDAD********************** -->
				<h1><a><spring:message code="establecimiento.caracteristicas"/></a></h1>
				<div class="form-group accordion_height_auto">
					<label><spring:message code="formDatosEspecificos.caracteristicas"/></label><hr>
					
					<div class="row">
						<div class="col-xs-3 form-group">
						<label><spring:message code="formDatosEspecificos.comparte"/></label>
						<input id="comparteHidden" type="hidden" value="${filter.establecimientoData.comparteInstal}"/>
						<c:choose>
							<c:when test="${filter.establecimientoData.comparteInstal eq 1}">
								<input type="radio" name="establecimientoData.comparteInstal" value="1" checked="checked"/><spring:message code="establecimiento.si"/>
								<input type="radio" name="establecimientoData.comparteInstal" value="0"/><spring:message code="establecimiento.no"/>
							</c:when>
							<c:otherwise>
								<input type="radio" name="establecimientoData.comparteInstal" value="1"/><spring:message code="establecimiento.si"/>
								<input type="radio" name="establecimientoData.comparteInstal" value="0" checked="checked"/><spring:message code="establecimiento.no"/>
							</c:otherwise>
						</c:choose>
						</div>
						
						<div class="col-xs-9 d-none" id="busqCampingAsociado">
							<div class="col-xs-4">								
								<label for="numInstalComparte" class="required"><spring:message code="establecimiento.numResgitro"/></label>
								<div id="searchIdentificadorContainer" class="form-group">
									<input type="text" class="" size="1" id='partLetra' autocomplete="off" maxlength="1" readonly="readonly" style="width: 35px;"/>
									<span class="input-group-addon">&nbsp;&nbsp;</span>
									<input type="text" class="" size="2" id='partProv' autocomplete="off"  maxlength="2" style="width: 45px;"/>
									<span class="input-group-addon">&nbsp;&nbsp;</span>
									<input type="text" class="" size="5" id='partSequencia' autocomplete="off" maxlength="5" style="width: 65px;"/>
								</div>
								<div id="prueba">
									<input type="hidden" id="numInstalComparte" name="establecimientoData.numInstalComparte" value="${filter.establecimientoData.numInstalComparte}"/>
									<input type="hidden" class="form-control" id='searchIdentificador'autocomplete="off" maxlength="8"/>
								</div>
							</div>
							<div class="col-xs-4">
								<label for="nombreCampingAsociado"><spring:message code="establecimiento.nombre"/></label>
								<input type="text" class="form-control" id="nombreCampingAsociado" readonly="readonly"/>
							</div>
						</div>	
					</div>
					
					<div class="row">
						<div class="col-xs-3 form-group">
							<label for="numSupAcampada"><spring:message code="formDatosEspecificos.zonaAcampada"/></label>
							<input type="text" class="form-control" name="establecimientoData.numSupAcampada" id="numSupAcampada" value="${filter.establecimientoData.numSupAcampada}" maxlength="7"/>
						</div>
					</div>
					
					<label><spring:message code="formDatosEspecificos.construccionRenovacion"/></label><hr>
					
					<div class="row">
<!-- 						<div class="col-xs-3 form-group"> -->
<%-- 							<label><spring:message code="establecimiento.anioConstruccion"/></label> --%>
<%-- 							<input type="text" class="form-control" name="establecimientoData.fechaAnoConstruccion" id="fechaAnoConstruccion" value="${filter.establecimientoData.fechaAnoConstruccion}" maxlength="4"/> --%>
<!-- 						</div> -->
						<div class="col-xs-3 form-group">
							<label for="fechaAnoRenovacion"><spring:message code="formDatosEspecificos.anyoRenovacion"/></label>
							<input type="text" class="form-control" name="establecimientoData.fechaAnoRenovacion" id="fechaAnoRenovacion" value="${filter.establecimientoData.fechaAnoRenovacion}" maxlength="4"/>
						</div>
<!-- 						<div class="col-xs-3 form-group"> -->
<%-- 							<label><spring:message code="establecimiento.fechaApertura"/></label> --%>
<%-- 							<input type="text" class="form-control" name="fechaApertura" id="fechaApertura" value="${filter.fechaApertura}" maxlength="8"/> --%>
<!-- 						</div> -->
					</div>
					
					<label><spring:message code="formDatosEspecificos.resumenEstructuraEspCom"/></label><hr>
					<div class="row">
						<div class="col-xs-3 form-group">
							<c:choose>
								<c:when test="${filter.establecimientoData.bar eq 1}">
									<input type="checkbox" name="establecimientoData.bar" value="1" checked="checked"/>
								</c:when>
								<c:otherwise>
									<input type="checkbox" name="establecimientoData.bar" value="1"/>
								</c:otherwise>
							</c:choose>
							<label><spring:message code="formDatosEspecificos.bar"/></label>
						</div>
						
						<div class="col-xs-3 form-group">
							<c:choose>
								<c:when test="${filter.establecimientoData.restaurante eq 1}">
									<input type="checkbox" name="establecimientoData.restaurante" value="1" checked="checked"/>
								</c:when>
								<c:otherwise>
									<input type="checkbox" name="establecimientoData.restaurante" value="1"/>
								</c:otherwise>
							</c:choose>
							<label><spring:message code="formDatosEspecificos.restaurante"/></label>
						</div>
						
						<div class="col-xs-3 form-group">
							<c:choose>
								<c:when test="${filter.establecimientoData.piscina eq 1}">
									<input type="checkbox" name="establecimientoData.piscina" value="1" checked="checked"/>
								</c:when>
								<c:otherwise>
									<input type="checkbox" name="establecimientoData.piscina" value="1"/>
								</c:otherwise>
							</c:choose>
							<label><spring:message code="formDatosEspecificos.piscina"/></label>
						</div>
					</div>
					
					
					<label><spring:message code="formDatosEspecificos.resumenEstructuraAloj"/></label><hr>
					
					<div class="row">
						<div class="col-xs-3 form-group">
							<label for="numTotParcelas" class="required"><spring:message code="formDatosEspecificos.totalParcelas"/></label>
							<input type="text" class="form-control" name="establecimientoData.numTotParcelas" id="numTotParcelas" value="${filter.establecimientoData.numTotParcelas}" maxlength="4"/>
						</div>
					</div>
					
					<div class="row">
						<div class="col-xs-3 form-group">
							<label for="numParcelasAnf"><spring:message code="formDatosEspecificos.pAlberguesNoFijos"/></label>
							<input type="text" class="form-control" name="establecimientoData.numParcelasAnf" id="numParcelasAnf" value="${filter.establecimientoData.numParcelasAnf}" maxlength="4"/>
						</div>
						<div class="col-xs-3 form-group">
							<label for="numParcelasAf"><spring:message code="formDatosEspecificos.pAlberguesFijos"/></label>
							<input type="text" class="form-control" name="establecimientoData.numParcelasAf" id="numParcelasAf" value="${filter.establecimientoData.numParcelasAf}" maxlength="4"/>
						</div>
						<div class="col-xs-3 form-group">
							<label for="numParcelasSa"><spring:message code="formDatosEspecificos.pSinAlbergues"/></label>
							<input type="text" class="form-control" name="establecimientoData.numParcelasSa" id="numParcelasSa" value="${filter.establecimientoData.numParcelasSa}" maxlength="4"/>
						</div>
					</div>
					
					<div class="row">
						<div class="col-xs-3 form-group">
							<label for="numPlazas" class="required"><spring:message code="formDatosEspecificos.totalPlazas"/></label>
							<input type="text" class="form-control" name="establecimientoData.numPlazas" id="numPlazas" value="${filter.establecimientoData.numPlazas}" maxlength="4"/>
						</div>
					</div>
				</div>
				
				<!-- **********************ESTRUCTURA********************** -->
				
				<h1><a><spring:message code="establecimiento.estructura"/></a></h1>
				<div class="form-group accordion_height_auto">
					
					<div id="divTblParcelas" class="card-body">
					
						<div class="rup_accordion">
							<h1><a><spring:message code="formDatosEspecificos.parcelas"/></a></h1>
							<div class="form-group accordion_height_auto">
								<label><spring:message code="formDatosEspecificos.resumen"/></label><hr>
						
								<div class="botoneraTabla">
									<button class="btn btn-default btn-circle" id="btnNuevaParcela" type="button" data-toggle="tooltip" data-placement="top" title='<spring:message code="tablasmaestras.tipoEstablecimiento.nuevo"/>'><i class="fa fa-plus"></i></button>
									<button class="btn btn-default btn-circle" id="btnBorrarParcela" type="button" data-toggle="tooltip" data-placement="top" title='<spring:message code="tablasmaestras.tipoEstablecimiento.borrar"/>'><i class="fa fa-trash"></i></button>
									<button class="btn btn-default btn-circle" id="btnEditarParcela" type="button" data-toggle="tooltip" data-placement="top" title='<spring:message code="tablasmaestras.tipoEstablecimiento.editar"/>'><i class="fa fa-edit"></i></button>
								</div>
								<div id="parcelasResumenFeedback"></div>
								<div id="parcelas_feedback"></div>
								<table id="parcelas" class="table table-striped table-bordered"
										data-url-base="/ab63WebAppWar/parcela"
										data-filter-form="#parcelas_filter_form"
										cellspacing="0" width="100%">
										<thead>
											<tr>
												<th data-col-prop="idParcela" data-col-sidx="IDPARCELA">idParcela</th>
												<th data-col-prop="electricidad" data-col-sidx="ELECTRICIDAD">electricidad</th>
												<th data-col-prop="agua" data-col-sidx="AGUA">agua</th>
												<th data-col-prop="desague" data-col-sidx="DESAGUE">desague</th>
												<th data-col-prop="nombre" data-col-sidx="NOMBRE"><spring:message code="establecimiento.nombre"/></th>
												<th data-col-prop="numSuperficie" data-col-sidx="NUMSUPERFICIE"><spring:message code="formDatosEspecificos.superficie"/></th>
												<th data-col-prop="numPlazas" data-col-sidx="NUMPLAZAS"><spring:message code="formEstructuraHabVivienda.plazas"/></th>
												<th data-col-prop="numUnidades" data-col-sidx="NUMUNIDADES"><spring:message code="formDatosEspecificos.unidades"/></th>
												<th data-col-prop="totalPlazas" data-col-sidx="NUMPLAZAS"><spring:message code="formDatosEspecificos.totalPlazas"/></th>
																		            
									       </tr>
									    </thead>
									    
									    <tfoot hidden>
					        				<tr>
									            <th>idParcela</th>
									            <th>electricidad</th>
									            <th>agua</th>
									            <th>desague</th>
									            <th>nombre</th>
									            <th>numSuperficie</th>
									            <th>numPlazas</th>
									            <th>numUnidades</th>
									            <th>totalPlazas</th>
					          				</tr>
					        			</tfoot>
								</table>
									
								<label><spring:message code="formDatosEspecificos.detalle"/></label><hr>
								
								<div class="botoneraTabla">
									<button class="btn btn-default btn-circle" id="btnNuevaParcelaDetalle" type="button" data-toggle="tooltip" data-placement="top" title='<spring:message code="tablasmaestras.tipoEstablecimiento.nuevo"/>'><i class="fa fa-plus"></i></button>
									<button class="btn btn-default btn-circle" id="btnBorrarParcelaDetalle" type="button" data-toggle="tooltip" data-placement="top" title='<spring:message code="tablasmaestras.tipoEstablecimiento.borrar"/>'><i class="fa fa-trash"></i></button>
									<button class="btn btn-default btn-circle" id="btnEditarParcelaDetalle" type="button" data-toggle="tooltip" data-placement="top" title='<spring:message code="tablasmaestras.tipoEstablecimiento.editar"/>'><i class="fa fa-edit"></i></button>
								</div>
								<div id="parcelasDetalleFeedback"></div>
								<div id="parcelasDetalle_feedback"></div>
								<table id="parcelasDetalle" class="table table-striped table-bordered"
										data-url-base="/ab63WebAppWar/parcela"
										data-filter-form="#parcelasDetalle_filter_form"
										cellspacing="0" width="100%">
										<thead>
											<tr>
												<th data-col-prop="idParcela" data-col-sidx="IDPARCELA">idParcela</th>
												<th data-col-prop="electricidad" data-col-sidx="ELECTRICIDAD">electricidad</th>
												<th data-col-prop="agua" data-col-sidx="AGUA">agua</th>
												<th data-col-prop="desague" data-col-sidx="DESAGUE">desague</th>
												<th data-col-prop="albergueFijo" data-col-sidx="ALBERGUEFIJO">albergueFijo</th>
												<th data-col-prop="otrasCaracteristicas" data-col-sidx="OTRASCARACTERISTICAS">otrasCaracteristicas</th>
												<th data-col-prop="numParcela" data-col-sidx="NUMPARCELA"><spring:message code="formDatosEspecificos.numParcela"/></th>
												<th data-col-prop="nombre" data-col-sidx="NOMBRE"><spring:message code="establecimiento.nombre"/></th>
												<th data-col-prop="numSuperficie" data-col-sidx="NUMSUPERFICIE"><spring:message code="formDatosEspecificos.superficie"/></th>
												<th data-col-prop="numPlazas" data-col-sidx="NUMPLAZAS"><spring:message code="formEstructuraHabVivienda.plazas"/></th>
												<th data-col-prop="descAccesibilidad" data-col-sidx="ACCESIBILIDAD" data-col-formatter="formatterSiNo"><spring:message code="formDatosEspecificos.accesibilidad"/></th>
									       </tr>
									    </thead>
									    
									    <tfoot hidden>
					        				<tr>
									            <th>idParcela</th>
									            <th>electricidad</th>
									            <th>agua</th>
									            <th>desague</th>
									            <th>albergueFijo</th>
									            <th>otrasCaracteristicas</th>
									            <th>numParcela</th>
									            <th>nombre</th>
									            <th>numSuperficie</th>
									            <th>numPlazas</th>
									            <th>accesibilidad</th>
					          				</tr>
					        			</tfoot>
								</table> 
							</div>
						</div>	
					</div>	
				</div>
				
				
				<h1><a><spring:message code="establecimiento.espaciosComunes"/></a></h1>
				<div class="form-group accordion_height_auto">
				
					<div class="rup_accordion">
							<h1><a><spring:message code="formDatosEspecificos.zonasOcio"/></a></h1>
							<div class="form-group accordion_height_auto">
								<label><spring:message code="formDatosEspecificos.zonasOcio"/></label><hr>
								<div class="botoneraTabla">
									<button class="btn btn-default btn-circle" id="btnNuevaZonaOcio" type="button" data-toggle="tooltip" data-placement="top" title='<spring:message code="tablasmaestras.tipoEstablecimiento.nuevo"/>'><i class="fa fa-plus"></i></button>
									<button class="btn btn-default btn-circle" id="btnBorrarZonaOcio" type="button" data-toggle="tooltip" data-placement="top" title='<spring:message code="tablasmaestras.tipoEstablecimiento.borrar"/>'><i class="fa fa-trash"></i></button>
									<button class="btn btn-default btn-circle" id="btnEditarZonaOcio" type="button" data-toggle="tooltip" data-placement="top" title='<spring:message code="tablasmaestras.tipoEstablecimiento.editar"/>'><i class="fa fa-edit"></i></button>
								</div>
								<div id="zonaOcio_feedback"></div>
								<table id="zonaOcio" class="table table-striped table-bordered"
										data-url-base="/ab63WebAppWar/zonaOcio"
										data-filter-form="#zonaOcio_filter_form"
										cellspacing="0" width="100%">
										<thead>
											<tr>
												<th data-col-prop="idZonaOcio" data-col-sidx="IDZONAOCIO">idParcela</th>
												<th data-col-prop="idEstablecimiento" data-col-sidx="AB6321S00IDESTABLECIMIENTO">idEstablecimiento</th>
												<th data-col-prop="numSuperficie" data-col-sidx="NUMSUPERFICIE"><spring:message code="formDatosEspecificos.numSuperficie"/></th>
												<th data-col-prop="descripcion" data-col-sidx="DESCRIPCION"><spring:message code="formDatosEspecificos.descripcion"/></th>
												<th data-col-prop="descripcionEu" data-col-sidx="DESCRIPCIONEU"><spring:message code="formDatosEspecificos.descripcionEu"/></th>
									       </tr>
									    </thead>
									    
									    <tfoot hidden>
					        				<tr>
									            <th>idZonaOcio</th>
									            <th>idEstablecimiento</th>
									            <th>numSuperficie</th>
									            <th>descripcion</th>
									            <th>descripcionEu</th>
					          				</tr>
					        			</tfoot>
								</table>
							</div>
						</div>
						
						
						<div class="rup_accordion">
							<h1><a><spring:message code="formDatosEspecificos.banyosGenerales"/></a></h1>
							<div class="form-group accordion_height_auto">
								<label><spring:message code="formDatosEspecificos.resumen"/></label><hr>
								<div class="botoneraTabla">
								<button class="btn btn-default btn-circle" id="btnNuevoAseo" type="button" data-toggle="tooltip" data-placement="top" title='<spring:message code="tablasmaestras.tipoEstablecimiento.nuevo"/>'><i class="fa fa-plus"></i></button>
								<button class="btn btn-default btn-circle" id="btnBorrarAseo" type="button" data-toggle="tooltip" data-placement="top" title='<spring:message code="tablasmaestras.tipoEstablecimiento.borrar"/>'><i class="fa fa-trash"></i></button>
								<button class="btn btn-default btn-circle" id="btnEditarAseo" type="button" data-toggle="tooltip" data-placement="top" title='<spring:message code="tablasmaestras.tipoEstablecimiento.editar"/>'><i class="fa fa-edit"></i></button>
								</div>
								<div id="aseosResumenFeedback"></div>
								<div id="aseos_feedback"></div>
									
								<table id="aseos" class="table table-striped table-bordered"
										data-url-base="/ab63WebAppWar/aseo"
										data-filter-form="#aseos_filter_form"
										cellspacing="0" width="100%">
										<thead>
											<tr>
												<th data-col-prop="idAseo" data-col-sidx="IDASEO"></th>
												<th data-col-prop="ubicacion" data-col-sidx="UBICACION"><spring:message code="formDatosEspecificos.ubicacion"/></th>
												<th data-col-prop="numUnidades" data-col-sidx="NUMUNIDADES"><spring:message code="formDatosEspecificos.nAseos"/></th>
												<th data-col-prop="descTipoAseo" data-col-sidx="AB6316S00IDTIPOASEO"><spring:message code="formDatosEspecificos.tipoAseo"/></th>
												<th data-col-prop="numUnidadesAloj" data-col-sidx="NUMUNIDADESALOJ"><spring:message code="formDatosEspecificos.numUnidadesAlojamiento"/></th>
																											            
									       </tr>
									    </thead>
									    
									    <tfoot hidden>
				        				<tr>
								            <th>idAseo</th>
								            <th>ubicacion</th>
								            <th>numUnidades</th>
								            <th>descTipoAseo</th>		
								            <th>numUnidadesAloj</th>			            
				          				</tr>
				        			</tfoot>
								</table>
								
								<label><spring:message code="formDatosEspecificos.detalle"/></label><hr>
								<div class="botoneraTabla">
								<button class="btn btn-default btn-circle" id="btnNuevoAseoDetalle" type="button" data-toggle="tooltip" data-placement="top" title='<spring:message code="tablasmaestras.tipoEstablecimiento.nuevo"/>'><i class="fa fa-plus"></i></button>
								<button class="btn btn-default btn-circle" id="btnBorrarAseoDetalle" type="button" data-toggle="tooltip" data-placement="top" title='<spring:message code="tablasmaestras.tipoEstablecimiento.borrar"/>'><i class="fa fa-trash"></i></button>
								<button class="btn btn-default btn-circle" id="btnEditarAseoDetalle" type="button" data-toggle="tooltip" data-placement="top" title='<spring:message code="tablasmaestras.tipoEstablecimiento.editar"/>'><i class="fa fa-edit"></i></button>
								</div>
								<div id="aseosDetalleFeedback"></div>
								<div id="aseosDetalle_feedback"></div>
									
								<table id="aseosDetalle" class="table table-striped table-bordered"
										data-url-base="/ab63WebAppWar/aseo"
										data-filter-form="#aseosDetalle_filter_form"
										cellspacing="0" width="100%">
										<thead>
											<tr>
												<th data-col-prop="idAseo" data-col-sidx="IDASEO"></th>
												<th data-col-prop="numAseo" data-col-sidx="NUMASEO"><spring:message code="formDatosEspecificos.numAseo"/></th>
												<th data-col-prop="descTipoAseo" data-col-sidx="AB6316S00IDTIPOASEO"><spring:message code="formDatosEspecificos.tipoAseo"/></th>
												<th data-col-prop="numSupTotal" data-col-sidx="NUMSUPTOTAL"><spring:message code="formDatosEspecificos.numSupTotal"/></th>																								            
									       </tr>
									    </thead>
									    
									    <tfoot hidden>
				        				<tr>
								            <th>idAseo</th>
								            <th>numAseo</th>
								            <th>descTipoAseo</th>
								            <th>numSupTotal</th>			            
				          				</tr>
				        			</tfoot>
								</table>
							</div>
						</div>
				</div>
				
				<!-- **********************IMPACTO AMBIENTAL********************** -->
				
<%-- 				<h1><a><spring:message code="formDatosEspecificos.controlIA"/></a></h1> --%>
<!-- 				<div class="form-group accordion_height_auto"> -->
<!-- 					<div class="panel-body"> -->
<%-- 						<label><spring:message code="formDatosEspecificos.controlIA"/></label> --%>
<%-- 						<c:if test="${ filter.establecimientoData.indicadorIa eq '1'}"> --%>
<%-- 							<input name="establecimientoData.indicadorIa" type="radio" value="1" checked="checked"><spring:message code="establecimiento.si"/> --%>
<%-- 							<input name="establecimientoData.indicadorIa" type="radio" value="0"><spring:message code="establecimiento.no"/> --%>
<%-- 						</c:if> --%>
<%-- 						<c:if test="${ filter.establecimientoData.indicadorIa eq '0'}"> --%>
<%-- 							<input name="establecimientoData.indicadorIa" type="radio" value="1"><spring:message code="establecimiento.si"/> --%>
<%-- 							<input name="establecimientoData.indicadorIa" type="radio" value="0" checked="checked"><spring:message code="establecimiento.no"/> --%>
<%-- 						</c:if> --%>
<!-- 					</div><br/> -->
<!-- 					<div class="row"> -->
<!-- 						<div class="col-xs-4 form-group"> -->
<%-- 							<label><spring:message code="formDatosEspecificos.fechaProxControlIA"/></label> --%>
<%-- 							<input type="text" class="form-control" name="establecimientoData.fechaControlIa" id="fechaControlIa" value="${filter.establecimientoData.fechaControlIa}" maxlength="8"/> --%>
<!-- 						</div> -->
<!-- 					</div> -->
<!-- 					<div class="row"> -->
<!-- 						<div class="col-xs-4 form-group"> -->
<%-- 							<label><spring:message code="formDatosEspecificos.fechaUltControlIA"/></label> --%>
<%-- 							<input type="text" class="form-control" name="establecimientoData.fechaAntControl" id="fechaAntControl" value="${filter.establecimientoData.fechaAntControl}" maxlength="8"/> --%>
<!-- 						</div> -->
<!-- 					</div> -->
<!-- 					<div class="row"> -->
<!-- 						<div class="col-xs-2 form-group"> -->
<%-- 							<label><spring:message code="formDatosEspecificos.numControl"/></label> --%>
<%-- 							<input type="text" class="form-control" name="establecimientoData.numControl" id="numControl" value="${filter.establecimientoData.numControl}" maxlength="3"/> --%>
<!-- 						</div> -->
<!-- 					</div> -->
<!-- 					<div class="row"> -->
<!-- 						<div class="col-xs-12 form-group"> -->
<!-- 							<div class="container row"> -->
<%-- 								<label  for="requisitos" class="label"><spring:message code="formDatosEspecificos.requisitos"/></label> --%>
<%-- 								<textarea data-autoresize="" id="requisitos" name="establecimientoData.requisitos" class="form-control" style="height: 80px;" maxlength="4000">${filter.establecimientoData.requisitos}</textarea> --%>
<!-- 								<span class="mark-length ml-auto text-black-50"></span> -->
<!-- 							</div> -->
<!-- 						</div> -->
					
<!-- 					</div> -->
<!-- 				</div> -->
				
				<!-- **********************DISPENSAS********************** -->
				
				<h1><a><spring:message code="establecimiento.dispensas"/></a></h1>
				<div class="form-group accordion_height_auto">
					<div class="row">
											
						<jsp:include page="dispensasTable.jsp"></jsp:include>
							
							<c:if test="${filter.establecimientoData.dispensaEstablecimiento.dispensado eq 1}">
								
								<label><spring:message code="formDatosEspecificos.factorComp"/></label><hr>
																
								<div class="botoneraTabla">
									<button class="btn btn-default btn-circle" id="btnNuevaFactorComp" type="button" data-toggle="tooltip" data-placement="top" title='<spring:message code="tablasmaestras.tipoEstablecimiento.nuevo"/>'><i class="fa fa-plus"></i></button>
									<button class="btn btn-default btn-circle" id="btnBorrarFactorComp" type="button" data-toggle="tooltip" data-placement="top" title='<spring:message code="tablasmaestras.tipoEstablecimiento.borrar"/>'><i class="fa fa-trash"></i></button>
									<button class="btn btn-default btn-circle" id="btnEditarFactorComp" type="button" data-toggle="tooltip" data-placement="top" title='<spring:message code="tablasmaestras.tipoEstablecimiento.editar"/>'><i class="fa fa-edit"></i></button>
								</div>
								
								<div id="factorComp_feedback"></div>
									
								<table id="factorComp" class="table table-striped table-bordered"
										data-url-base="/ab63WebAppWar/factorCompensatorio"
										data-filter-form="#factorComp_filter_form"
										cellspacing="0" width="100%">
										<thead>
											<tr>
												<th data-col-prop="idFactorComp" data-col-sidx="IDFACTORCOMP">idFactorComp</th>
												<th data-col-prop="descripcion" data-col-sidx="DESCRIPCION"><spring:message code="formDatosEspecificos.descripcion"/></th>																            
									       </tr>
									    </thead>
									    
									    <tfoot hidden>
				        				<tr>
								            <th>idFactorComp</th>
								            <th>descripcion</th>								            
				          				</tr>
				        			</tfoot>
								</table>
							</c:if>
						</div>
					</div>
				</div>
				
				
			</div>
		</form:form>
		<jsp:include page="includesDatosEspecificosP/parcelasFilterForm.jsp"></jsp:include>
		<jsp:include page="includesDatosEspecificosP/parcelasDetalleFilterForm.jsp"></jsp:include>
		<jsp:include page="includesDatosEspecificosP/zonaOcioFilterForm.jsp"></jsp:include>
		<jsp:include page="includesDatosEspecificosH/aseosFilterForm.jsp"></jsp:include>
		<jsp:include page="includesDatosEspecificosH/aseosDetalleFilterForm.jsp"></jsp:include>
		<jsp:include page="includesDatosEspecificosH/factorCompFilterForm.jsp"></jsp:include>
		<jsp:include page="includesDatosEspecificosH/dispensasFilterForm.jsp"></jsp:include>
				
	</div>
	
	<div id="space"></div>
</section>
<jsp:include page="includesDatosEspecificosP/parcelasFormEdit.jsp"></jsp:include>
<jsp:include page="includesDatosEspecificosP/parcelasDetalleFormEdit.jsp"></jsp:include>
<jsp:include page="includesDatosEspecificosP/zonaOcioFormEdit.jsp"></jsp:include>
<jsp:include page="includesDatosEspecificosH/aseosFormEdit.jsp"></jsp:include>
<jsp:include page="includesDatosEspecificosH/aseosDetalleFormEdit.jsp"></jsp:include>
<jsp:include page="includesDatosEspecificosH/factorCompFormEdit.jsp"></jsp:include>
<jsp:include page="includesDatosEspecificosH/dispensasFormEdit.jsp"></jsp:include>