<%@ page language="java" contentType="text/html; charset=UTF-8" pageEncoding="UTF-8"%>
<%@include file="/WEB-INF/includeTemplate.inc"%>
<%@taglib prefix="form" uri="/WEB-INF/tld/spring-form.tld"%>
<%@taglib prefix="tiles" uri="/WEB-INF/tld/tiles-jsp.tld"%>
<%@page import="java.util.List,org.springframework.validation.ObjectError"%>
<%@ taglib prefix="c" uri="http://java.sun.com/jsp/jstl/core"%>

<div id="apartamentosEstudiosDetalle_detail_div" class="rup-table-formEdit-detail">
	<div id ="apartamentosEstudiosDetalle_detail_navigation"></div>
	<div class="ui-dialog-content ui-widget-content">
		<form id="apartamentosEstudiosDetalle_detail_form">
			<div id ="apartamentosEstudiosDetalle_detail_feedback"></div>
			<input type="hidden" id="modalIdEstAptoEstudioDetalle" name="establecimientoData.idEstablecimiento"/>
			<input type="hidden" id="modalIdAlojamientoDetalle" name="idAlojamiento"/>
			<input type="hidden" id="modalTipoRegistroAlojamiento" name="tipoRegistro" value="0"/>
			
			<div class="row">
				<div class="col-xs-2 form-group">
					<label for="modalTipoAlojamientoDetalle" class="required"><spring:message code="formDatosEspecificos.tipo"/></label>
					<select id="modalTipoAlojamientoDetalle" name="tipoAlojamiento" class="form-control">
						<option></option>
						<option value="A"><spring:message code="formDatosEspecificos.apto"/></option>
						<option value="E"><spring:message code="formDatosEspecificos.estudio"/></option>
						<option value="C"><spring:message code="formDatosEspecificos.conjunto"/></option>
					</select>
				</div>
			</div>
			<div class="row">
				<div class="col-xs-3 form-group">
					<label for="numAlojamientoDetalle" class="required"><spring:message code="formDatosEspecificos.numAlojamiento"/></label>
					<input type="text" class="form-control" name="numAlojamiento" id="numAlojamientoDetalle" maxlength="8"/>
				</div>
				
				
				<div class="col-xs-3 form-group">
					<label for="numSupTotalAlojamientoDetalle" class="required"><spring:message code="formDatosEspecificos.numSupTotal"/></label>
					<input type="text" class="form-control" name="numSupTotal" id="numSupTotalAlojamientoDetalle" maxlength="7"/>
				</div>
			</div>
			<div class="row">				
				<div class="col-xs-3 form-group">
					<label for="numPlazasDormitorioAlojamientoDetalle" class="required"><spring:message code="formDatosEspecificos.capacidadDorm"/></label>
					<input type="text" class="form-control" name="numPlazasDormitorio" id="numPlazasDormitorioAlojamientoDetalle" maxlength="3"/>
				</div>
				<div class="col-xs-3 form-group">
					<label for="numPlazasConvertiblesAlojamientoDetalle" class="required"><spring:message code="formDatosEspecificos.capacidadSupletorias"/></label>
					<input type="text" class="form-control" name="numPlazasConvertibles" id="numPlazasConvertiblesAlojamientoDetalle" maxlength="3"/>
				</div>
<!-- 				<div class="col-xs-2 form-group"> -->
<%-- 					<label><spring:message code="formDatosEspecificos.capacidadTotal"/></label> --%>
<!-- 					<input type="text" class="form-control" name="capacidadTotal" id="capacidadTotalAlojamientoDetalle" maxlength="4" readonly="readonly"/> -->
<!-- 				</div> -->
				<div class="col-xs-3 form-group">
					<label for="modalAccesibilidad"><spring:message code="formDatosEspecificos.accesibilidad"/></label><br>
					<input type="radio" id="modalAccesibilidadAlojamientoSi" name="accesibilidad" value="1"/><spring:message code="formDatosEspecificos.si"/>
					<input type="radio" id="modalAccesibilidadAlojamientoNo" name="accesibilidad" value="0" checked="checked"/><spring:message code="formDatosEspecificos.no"/>
				</div>
			</div>
			
			
			
			<div class="row">
				<div class="col-xs-10 form-group">					
					<div class="container row">
						<label  for="modalOtrasCaracteristicas" class="label"><spring:message code="formDatosEspecificos.otrasCaracteristicas"/></label>
						<textarea data-autoresize="" id="modalOtrasCaracteristicas" name="otrasCaracteristicas" class="form-control" style="height: 45px;" maxlength="300"></textarea>
						<span class="mark-length ml-auto text-black-50"></span>
					</div>
				</div>
			</div>					
		</form>
	</div>
	
	<div class="ui-dialog-content ui-widget-content" id="divHabitacionesHabAloj">
		<label><spring:message code="formDatosEspecificos.habitaciones"/></label><hr>
		<div class="botoneraTabla">
			<button class="btn btn-default btn-circle" id="btnNuevaHabitacionAlojamiento" type="button" data-toggle="tooltip" data-placement="top" title='<spring:message code="tablasmaestras.tipoEstablecimiento.nuevo"/>'><i class="fa fa-plus"></i></button>
			<button class="btn btn-default btn-circle" id="btnBorrarHabitacionAlojamiento" type="button" data-toggle="tooltip" data-placement="top" title='<spring:message code="tablasmaestras.tipoEstablecimiento.borrar"/>'><i class="fa fa-trash"></i></button>
			<button class="btn btn-default btn-circle" id="btnEditarHabitacionAlojamiento" type="button" data-toggle="tooltip" data-placement="top" title='<spring:message code="tablasmaestras.tipoEstablecimiento.editar"/>'><i class="fa fa-edit"></i></button>
		</div>
		<div id="habitacionesAlojamientosResumenFeedback"></div>
		<div id="habitacionesAlojamientos_feedback"></div>
		
		<table id="habitacionesAlojamientos" class="table table-striped table-bordered"
			data-url-base="/ab63WebAppWar/habitacionAlojamiento"
			data-filter-form="#habitacionesAlojamientos_filter_form"
			cellspacing="0" width="100%">
			<thead>
				<tr>					
					<th data-col-prop="idHabitacionAlo" data-col-sidx="IDHABITACIONALO"></th>
					<th data-col-prop="descTipoHab" data-col-sidx=AB6317S00IDTIPOHABITACION><spring:message code="formDatosEspecificos.tipoHabitacion"/></th>
					<th data-col-prop="descTipoAseo" data-col-sidx="AB6316S00IDTIPOASEO"><spring:message code="formDatosEspecificos.tipoAseo"/></th>
					<th data-col-prop="numPlazas" data-col-sidx="NUMPLAZAS"><spring:message code="formEstructuraHabVivienda.plazas"/></th>
					<th data-col-prop="numUnidades" data-col-sidx="NUMUNIDADES"><spring:message code="formDatosEspecificos.unidades"/></th>
					<th data-col-prop="totalPlazas" data-col-sidx="NUMPLAZAS"><spring:message code="formDatosEspecificos.totalPlazas"/></th>
	            
				</tr>
			</thead>
			
			<tfoot hidden>
	     		<tr>
		            <th>idHabitacionAlo</th>
		            <th>descTipoHab</th>
		            <th>descTipoAseo</th>
		            <th>numPlazas</th>
		            <th>numUnidades</th>
		            <th>totalPlazas</th>
		        </tr>
	     	</tfoot>
		</table>
		
		<!-- Detalle habitaciones alojamiento -->
		<label><spring:message code="formDatosEspecificos.habitacionesDetalle"/></label><hr>
		<div class="botoneraTabla">
			<button class="btn btn-default btn-circle" id="btnNuevaHabitacionAlojamientoDetalle" type="button" data-toggle="tooltip" data-placement="top" title='<spring:message code="tablasmaestras.tipoEstablecimiento.nuevo"/>'><i class="fa fa-plus"></i></button>
			<button class="btn btn-default btn-circle" id="btnBorrarHabitacionAlojamientoDetalle" type="button" data-toggle="tooltip" data-placement="top" title='<spring:message code="tablasmaestras.tipoEstablecimiento.borrar"/>'><i class="fa fa-trash"></i></button>
			<button class="btn btn-default btn-circle" id="btnEditarHabitacionAlojamientoDetalle" type="button" data-toggle="tooltip" data-placement="top" title='<spring:message code="tablasmaestras.tipoEstablecimiento.editar"/>'><i class="fa fa-edit"></i></button>
		</div>
		<div id="habitacionesAlojamientosDetalleFeedback"></div>
		<div id="habitacionesAlojamientosDetalle_feedback"></div>
		
		<table id="habitacionesAlojamientosDetalle" class="table table-striped table-bordered"
			data-url-base="/ab63WebAppWar/habitacionAlojamiento"
			data-filter-form="#habitacionesAlojamientosDetalle_filter_form"
			cellspacing="0" width="100%">
			<thead>
				<tr>
					
		            <th data-col-prop="idHabitacionAlo" data-col-sidx="IDHABITACIONALO"></th>
					<th data-col-prop="numHabitacion" data-col-sidx="NUMHABITACION"><spring:message code="formDatosEspecificos.numHabitacion"/></th>
					<th data-col-prop="descTipoHab" data-col-sidx=AB6317S00IDTIPOHABITACION><spring:message code="formDatosEspecificos.tipoHabitacion"/></th>
					<th data-col-prop="descTipoAseo" data-col-sidx="AB6316S00IDTIPOASEO"><spring:message code="formDatosEspecificos.tipoAseo"/></th>
					<th data-col-prop="numPlazas" data-col-sidx="NUMPLAZAS"><spring:message code="formEstructuraHabVivienda.plazas"/></th>
					<th data-col-prop="numSupTotal" data-col-sidx="NUMSUPTOTAL"><spring:message code="formDatosEspecificos.numSupTotal"/></th>
				</tr>
			</thead>
			
			<tfoot hidden>
	     		<tr>
		            <th>idHabitacionAlo</th>
		            <th>numHabitacion</th>
		            <th>descTipoHab</th>
		            <th>descTipoAseo</th>
		            <th>numPlazas</th>
		            <th>numSupTotal</th>
		        </tr>
	     	</tfoot>
		</table>
	</div>
	
	<div class="ui-dialog-content ui-widget-content" id="divAseosHabAloj" >
		<label><spring:message code="formDatosEspecificos.banyos"/></label><hr>
						
		<div class="botoneraTabla">
			<button class="btn btn-default btn-circle" id="btnNuevoAseoAlojamiento" type="button" data-toggle="tooltip" data-placement="top" title='<spring:message code="tablasmaestras.tipoEstablecimiento.nuevo"/>'><i class="fa fa-plus"></i></button>
			<button class="btn btn-default btn-circle" id="btnBorrarAseoAlojamiento" type="button" data-toggle="tooltip" data-placement="top" title='<spring:message code="tablasmaestras.tipoEstablecimiento.borrar"/>'><i class="fa fa-trash"></i></button>
			<button class="btn btn-default btn-circle" id="btnEditarAseoAlojamiento" type="button" data-toggle="tooltip" data-placement="top" title='<spring:message code="tablasmaestras.tipoEstablecimiento.editar"/>'><i class="fa fa-edit"></i></button>
		</div>
		
		<div id="aseosAlojamientos_feedback"></div>
		
		<table id="aseosAlojamientos" class="table table-striped table-bordered"
			data-url-base="/ab63WebAppWar/aseoAlojamiento"
			data-filter-form="#aseosAlojamientos_filter_form"
			cellspacing="0" width="100%">
			<thead>
				<tr>
					<th data-col-prop="idAseoAlo" data-col-sidx="IDASEOALO">idAloj</th>
	<%-- 				<th data-col-prop="tipoAseo.idTipoAseo" data-col-sidx="AB6316S00IDTIPOASEO"><spring:message code="formDatosEspecificos.tipo"/></th> --%>
					<th data-col-prop="descTipoAseo" data-col-sidx="AB6316S00IDTIPOASEO"><spring:message code="formDatosEspecificos.tipoAseo"/></th>
					<th data-col-prop="numSuperficie" data-col-sidx="NUMSUPERFICIE"><spring:message code="SUPERFICIE"/></th>			            
				</tr>
			</thead>
			
			<tfoot hidden>
	     		<tr>
		            <th>idAseoAlo</th>
	<!-- 	            <th>tipoAseo.idTipoAseo</th> -->
		            <th>descTipoAseo</th>
		            <th>numSuperficie</th>
		        </tr>
	     	</tfoot>
		</table>
	</div>			
	<div class="rup-table-buttonpane ui-widget-content ui-helper-clearfix">
		<div class="ui-dialog-buttonset rup_tableEdit_buttonsContainerResponsive">
		
			
						
			<button id="apartamentosEstudiosDetalle_detail_button_save" class="btn btn-outline-primary rup_tableEdit_buttonsResponsive" type="button">
				<spring:message code="save" />
			</button>
			
			<button id="apartamentosEstudiosDetalle_detail_button_cancel"
				 class="btn btn-outline-primary rup_tableEdit_buttonsResponsive" type="button"><spring:message code="cancel" />
			</button>
		</div>
	</div>
	<jsp:include page="aseosAlojamientosFilterForm.jsp"></jsp:include>
	<jsp:include page="aseosAlojamientosFormEdit.jsp"></jsp:include>
	<jsp:include page="habitacionesAlojamientosFilterForm.jsp"></jsp:include>
	<jsp:include page="habitacionesAlojamientosFormEdit.jsp"></jsp:include>
	<jsp:include page="habitacionesAlojamientosDetalleFilterForm.jsp"></jsp:include>
	<jsp:include page="habitacionesAlojamientosDetalleFormEdit.jsp"></jsp:include>
</div>