<%@ page language="java" contentType="text/html; charset=UTF-8" pageEncoding="UTF-8"%>
<%@include file="/WEB-INF/includeTemplate.inc"%>
<%@taglib prefix="form" uri="/WEB-INF/tld/spring-form.tld"%>
<%@taglib prefix="tiles" uri="/WEB-INF/tld/tiles-jsp.tld"%>
<%@page import="java.util.List,org.springframework.validation.ObjectError"%>
<%@ taglib prefix="c" uri="http://java.sun.com/jsp/jstl/core"%>

<div id="apartamentosEstudios_detail_div" class="rup-table-formEdit-detail">
	<div id ="apartamentosEstudios_detail_navigation"></div>
	<div class="ui-dialog-content ui-widget-content">
		<form id="apartamentosEstudios_detail_form">
			<div id ="apartamentosEstudios_detail_feedback"></div>
			<input type="hidden" id="modalIdEstAptoEstudio" name="establecimientoData.idEstablecimiento"/>
			<input type="hidden" id="modalIdAlojamiento" name="idAlojamiento"/>
			<input type="hidden" id="modalTipoRegistroAlojamiento" name="tipoRegistro" value="1"/>
			
			<div class="row">
				<div class="col-xs-3 form-group">
					<label for="modalTipoAlojamiento" class="required"><spring:message code="formDatosEspecificos.tipo"/></label>
					<select id="modalTipoAlojamiento" name="tipoAlojamiento" class="form-control">
						<option></option>
						<option value="A"><spring:message code="formDatosEspecificos.apto"/></option>
						<option value="E"><spring:message code="formDatosEspecificos.estudio"/></option>
						<option value="C"><spring:message code="formDatosEspecificos.conjunto"/></option>
					</select>
				</div>
			</div>
			
			<div class="row">
				<div class="col-xs-3 form-group">
					<label for="modalNombre" class="required"><spring:message code="establecimiento.nombre"/></label>
					<input id="modalNombre" name="descNombreAlojamiento" class="form-control" maxlength="25"/>
				</div>
				
				
			</div>
			
			<div class="row">
				<div class="col-xs-3 form-group">
					<label for="modalCapacidad" class="required"><spring:message code="formDatosEspecificos.capacidad"/></label>
					<input type="text" class="form-control" name="capacidad" id="modalCapacidad" maxlength="5"/>
				</div>
				<div class="col-xs-3 form-group">
					<label for="modalNumPlazasDormitorio" class="required"><spring:message code="formDatosEspecificos.plazasDomitorio"/></label>
					<input type="text" class="form-control" name="numPlazasDormitorio" id="modalNumPlazasDormitorio" maxlength="3"/>
				</div>
				<div class="col-xs-3 form-group">
					<label for="modalNumPlazasConvertibles" class="required"><spring:message code="formDatosEspecificos.plazasConvertibles"/></label>
					<input type="text" class="form-control" name="numPlazasConvertibles" id="modalNumPlazasConvertibles" maxlength="3"/>
				</div>
			</div>
			
			<div class="row">
				<div class="col-xs-3 form-group">
					<label for="modalNumUnidades" class="required"><spring:message code="formDatosEspecificos.unidades"/></label>
					<input type="text" class="form-control" name="numUnidades" id="modalNumUnidades" maxlength="3"/>
				</div>
			</div>					
		</form>
	</div>
				
	<div class="rup-table-buttonpane ui-widget-content ui-helper-clearfix">
		<div class="ui-dialog-buttonset rup_tableEdit_buttonsContainerResponsive">
		
			
						
			<button id="apartamentosEstudios_detail_button_save" class="btn btn-outline-primary rup_tableEdit_buttonsResponsive" type="button">
				<spring:message code="save" />
			</button>
			
			<button id="apartamentosEstudios_detail_button_cancel"
				 class="btn btn-outline-primary rup_tableEdit_buttonsResponsive" type="button"><spring:message code="cancel" />
			</button>
		</div>
	</div>
</div>