<%@ page language="java" contentType="text/html; charset=UTF-8" pageEncoding="UTF-8"%>
<%@include file="/WEB-INF/includeTemplate.inc"%>
<%@taglib prefix="form" uri="/WEB-INF/tld/spring-form.tld"%>
<%@taglib prefix="tiles" uri="/WEB-INF/tld/tiles-jsp.tld"%>
<%@page import="java.util.List,org.springframework.validation.ObjectError"%>
<%@ taglib prefix="c" uri="http://java.sun.com/jsp/jstl/core"%>

<div id="aseos_detail_div" class="rup-table-formEdit-detail">
	<div id ="aseos_detail_navigation"></div>
	<div class="ui-dialog-content ui-widget-content">
		<form id="aseos_detail_form">
			<div id ="aseos_detail_feedback"></div>
			<input type="hidden" id="modalIdEstAseo" name="establecimientoData.idEstablecimiento"/>
			<input type="hidden" id="modalIdAseo" name="idAseo"/>
			<input type="hidden" id="modalTipoRegistroAseo" name="tipoRegistro" value="1"/>
			<div class="row">
				<div class="col-xs-4 form-group">
					<label for="comboTipoAseoComunes" class="required"><spring:message code="formDatosEspecificos.tipoAseo"/></label>
					<select id="comboTipoAseoComunes" class="form-control" name="tipoAseo.idTipoAseo"></select>
				</div>
			</div>
			
			<div class="row">
				
				<div class="col-xs-3 form-group">
					<label for="modalNumUnidadesAseo" class="required"><spring:message code="formDatosEspecificos.unidades"/></label>
					<input id="modalNumUnidadesAseo" name="numUnidades" class="form-control" maxlength="2"/>
				</div>
				<div class="col-xs-3 form-group">
					<label for="modalNumUnidadesAloj"><spring:message code="formDatosEspecificos.numUnidadesAlojamiento"/></label>
					<input id="modalNumUnidadesAloj" name="numUnidadesAloj" class="form-control" maxlength="2"/>
				</div>
			</div>
			
			<div class="row">
				<div class="col-xs-12 form-group">					
					<div class="container row">
						<label  for="modalUbicacionAseo" class="label required"><spring:message code="formDatosEspecificos.ubicacion"/></label>
						<textarea data-autoresize="" id="modalUbicacionAseo" name="ubicacion" class="form-control" style="height: 45px;" maxlength="100"></textarea>
						<span class="mark-length ml-auto text-black-50"></span>
					</div>
				</div>
			</div>
						
						
		</form>
	</div>
				
	<div class="rup-table-buttonpane ui-widget-content ui-helper-clearfix">
		<div class="ui-dialog-buttonset rup_tableEdit_buttonsContainerResponsive">
		
			
						
			<button id="aseos_detail_button_save" class="btn btn-outline-primary rup_tableEdit_buttonsResponsive" type="button">
				<spring:message code="save" />
			</button>
			
			<button id="aseos_detail_button_cancel"
				 class="btn btn-outline-primary rup_tableEdit_buttonsResponsive" type="button"><spring:message code="cancel" />
			</button>
		</div>
	</div>
</div>