<%@ page language="java" contentType="text/html; charset=UTF-8" pageEncoding="UTF-8"%>
<%@include file="/WEB-INF/includeTemplate.inc"%>
<%@taglib prefix="form" uri="/WEB-INF/tld/spring-form.tld"%>
<%@taglib prefix="tiles" uri="/WEB-INF/tld/tiles-jsp.tld"%>
<%@page import="java.util.List,org.springframework.validation.ObjectError"%>
<%@ taglib prefix="c" uri="http://java.sun.com/jsp/jstl/core"%>

<div id="habitacionesAlojamientosDetalle_detail_div" class="rup-table-formEdit-detail">
	<div id ="habitacionesAlojamientosDetalle_detail_navigation"></div>
	<div class="ui-dialog-content ui-widget-content">
		<form id="habitacionesAlojamientosDetalle_detail_form">
			<div id ="habitacionesAlojamientosDetalle_detail_feedback"></div>
			
			<input type="hidden" id="modalIdHabAlojDetalle" name="idHabitacionAlo"/>
			<input type="hidden" id="modalIdAlojamientoHabAlojDetalle" name="alojamiento.idAlojamiento"/>
			<input type="hidden" id="modalTipoRegistroHabAlojDetalle" name="tipoRegistro" value="0"/>
			
			<div class="row">
				<div class="col-xs-2 form-group">
					<label for="modalNumHabitacionHabAlojDetalle" class="required"><spring:message code="formDatosEspecificos.numHabitacion"/></label>
					<input id="modalNumHabitacionHabAlojDetalle" name="numHabitacion" class="form-control" maxlength="8"/>
				</div>
				<div class="col-xs-4 form-group">
					<label for="comboTipoHabitacionHabAlojDetalle" class="required"><spring:message code="formDatosEspecificos.tipoHabitacion"/></label>
					<select id="comboTipoHabitacionHabAlojDetalle" class="form-control" name="tipoHabitacion.idTipoHabitacion"></select>	
				</div>
				<div class="col-xs-4 form-group">
					<label for="comboTipoAseoHabAlojDetalle" class="required"><spring:message code="formDatosEspecificos.tipoAseo"/></label>
					<select id="comboTipoAseoHabAlojDetalle" class="form-control" name="tipoAseo.idTipoAseo"></select>
				</div>
			</div>
			<div class="row">
				<div class="col-xs-2 form-group">
					<label for="modalPlazasHabAlojDetalle" class="required"><spring:message code="formEstructuraHabVivienda.plazas"/></label>
					<input id="modalPlazasHabAlojDetalle" name="numPlazas" class="form-control" maxlength="3"/>
				</div>
				<div class="col-xs-3 form-group">
					<label for="modalNumSupTotalHabAlojDetalle"><spring:message code="formDatosEspecificos.numSupTotal"/></label>
					<input id="modalNumSupTotalHabAlojDetalle" name="numSupTotal" class="form-control" maxlength="7"/>
				</div>
				
			</div>
			<div class="row">
				<div class="col-xs-2 form-group">
					<label for="modalSalonPrivadoHabAlojDetalle"><spring:message code="formDatosEspecificos.salonPrivado"/></label><br>
					<input type="radio" id="modalSalonPrivadoHabAlojDetalleSi" name="salonPrivado" class="salonPrivadoHabAlojDetalle" value="1"/><spring:message code="formDatosEspecificos.si"/>
					<input type="radio" id="modalSalonPrivadoHabAlojDetalleNo" name="salonPrivado" class="salonPrivadoHabAlojDetalle" value="0" checked="checked"/><spring:message code="formDatosEspecificos.no"/>
				</div>
				<div class="col-xs-3 form-group">
					<label for="modalNumSupSalonHabAlojDetalle"><spring:message code="formDatosEspecificos.supSalon"/></label>
					<input id="modalNumSupSalonHabAlojDetalle" name="numSupSalon" class="form-control" maxlength="7"/>
				</div>
				<div class="col-xs-2 form-group">
					<label for="modalTerrazaHabAlojDetalle"><spring:message code="formDatosEspecificos.Terraza"/></label><br>
					<input type="radio" id="modalTerrazaHabAlojDetalleSi" name="terraza" class="terrazaHabAlojDetalle" value="1"/><spring:message code="formDatosEspecificos.si"/>
					<input type="radio" id="modalTerrazaHabAlojDetalleNo" name="terraza" class="terrazaHabAlojDetalle" value="0" checked="checked"/><spring:message code="formDatosEspecificos.no"/>
				</div>
				<div class="col-xs-3 form-group">
					<label for="modalNumSupTerrazaHabAlojDetalle"><spring:message code="formDatosEspecificos.supTerraza"/></label>
					<input id="modalNumSupTerrazaHabAlojDetalle" name="numSupTerraza" class="form-control" maxlength="7"/>
				</div>
			</div>
			
			<div class="row">
				<div class="col-xs-2 form-group">
					<label for="modalCamaSupletoriaHabAlojDetalle"><spring:message code="formDatosEspecificos.camaSupletoria"/></label><br>
					<input type="radio" id="modalCamaSupletoriaHabAlojDetalleSi" name="camaSupletoria" value="1"/><spring:message code="formDatosEspecificos.si"/>
					<input type="radio" id="modalCamaSupletoriaHabAlojDetalleNo" name="camaSupletoria" value="0" checked="checked"/><spring:message code="formDatosEspecificos.no"/>
				</div>
				<div class="col-xs-2 form-group">
					<label for="modalAccesibilidadHabAlojDetalle"><spring:message code="formDatosEspecificos.accesibilidad"/></label><br>
					<input type="radio" id="modalAccesibilidadHabAlojDetalleSi" name="accesibilidad" value="1"/><spring:message code="formDatosEspecificos.si"/>
					<input type="radio" id="modalAccesibilidadHabAlojDetalleNo" name="accesibilidad" value="0" checked="checked"/><spring:message code="formDatosEspecificos.no"/>
				</div>
			</div>
			
			<div class="row">
				<div class="col-xs-12 form-group">					
					<div class="container row">
						<label  for="modalOtrasCaracteristicasHabAlojDetalle" class="label"><spring:message code="formDatosEspecificos.otrasCaracteristicas"/></label>
						<textarea data-autoresize="" id="modalOtrasCaracteristicasHabAlojDetalle" name="otrasCaracteristicas" class="form-control" style="height: 45px;" maxlength="300"></textarea>
						<span class="mark-length ml-auto text-black-50"></span>
					</div>
				</div>
			</div>
					
		
			
							
		</form>
	</div>
				
	<div class="rup-table-buttonpane ui-widget-content ui-helper-clearfix">
		<div class="ui-dialog-buttonset rup_tableEdit_buttonsContainerResponsive">
		
			
						
			<button id="habitacionesAlojamientosDetalle_detail_button_save" class="btn btn-outline-primary rup_tableEdit_buttonsResponsive" type="button">
				<spring:message code="save" />
			</button>
			
			<button id="habitacionesAlojamientosDetalle_detail_button_cancel"
				 class="btn btn-outline-primary rup_tableEdit_buttonsResponsive" type="button"><spring:message code="cancel" />
			</button>
		</div>
	</div>
</div>