<%@ page language="java" contentType="text/html; charset=UTF-8" pageEncoding="UTF-8"%>
<%@include file="/WEB-INF/includeTemplate.inc"%>
<%@taglib prefix="form" uri="/WEB-INF/tld/spring-form.tld"%>
<%@taglib prefix="tiles" uri="/WEB-INF/tld/tiles-jsp.tld"%>
<%@page import="java.util.List,org.springframework.validation.ObjectError"%>
<%@ taglib prefix="c" uri="http://java.sun.com/jsp/jstl/core"%>

<div id="habitacionesDetalle_detail_div" class="rup-table-formEdit-detail">
	<div id ="habitacionesDetalle_detail_navigation"></div>
	<div class="ui-dialog-content ui-widget-content">
		<form id="habitacionesDetalle_detail_form">
			<div id ="habitacionesDetalle_detail_feedback"></div>
			<input type="hidden" id="modalIdEstablecimientoHabitacionDetalle" name="establecimientoData.idEstablecimiento"/>
			<input type="hidden" id="modalIdHabitacionDetalle" name="idHabitacion"/>
			<input type="hidden" id="modalTipoRegistroHabitacion" name="tipoRegistro" value="0"/>
			<div class="row">
				<div class="col-xs-2 form-group">
					<label for="modalNumHabitacion" class="required"><spring:message code="formDatosEspecificos.numHabitacion"/></label>
					<input id="modalNumHabitacion" name="numHabitacion" class="form-control" maxlength="8"/>
				</div>
				<div class="col-xs-4 form-group">
					<label for="modalTipoHabitacionDetalle" class="required"><spring:message code="formDatosEspecificos.tipoHabitacion"/></label>
					<select id="comboTipoHabitacionDetalle" class="form-control" name="tipoHabitacion.idTipoHabitacion"></select>	
				</div>
				<div class="col-xs-4 form-group">
					<label for="modalTipoAseoDetalle" class="required"><spring:message code="formDatosEspecificos.tipoAseo"/></label>
					<select id="comboTipoAseoDetalle" class="form-control" name="tipoAseo.idTipoAseo"></select>
				</div>
			</div>
			<div class="row">
				<div class="col-xs-2 form-group">
					<label for="modalPlazasDetalle" class="required"><spring:message code="formEstructuraHabVivienda.plazas"/></label>
					<input id="modalPlazasDetalle" name="numPlazas" class="form-control" maxlength="2"/>
				</div>
				<div class="col-xs-3 form-group">
					<label for="modalNumSupTotalHabDetalle"><spring:message code="formDatosEspecificos.numSupTotal"/></label>
					<input id="modalNumSupTotalHabDetalle" name="numSupTotal" class="form-control" maxlength="7"/>
				</div>
			</div>
			<div class="row">
				<div class="col-xs-2 form-group">
					<label for="modalSalonPrivado"><spring:message code="formDatosEspecificos.salonPrivado"/></label><br>
					<input type="radio" id="modalSalonPrivadoSi" name="salonPrivado" value="1"/><spring:message code="formDatosEspecificos.si"/>
					<input type="radio" id="modalSalonPrivadoNo" name="salonPrivado" value="0" checked="checked"/><spring:message code="formDatosEspecificos.no"/>
				</div>
				<div class="col-xs-3 form-group">
					<label for="modalNumSupSalon"><spring:message code="formDatosEspecificos.supSalon"/></label>
					<input id="modalNumSupSalon" name="numSupSalon" class="form-control" maxlength="7"/>
				</div>
				<div class="col-xs-2 form-group">
					<label for="modalTerraza"><spring:message code="formDatosEspecificos.Terraza"/></label><br>
					<input type="radio" id="modalTerrazaSi" name="terraza" value="1"/><spring:message code="formDatosEspecificos.si"/>
					<input type="radio" id="modalTerrazaNo" name="terraza" value="0" checked="checked"/><spring:message code="formDatosEspecificos.no"/>
				</div>
				<div class="col-xs-3 form-group">
					<label for="modalNumSupTerraza"><spring:message code="formDatosEspecificos.supTerraza"/></label>
					<input id="modalNumSupTerraza" name="numSupTerraza" class="form-control" maxlength="7"/>
				</div>
			</div>
			
			<div class="row">
				<div class="col-xs-2 form-group">
					<label for="modalCamaSupletoria"><spring:message code="formDatosEspecificos.camaSupletoria"/></label><br>
					<input type="radio" id="modalCamaSupletoriaSi" name="camaSupletoria" value="1"/><spring:message code="formDatosEspecificos.si"/>
					<input type="radio" id="modalCamaSupletoriaNo" name="camaSupletoria" value="0" checked="checked"/><spring:message code="formDatosEspecificos.no"/>
				</div>
				<div class="col-xs-2 form-group">
					<label for="modalAccesibilidad"><spring:message code="formDatosEspecificos.accesibilidad"/></label><br>
					<input type="radio" id="modalAccesibilidadHabDetSi" name="accesibilidad" value="1"/><spring:message code="formDatosEspecificos.si"/>
					<input type="radio" id="modalAccesibilidadHabDetNo" name="accesibilidad" value="0" checked="checked"/><spring:message code="formDatosEspecificos.no"/>
				</div>
			</div>
			
			<div class="row">
				<div class="col-xs-12 form-group">					
					<div class="container row">
						<label  for="modalOtrasCaracteristicasHabitacionesDetalle" class="label"><spring:message code="formDatosEspecificos.otrasCaracteristicas"/></label>
						<textarea data-autoresize="" id="modalOtrasCaracteristicasHabitacionesDetalle" name="otrasCaracteristicas" class="form-control" style="height: 45px;" maxlength="300"></textarea>
						<span class="mark-length ml-auto text-black-50"></span>
					</div>
				</div>
			</div>
							
		</form>
	</div>
				
	<div class="rup-table-buttonpane ui-widget-content ui-helper-clearfix">
		<div class="ui-dialog-buttonset rup_tableEdit_buttonsContainerResponsive">
		
			
						
			<button id="habitacionesDetalle_detail_button_save" class="btn btn-outline-primary rup_tableEdit_buttonsResponsive" type="button">
				<spring:message code="save" />
			</button>
			
			<button id="habitacionesDetalle_detail_button_cancel"
				 class="btn btn-outline-primary rup_tableEdit_buttonsResponsive" type="button"><spring:message code="cancel" />
			</button>
		</div>
	</div>
</div>