<%@ page language="java" contentType="text/html; charset=UTF-8" pageEncoding="UTF-8"%>
<%@include file="/WEB-INF/includeTemplate.inc"%>
<%@taglib prefix="form" uri="/WEB-INF/tld/spring-form.tld"%>
<%@taglib prefix="tiles" uri="/WEB-INF/tld/tiles-jsp.tld"%>
<%@page import="java.util.List,org.springframework.validation.ObjectError"%>
<%@ taglib prefix="c" uri="http://java.sun.com/jsp/jstl/core"%>

<div id="habitaciones_detail_div" class="rup-table-formEdit-detail">
	<div id ="habitaciones_detail_navigation"></div>
	<div class="ui-dialog-content ui-widget-content">
		<form id="habitaciones_detail_form">
			<div id ="habitaciones_detail_feedback"></div>
			<input type="hidden" id="modalIdEstablecimientoHabitacion" name="establecimientoData.idEstablecimiento"/>
			<input type="hidden" id="modalIdHabitacion" name="idHabitacion"/>
			<input type="hidden" id="modalTipoRegistroHabitacion" name="tipoRegistro" value="1"/>
			<div class="row">
				<div class="col-xs-6 form-group">
					<label for="comboTipoHabitacion" class="required"><spring:message code="formDatosEspecificos.tipoHabitacion"/></label>
					<select id="comboTipoHabitacion" class="form-control" name="tipoHabitacion.idTipoHabitacion"></select>
				</div>
			</div>
			
			<div class="row">
				<div class="col-xs-6 form-group">
					<label for="comboTipoAseo" class="required"><spring:message code="formDatosEspecificos.tipoAseo"/></label>
					<select id="comboTipoAseo" class="form-control" name="tipoAseo.idTipoAseo"></select>
				</div>
			</div>
			
			<div class="row">
				<div class="col-xs-3 form-group">
					<label for="modalNumUnidadesHab" class="required"><spring:message code="formDatosEspecificos.unidades"/></label>
					<input id="modalNumUnidadesHab" name="numUnidades" class="form-control" maxlength="3"/>
				</div>
				<div class="col-xs-3 form-group">
					<label for="modalPlazas" class="required"><spring:message code="formEstructuraHabVivienda.plazas"/></label>
					<input id="modalPlazas" name="numPlazas" class="form-control" maxlength="2"/>
				</div>
			</div>				
		</form>
	</div>
				
	<div class="rup-table-buttonpane ui-widget-content ui-helper-clearfix">
		<div class="ui-dialog-buttonset rup_tableEdit_buttonsContainerResponsive">
		
			
						
			<button id="habitaciones_detail_button_save" class="btn btn-outline-primary rup_tableEdit_buttonsResponsive" type="button">
				<spring:message code="save" />
			</button>
			
			<button id="habitaciones_detail_button_cancel"
				 class="btn btn-outline-primary rup_tableEdit_buttonsResponsive" type="button"><spring:message code="cancel" />
			</button>
		</div>
	</div>
</div>