<%@ page language="java" contentType="text/html; charset=UTF-8" pageEncoding="UTF-8"%>
<%@include file="/WEB-INF/includeTemplate.inc"%>
<%@taglib prefix="form" uri="/WEB-INF/tld/spring-form.tld"%>
<%@taglib prefix="tiles" uri="/WEB-INF/tld/tiles-jsp.tld"%>
<%@page import="java.util.List,org.springframework.validation.ObjectError"%>
<%@ taglib prefix="c" uri="http://java.sun.com/jsp/jstl/core"%>

<div id="salonesComedores_detail_div" class="rup-table-formEdit-detail">
	<div id ="salonesComedores_detail_navigation"></div>
	<div class="ui-dialog-content ui-widget-content">
		<form id="salonesComedores_detail_form">
			<div id ="salonesComedores_detail_feedback"></div>
			<input type="hidden" id="modalIdEstSalonComedor" name="establecimientoData.idEstablecimiento"/>
			<input type="hidden" id="modalIdSalonComedor" name="idSalonComedor"/>
			<div class="row">
				<div class="col-xs-3 form-group">
					<label for="modalTipoSalonComedor" class="required"><spring:message code="formDatosEspecificos.tipo"/></label>
					<select id="modalTipoSalonComedor" name="idTipo" class="form-control">
						<option></option>
						<option value="A"><spring:message code="formDatosEspecificos.comedor"/></option>
						<option value="B"><spring:message code="formDatosEspecificos.salon"/></option>
						<option value="C"><spring:message code="formDatosEspecificos.salonComedor"/></option>
<%-- 						<option value="D"><spring:message code="formDatosEspecificos.cocina"/></option> --%>
					</select>
				</div>
			</div>
			
			<div class="row">
				<div class="col-xs-3 form-group">
					<label for="modalNombreSalonComedor" class="required"><spring:message code="establecimiento.nombre"/></label>
					<input id="modalNombreSalonComedor" name="descNombre" class="form-control" maxlength="50"/>
				</div>
				<div class="col-xs-3 form-group">
					<label for="modalSuperficieSalonComedor" class="required"><spring:message code="formDatosEspecificos.superficie"/></label>
					<input type="text" class="form-control" name="numSuperficie" id="modalSuperficieSalonComedor" maxlength="7"/>
				</div>
			</div>
			
			<div class="row">
				<div class="col-xs-12 form-group">					
					<div class="container row">
						<label  for="modalHabilitadoComo" class="label"><spring:message code="formDatosEspecificos.habilitadoComo"/></label>
						<textarea data-autoresize="" id="modalHabilitadoComo" name="habilitado" class="form-control" style="height: 45px;" maxlength="200"></textarea>
						<span class="mark-length ml-auto text-black-50"></span>
					</div>
				</div>
			</div>
			
								
		</form>
	</div>
				
	<div class="rup-table-buttonpane ui-widget-content ui-helper-clearfix">
		<div class="ui-dialog-buttonset rup_tableEdit_buttonsContainerResponsive">
		
			
						
			<button id="salonesComedores_detail_button_save" class="btn btn-outline-primary rup_tableEdit_buttonsResponsive" type="button">
				<spring:message code="save" />
			</button>
			
			<button id="salonesComedores_detail_button_cancel"
				 class="btn btn-outline-primary rup_tableEdit_buttonsResponsive" type="button"><spring:message code="cancel" />
			</button>
		</div>
	</div>
</div>