<%@ page language="java" contentType="text/html; charset=UTF-8" pageEncoding="UTF-8"%>
<%@include file="/WEB-INF/includeTemplate.inc"%>
<%@taglib prefix="form" uri="/WEB-INF/tld/spring-form.tld"%>
<%@taglib prefix="tiles" uri="/WEB-INF/tld/tiles-jsp.tld"%>
<%@page import="java.util.List,org.springframework.validation.ObjectError"%>
<%@ taglib prefix="c" uri="http://java.sun.com/jsp/jstl/core"%>

<div id="suites_detail_div" class="rup-table-formEdit-detail">
	<div id ="suites_detail_navigation"></div>
	<div class="ui-dialog-content ui-widget-content">
		<form id="suites_detail_form">
			<div id ="suites_detail_feedback"></div>
			<input type="hidden" id="modalIdEstablecimientoSuite" name="establecimientoData.idEstablecimiento"/>
			<input type="hidden" id="modalIdSuite" name="idSuite"/>
			<input type="hidden" id="modalTipoRegistroSuite" name="tipoRegistro" value="1"/>
			<div class="row">
				<div class="col-xs-10 form-group">
					<label for="modalNombreSuite" class="required"><spring:message code="establecimiento.nombre"/></label>
					<input id="modalNombreSuite" name="descNombre" class="form-control" maxlength="25"/>
				</div>
			</div>
			<div class="row">
				<div class="col-xs-3 form-group">
					<label for="modalNumPlazasSuite" class="required"><spring:message code="formEstructuraHabVivienda.plazas"/></label>
					<input id="modalNumPlazasSuite" name="numPlazas" class="form-control" maxlength="4"/>
				</div>
			</div>
			
			<div class="row">
				<div class="col-xs-3 form-group">
					<label for="modalNumHabDoble" class="required"><spring:message code="formDatosEspecificos.numHabDoble"/></label>
					<input id="modalNumHabDoble" name="numHabDoble" class="form-control" maxlength="4"/>
				</div>
				<div class="col-xs-4 form-group">
					<label for="modalNumHabIndividuales" class="required"><spring:message code="formDatosEspecificos.numHabIndividuales"/></label>
					<input id="modalNumHabIndividuales" name="numHabIndividuales" class="form-control" maxlength="4"/>
				</div>
				<div class="col-xs-3 form-group">
					<label for="modalNumSalones" class="required"><spring:message code="formDatosEspecificos.nSalones"/></label>
					<input id="modalNumSalones" name="numSalones" class="form-control" maxlength="4"/>
				</div>
			
			</div>
			
			<div class="row">
				<div class="col-xs-3 form-group">
					<label for="modalNumUnidadesSuite" class="required"><spring:message code="formDatosEspecificos.unidades"/></label>
					<input id="modalNumUnidadesSuite" name="numUnidades" class="form-control" maxlength="4"/>
				</div>
<!-- 				<div class="col-xs-3 form-group"> -->
<%-- 					<label for="modalNumPlazasSuite"><spring:message code="formDatosEspecificos.numPlazas"/></label> --%>
<!-- 					<input id="modalNumPlazasSuite" name="numPlazas" class="form-control"/> -->
<!-- 				</div> -->
			</div>
							
		</form>
	</div>
				
	<div class="rup-table-buttonpane ui-widget-content ui-helper-clearfix">
		<div class="ui-dialog-buttonset rup_tableEdit_buttonsContainerResponsive">
		
			
						
			<button id="suites_detail_button_save" class="btn btn-outline-primary rup_tableEdit_buttonsResponsive" type="button">
				<spring:message code="save" />
			</button>
			
			<button id="suites_detail_button_cancel"
				 class="btn btn-outline-primary rup_tableEdit_buttonsResponsive" type="button"><spring:message code="cancel" />
			</button>
		</div>
	</div>
</div>