<%@ page language="java" contentType="text/html; charset=UTF-8" pageEncoding="UTF-8"%>
<%@include file="/WEB-INF/includeTemplate.inc"%>
<%@taglib prefix="form" uri="/WEB-INF/tld/spring-form.tld"%>
<%@taglib prefix="tiles" uri="/WEB-INF/tld/tiles-jsp.tld"%>
<%@page import="java.util.List,org.springframework.validation.ObjectError"%>
<%@ taglib prefix="c" uri="http://java.sun.com/jsp/jstl/core"%>
<sec:authorize access="hasRole('ROLE_AB63-PF-0001') and hasRole('ROLE_AB63-PF-0002')  and hasRole('ROLE_AB63-PF-0003') and hasRole('ROLE_AB63-PF-0004')" var="isAuthorizeAny"></sec:authorize>

<section>
	<div class="container">
		<jsp:include page="../pestanas.jsp" />  
		<input id="urlTareasTramitagune" type="hidden" value="${urlTareasTramitagune}">
		<div id="feedbackExpRelacionados"></div>
		
		<fieldset>
		<input type="hidden" id="autorizado" value="${isAuthorizeAny}"></input>
		
		<legend><spring:message code="fexpediente.formComparacion.censo"/></legend>
		
		
			<div id="tblExpRelacionadosCenso_div" class="rup-table-container">
				<div id="tblExpRelacionadosCenso_filter_div" class="rup-table-filter d-none">
					<!-- Capa contenedora del formulario de filtrado -->
					<form id="tblExpRelacionadosCenso_filter_form">
					<div id="tblExpRelacionadosCenso_feedback"></div>
						<div id="tblExpRelacionadosCenso_filter_toolbar" class="formulario_legend"></div>
						<fieldset id="tblExpRelacionadosCenso_filter_fieldset" class="rup-table-filter-fieldset"></fieldset>
					</form>
				</div>
		
				<div id="tblExpRelacionadosCenso_toolbar" class="mitoolbar clearfix"></div>
				<div id="tblExpRelacionadosCenso_grid_div">
					<!-- Tabla -->
					<table id="tblExpRelacionadosCenso" class="table"></table>
					<!-- Barra de paginación -->
					<div id="tblExpRelacionadosCenso_pager"></div>
				</div>
			</div>
		</fieldset>
		
		<fieldset>
		<legend><spring:message code="otros"/></legend>
		
			<div id="tblExpRelacionadosOtros_div" class="rup-table-container">
				<div id="tblExpRelacionadosOtros_filter_div" class="rup-table-filter d-none">
					<!-- Capa contenedora del formulario de filtrado -->
					<form id="tblExpRelacionadosOtros_filter_form">
					<div id="tblExpRelacionadosOtros_feedback"></div>
						<div id="tblExpRelacionadosOtros_filter_toolbar" class="formulario_legend"></div>
						<fieldset id="tblExpRelacionadosOtros_filter_fieldset" class="rup-table-filter-fieldset"></fieldset>
					</form>
				</div>
		
				<div id="tblExpRelacionadosOtros_toolbar" class="mitoolbar clearfix"></div>
				<div id="tblExpRelacionadosOtros_grid_div">
					<!-- Tabla -->
					<table id="tblExpRelacionadosOtros" class="table"></table>
					<!-- Barra de paginación -->
					<div id="tblExpRelacionadosOtros_pager"></div>
				</div>
			</div>
		</fieldset>

		 
	</div>
	<div id="space"></div>
</section>

<div id="expedientesRelacionadosDiv" style="display: none">
	<div id="expedientesCapaErrorDialog"></div>
	<form:form id="expedientesRelacionadosForm" modelAttribute="ExpedientesRelacionados"  class="form-horizontal">
				<input type="hidden" id="idEstablecimientoExpRel" name="idEstablecimiento" value= ""/>
				<div class="card">
				<div class="card-header"><spring:message code="establecimiento.datosExpediente"/></div>
					<div class="card-body">
						<div class="row">
							<div class="col-xs-4 form-group">
								<label><spring:message code="establecimiento.numExpediente"/>	</label>
								<input  id="numExpediente" name= "folderNumber" class="form-control" type="text" value="" maxlength = "24">
							</div>
							<div class="col-xs-8 form-group">
								<label><spring:message code="establecimiento.idCarpeta"/></label>
								<input  id="folderId" name= "folderId" class="form-control" type="text" value="" maxlength="64">
							</div>
						</div>
						<div class="row">
							<div class="col-xs-4 form-group">
								<label><spring:message code="establecimiento.estadoExpediente"/></label>
								<select id="estado" name = "estado" class="form-control">
									<option value="Abierto"><spring:message code="establecimiento.abierto"/></option>
									<option value="Cerrado"><spring:message code="establecimiento.cerrado"/></option>

								</select>
							</div>
							<div class="col-xs-8 form-group">
								<label><spring:message code="establecimiento.tituloExpediente"/></label>
								<input  id="tituloExpediente" name= "tituloExpediente" class="form-control" type="text" value="" maxlength="1024">
							</div>
						</div>	
						<div class="row">
							<div class="col-xs-12 form-group">
								<label><spring:message code="establecimiento.nomProcedimiento"/></label>
								<input id="nombreProc" name = "nombreProc" class="form-control" type="text" value="" maxlength="300">
							</div>
						</div>	
						<div class="row">
						<div class="col-xs-12 form-group">
						<label><spring:message code="establecimiento.apertura"/></label><br/>
							<div class="rup-date-input-group">
								<input required type="text" class="form-control" id="fechaApertura" name = "fechaApertura"  placeholder="(dd/mm/aaaa)">		
							</div> 
							</div> 
						</div>						
					</div>
				</div>
		<div class="rup-table-buttonpane">
		 	 <div class="ui-dialog-buttonset">
				<button id="sendButtonExpedientesRelacionados" type="button" class="btn btn-outline-primary"><spring:message code="fexpediente.guardar"/></button>
				<button id="cancelButtonExpedientesRelacionados" type="button" class="btn btn-outline-primary"><spring:message code="cancel"/></button>
			</div>
		</div>
	</form:form>
</div>

