<%@ page language="java" contentType="text/html; charset=UTF-8" pageEncoding="UTF-8"%>
<%@include file="/WEB-INF/includeTemplate.inc"%>
<%@taglib prefix="form" uri="/WEB-INF/tld/spring-form.tld"%>
<%@taglib prefix="tiles" uri="/WEB-INF/tld/tiles-jsp.tld"%>
<%@page import="java.util.List,org.springframework.validation.ObjectError"%>
<%@ taglib prefix="c" uri="http://java.sun.com/jsp/jstl/core"%>



<!-- Incluimos la jsp que contiene las pestanas -->
<section>
	<div class="container">
		<jsp:include page="../pestanas.jsp" />  
		<div id="feedbackInteresados"></div>
		 <div id="tblInteresados_div"
			class="rup-table-container">
			<div id="tblInteresados_filter_div" class="rup-table-filter d-none">
				<!-- Capa contenedora del formulario de filtrado -->
				<form id="tblInteresados_filter_form">
				<div id="tblInteresados_feedback"></div>
					<div id="tblInteresados_filter_toolbar" class="formulario_legend"></div>
					<fieldset id="tblInteresados_filter_fieldset" class="rup-table-filter-fieldset"></fieldset>
				</form>
			</div>
		
<!-- 			<div id="tblInteresados_div" class="rup-table-container miocontainer"> -->
			<div id="tblInteresados_toolbar" class="mitoolbar clearfix"></div>
			<div id="tblInteresados_grid_div">
				<!-- Tabla -->
				<table id="tblInteresados" class="table"></table>
				<!-- Barra de paginación -->
				<div id="tblInteresados_pager"></div>
			</div>
<!-- 			</div> -->
		</div>
	</div>
	<div id="space"></div>
</section>

<div class="container">
	<div id="tblInteresados_detail_div" class="rup-table-formEdit-detail">
		<div id ="tblInteresados_detail_navigation"></div>
			<div class="ui-dialog-content ui-widget-content" >
				<form id="tblInteresados_detail_form">
					<div id ="tblInteresados_detail_feedback"></div>
					<!-- Campos del formulario de detalle -->
					<input type="hidden" name="idTercerosEstab"/>
					<input type="hidden" name="establecimiento.datosTerceros.idTercero"/>
					<input type="hidden" name="establecimiento.datosDirecciones.idDireccion"/>
					<input type="hidden" id="idTipoEst" name="establecimiento.tipoEstablecimiento.idTipoEstablecimiento"/>
					<input type="hidden" id="idModalidad" name="establecimiento.modalidad.idModalidad"/>
					<input type="hidden" id="idEstablecimiento" name="establecimiento.idEstablecimiento"/>
					<input type="hidden" id="idTipoTerceroAnt" name="idTipoTerceroAnt"/>
					<input type="hidden" id="documentoAnt" name="documentoAnt"/>
					<input type="hidden" id="idSexo" name="sexo.idSexo"/>
					
					<input type="hidden" id="numCieInteresados" name="establecimiento.agenciaData.numCie"/>
					
					<div class="row">
						<div class="col-xs-6 form-group">
							<label for="tipoTerceroInteresadosCombo" class="required"><spring:message code="formInteresados.tipoInteresado"></spring:message></label>
							<select id="tipoTerceroInteresadosCombo" name="tiposTercero.idTipoTercero"></select>
						</div>
						<div class="col-xs-6 form-group"></div>
					</div>
						
					<div class="row">
						<div class="col-xs-4 form-group">
							<label for="tipoDocInteresadosCombo" class="required"><spring:message code="formInteresados.tipoDocumento"></spring:message></label>
							<select id="tipoDocInteresadosCombo" name="establecimiento.datosTerceros.tiposDocumento.idTipoDocumento"></select>
						</div>
						<div class="col-xs-4 form-group">
							<label for="documento" class="required"><spring:message code="formInteresados.documento"></spring:message></label>
							<input id="documento" type="text" name="establecimiento.datosTerceros.documento" class="form-control"/>
						</div>
						<div class="col-xs-4 form-group">
							<label for="baja" ><spring:message code="formInteresados.activo"></spring:message></label>							
							<br/>
							<input id="bajaSi" type="radio" name="baja"  value="0"/>
							<label for="bajaSi" ><spring:message code="establecimiento.si"></spring:message></label>
							 
							<input id="bajaNo" type="radio" name="baja"  value="1"/>
							<label for="bajaNo" ><spring:message code="establecimiento.no"></spring:message></label>
						</div>
					</div>
						
					<div class="row">
						<div class="col-xs-4 form-group">
							<label for="establecimiento.datosTerceros.nombre" class="required"><spring:message code="formInteresados.nombre"></spring:message></label>
							<input type="text" name="establecimiento.datosTerceros.nombre" class="form-control" maxlength="260"/>
						</div>
						<div class="col-xs-4 form-group">
							<label id="apellido1terceros" for="apellido1terceros" class="required"><spring:message code="formInteresados.apellido1"></spring:message></label>
							<input id="apellido1terceros" type="text" name="establecimiento.datosTerceros.apellido1" class="form-control" maxlength="260"/>
						</div>
						<div class="col-xs-4 form-group">
							<label for="establecimiento.datosTerceros.apellido2"><spring:message code="formInteresados.apellido2"></spring:message></label>
							<input type="text" name="establecimiento.datosTerceros.apellido2" class="form-control" maxlength="260"/>
						</div>
					</div>
					<div class="row">
						<div class="col-xs-6 form-group">
							<label for="terceroInteresadosSexo"><spring:message code="formInteresados.sexo"></spring:message></label>
							<select id="terceroInteresadosSexo" name="establecimiento.datosTerceros.sexo.idSexo"></select>
						</div>
					</div>	
					<div class="row">
						<div class="col-xs-4 form-group">
							<label for="establecimiento.datosDirecciones.pais"><spring:message code="formInteresados.pais"></spring:message></label>
							<select name="idPaisSolicitante" id="idPaisSolicitante" class="form-control"></select>
							<input type="hidden" id="idPaisHidden" name="establecimiento.datosDirecciones.idPais"/>
						</div>
						<div class="col-xs-4 form-group"></div>
						<div class="col-xs-4 form-group"></div>
					</div>
						
					<div class="row">
						<div class="col-xs-4 form-group">
							<label for="idProvinciaHidden"><spring:message code="formInteresados.provincia"></spring:message></label>
							
							<div class="input-group">
								<input id="idProvinciaHidden" type="text" class="form-control" name="establecimiento.datosDirecciones.idProvincia" value="${establecimiento.datosDirecciones.idProvinciaPad}" maxlength="2"/>
								<span class="input-group-addon">&nbsp;&nbsp;</span>
								<select id="idProvinciaSolicitante" name="idProvinciaSolicitante" class="form-control"></select>
							</div>
							
						</div>
						<div class="col-xs-4 form-group">
							<label for="idMunicipioHidden"><spring:message code="formInteresados.municipio"></spring:message></label>
							
							<div class="input-group">
								<input type="text" maxlength="3" class="form-control" id="idMunicipioHidden" name="establecimiento.datosDirecciones.idMunicipio" value="${establecimiento.datosDirecciones.idMunicipioPad}"/>
								<span class="input-group-addon">&nbsp;&nbsp;</span>
								<select name="idMunicipioSolicitante" id="idMunicipioSolicitante" class="form-control"></select>
							</div>
							
						</div>
						<div class="col-xs-4 form-group">
							<label for="establecimiento.datosDirecciones.idLocalidad"><spring:message code="formInteresados.localidad"></spring:message></label>
							<select name="idLocalidadSolicitante" id="idLocalidadSolicitante" class="form-control"></select>
							<input type="hidden" id="idLocalidadHidden" name="establecimiento.datosDirecciones.idLocalidad"/>
						</div>
						
					</div>
						
					<div class="row">
						<div class="col-xs-4 form-group">
							<label for="establecimiento.datosDirecciones.direccion"><spring:message code="formInteresados.calle"></spring:message></label>
							<input type="text" name="establecimiento.datosDirecciones.direccion" class="form-control" maxlength="100"/>
						</div>
						
						<div class="col-xs-1 form-group">
							<label for="numero"><spring:message code="formInteresados.numero"></spring:message></label>
							<input id="numero" type="text" name="establecimiento.datosDirecciones.numero" class="form-control" maxlength="10" />
						</div>
						
						<div class="col-xs-1 form-group">
							<label for="establecimiento.datosDirecciones.escalera"><spring:message code="formInteresados.escalera"></spring:message></label>
							<input type="text" name="establecimiento.datosDirecciones.escalera" class="form-control" maxlength="4" />
						</div>
						
						<div class="col-xs-2 form-group">
							<label for="establecimiento.datosDirecciones.piso"><spring:message code="formInteresados.piso"></spring:message></label>
							<input type="text" name="establecimiento.datosDirecciones.piso" class="form-control" maxlength="4"/>
						</div>
						<div class="col-xs-1 form-group">
							<label for="establecimiento.datosDirecciones.letra"><spring:message code="formInteresados.letra"></spring:message></label>
							<input type="text" name="establecimiento.datosDirecciones.letra" class="form-control" maxlength="4"/>
						</div>
						<div class="col-xs-2 form-group">
							<label for="establecimiento.datosDirecciones.codigoPostal"><spring:message code="formInteresados.codigoPostal"></spring:message></label>
							<input type="text" name="establecimiento.datosDirecciones.codigoPostal" class="form-control" maxlength="5"/>
						</div>
						<div class="col-xs-1 form-group"></div>
						
					</div>
						
					<div class="row">
						<div class="col-xs-4 form-group">
							<label for="tlf"><spring:message code="formInteresados.tlf"></spring:message></label>
							<input id="tlf" type="text" name="establecimiento.datosTerceros.telefono" class="form-control" maxlength="10" />
						</div>
						<div class="col-xs-4 form-group">
							<label for="establecimiento.datosTerceros.email"><spring:message code="formInteresados.email"></spring:message></label>
							<input type="text" name="establecimiento.datosTerceros.email" class="form-control" maxlength="100" />
						</div>
						<div class="col-xs-4 form-group"></div>
					</div>
				</form>
			</div>
			
			<div class="rup-table-buttonpane ui-widget-content ui-helper-clearfix">
				<div class="ui-dialog-buttonset">
					<button id="tblInteresados_detail_button_save" type="button">
						<spring:message code="save" />
					</button>
					<button id="tblInteresados_detail_button_save_repeat" type="button">
						<spring:message code="saveAndContinue" />
					</button>
					
					<a role="button" id="tblInteresados_detail_button_cancel"
					class="rup-enlaceCancelar"><spring:message code="cancel" /></a>
				
				</div>
			</div>
	</div>
</div>
