<%@include file="/WEB-INF/includeTemplate.inc"%>	
<%@page import="com.ejie.x38.security.UserCredentials"%>
<%@page import="java.util.*" %> 
<%@taglib prefix="c" uri="http://java.sun.com/jsp/jstl/core"%>
<%@taglib prefix="form" uri="/WEB-INF/tld/spring-form.tld"%>
<%@page import="com.ejie.ab63.comun.Constantes"%>
<section>
	<div class="container"> 
		<!-- Incluimos la jsp que contiene las pestanas -->
		<jsp:include page="../pestanas.jsp" />
		
		<input type="hidden" id="flagSearchFolder" value="${flagSearchFolder}"/>
		<input type="hidden" id="urlab61" name="urlab61" value="${urlab61}"/>
		<input type="hidden" id="ab61_folderID" name="ab61_folderID" value="${ab61_folderID}"/>
		<input type="hidden" id="recargarPagina" value="0"/>
		
		<div id="id_capa"></div>
			<div id="feedbackAsociarEstablecimiento"></div>			
			<fieldset>
				<legend id="titlePendienteTitular"><spring:message code="fexpediente.asociarEstablecimiento.tituloTitular" arguments="(${dniTitular})" /></legend>
				<div class="asociarTableWrapper" id='basePendientesTitular'>
					<div id="pendientesTitular_div" class="rup-table-container">
						<div id="pendientesTitular_feedback"></div>
						<div id="pendientesTitular_toolbar" class='d-none'></div>
						<div id="pendientesTitular_filter_div" class="rup-table-filter d-none">
							<form:form id="pendientesTitular_filter_form" modelAttribute="filterTitular" >
								<div id="pendientesTitular_filter_toolbar" class="formulario_legend d-none"></div>
								<fieldset id="pendientesTitular_filter_fieldset" class="rup-pendientesTitular-filter-fieldset">
										<form:input type="text" path="idExpedienteExclude" value="${initForm.idExpediente}"></form:input>
										<form:input type="text" path="identificadorEstablecimiento" value="${initForm.identificadorEstablecimiento}"></form:input>
										<form:input type="text" path="numTitular" value="${dniTitular}"></form:input>
										<form:input type="text" path="tipoBusqueda" value="<%=Constantes.TIPO_BUSQUEDA_ESTABLECIMIENTOS_TITULAR%>"></form:input>
									<!-- Campos del formulario de detalle -->
									<div id="pendientesTitular_filter_buttonSet" class="right_buttons">
									
									<input id="pendientesTitular_filter_filterButton" type="button" class="uibutton ui-widget ui-state-default ui-corner-all" value='<spring:message code="filter" />' />
									<a id="pendientesTitular_filter_cleanLink" href="javascript:void(0)" class="rup-enlaceCancelar"><spring:message code="clear" /></a>
									</div>
								</fieldset>
							</form:form>
						</div>
						<div id="pendientesTitular_grid_div">
							<!-- Tabla -->
							<table id="pendientesTitular"></table>
							<!-- Barra de paginacin -->
							<div id="pendientesTitular_pager"></div>
						</div>
					</div>
				</div>
			</fieldset>
			<div id="space"></div>
			<c:if test="${not empty dniRepresentante}">
				<fieldset>
					<legend id="titlePendienteRepresentante"><spring:message code="fexpediente.asociarEstablecimiento.tituloRepresentante" arguments="(${dniRepresentante})" /></legend>
					<div class="asociarTableWrapper" id='basePendientesRepresentante'>
						<div id="pendientesRepresentante_div" class="rup-table-container ">
							<div id="pendientesRepresentante_feedback"></div>
							<div id="pendientesRepresentante_toolbar" class='d-none'></div>
							<div id="pendientesRepresentante_filter_div" class="rup-table-filter d-none">
								<form:form id="pendientesRepresentante_filter_form" modelAttribute="filterRepresentante" >
									<div id="pendientesRepresentante_filter_toolbar" class="formulario_legend hidden"></div>
									<fieldset id="pendientesRepresentante_filter_fieldset" class="rup-pendientesRepresentante-filter-fieldset">
											<form:input type="text" path="idExpedienteExclude" value="${initForm.idExpediente}"></form:input>
											<form:input type="text" path="identificadorEstablecimiento" value="${initForm.identificadorEstablecimiento}"></form:input>
											<form:input type="text" path="numTitular" value="${dniRepresentante}"></form:input>
											<form:input type="text" path="tipoBusqueda" value="<%=Constantes.TIPO_BUSQUEDA_ESTABLECIMIENTOS_REPRESENTANTE%>"></form:input>
										<!-- Campos del formulario de detalle -->
										<div id="pendientesRepresentante_filter_buttonSet" class="right_buttons">
										
										<input id="pendientesRepresentante_filter_filterButton" type="button" class="uibutton ui-widget ui-state-default ui-corner-all" value='<spring:message code="filter" />' />
										<a id="pendientesRepresentante_filter_cleanLink" href="javascript:void(0)" class="rup-enlaceCancelar"><spring:message code="clear" /></a>
										</div>
									</fieldset>
								</form:form>
							</div>
							<div id="pendientesRepresentante_grid_div">
								<!-- Tabla -->
								<table id="pendientesRepresentante"></table>
								<!-- Barra de paginacin -->
								<div id="pendientesRepresentante_pager"></div>
							</div>
						</div>
					</div>
				</fieldset>
			</c:if>
			<c:if test="${empty dniRepresentante}">
				<fieldset>
					<legend id="titlePendienteRepresentante"><spring:message code="fexpediente.asociarEstablecimiento.tituloRepresentante" arguments=" " /></legend>
					<spring:message code="fexpediente.asociarEstablecimiento.tituloSinRepresentante" />
				</fieldset>
			</c:if>
				<div id="space"></div>
			
			<fieldset>
				<c:if test="${not empty direccionExpediente.localidaddso}">
					<legend id="titlePendienteUbicacion"><spring:message code="fexpediente.asociarEstablecimiento.tituloUbicacionCompleta" arguments="${direccionExpediente.municipiodso}, ${direccionExpediente.localidaddso}" argumentSeparator="," /></legend>
				</c:if>
				<c:if test="${empty direccionExpediente.localidaddso}">
					<legend id="titlePendienteUbicacion"><spring:message code="fexpediente.asociarEstablecimiento.tituloUbicacionMunicipio" arguments="${direccionExpediente.municipiodso}" /></legend>
				</c:if>
				<div class="asociarTableWrapper" id='basePendientesUbicacion'>		
					<div id="pendientesUbicacion_div" class="rup-table-container">
						<div id="pendientesUbicacion_feedback"></div>
						<div id="pendientesUbicacion_toolbar" class='d-none'></div>
						<div id="pendientesUbicacion_filter_div" class="rup-table-filter d-none">
							<form:form id="pendientesUbicacion_filter_form" modelAttribute="filterUbicacion" >
								<div id="pendientesUbicacion_filter_toolbar" class="formulario_legend hidden"></div>
								<fieldset id="pendientesUbicacion_filter_fieldset" class="rup-pendientesUbicacion-filter-fieldset">
										<form:input type="text" path="idProvincia" value="${direccionExpediente.idProvincia}"></form:input>
										<form:input type="text" path="idMunicipio" value="${direccionExpediente.idMunicipio}"></form:input>
										<form:input type="text" path="idLocalidad" value="${direccionExpediente.idLocalidad}"></form:input>
										<form:input type="text" path="idExpedienteExclude" value="${initForm.idExpediente}"></form:input>
										<form:input type="text" path="identificadorEstablecimiento" value="${initForm.identificadorEstablecimiento}"></form:input>
										<form:input type="text" path="tipoBusqueda" value="<%=Constantes.TIPO_BUSQUEDA_ESTABLECIMIENTOS_UBICACION%>"></form:input>
									<!-- Campos del formulario de detalle -->
									<div id="pendientesUbicacion_filter_buttonSet" class="right_buttons">
									
									<input id="pendientesUbicacion_filter_filterButton" type="button" class="uibutton ui-widget ui-state-default ui-corner-all" value='<spring:message code="filter" />' />
									<a id="pendientesUbicacion_filter_cleanLink" href="javascript:void(0)" class="rup-enlaceCancelar"><spring:message code="clear" /></a>
									</div>
								</fieldset>
							</form:form>
						</div>
						<div id="pendientesUbicacion_grid_div">
							<!-- Tabla -->
							<table id="pendientesUbicacion"></table>
							<!-- Barra de paginacin -->
							<div id="pendientesUbicacion_pager"></div>
						</div>
					</div>
				</div>
			</fieldset>
			<div id="space"></div>
			<div class="row">
				<c:if test="${expCerrado == true}">
					<button id="btnAsociar" class="btn btn-primary ml-auto disabled" type="button" data-toggle="tooltip" title='<spring:message code="fexpediente.asociar.${titleButtons}"/>'><spring:message code="boton.asociar.${titleButtons}"/></button>
				</c:if>
				<c:if test="${expCerrado == false}">
					<button id="btnAsociar" class="btn btn-primary ml-auto" type="button" data-toggle="tooltip" title='<spring:message code="fexpediente.asociar.${titleButtons}"/>'><spring:message code="boton.asociar.${titleButtons}"/></button>
				</c:if>			
			</div>
	</div>	 				
</section>
<div id="space"></div>


		