<%@include file="/WEB-INF/includeTemplate.inc"%>
<%@taglib prefix="tiles" uri="/WEB-INF/tld/tiles-jsp.tld"%>
<%@taglib prefix="form" uri="/WEB-INF/tld/spring-form.tld"%>

	<form:form class="form-horizontal" modelAttribute="datosRelExpActSub" id="formDatosRelExpActSub" method="post">
	<form:input type="hidden" path="idRelExpActSub" />
	<input type="hidden" name="idCriterio" value="${idCriterio}" />
	<input type="hidden" name="idExpediente" value="${idExpediente}" />
	<div class="row">
		<div class="col-xs-6 form-group">								
			<fieldset>
				<div class="panel panel-default">
					<div class="panel-body">							
						<div class="row">
							<div class="col-xs-6 form-group">								
									<div class="movchekbox checkbox">
										<input id="checkboxDenegacion" type="checkbox">
										<label>
											<spring:message code="fexpediente.formAyuntamiento.denegar"/>
										</label>
									</div>
							</div>
						</div>
						<div class="row">						
							<div class="col-xs-12 form-group">
								<label><spring:message code="fexpediente.formAyuntamiento.motivoDenegar"/></label>
								<select id="comboDenegacion" class="form-control"></select>
							</div>
						</div>
					</div>
				</div>
			</fieldset>
		</div>
		<div class="col-xs-6 form-group">								
			<fieldset>
				<div class="panel panel-default">
					<div class="panel-body">							
			
						<div class="row">
							<div class="col-xs-6 form-group">								
									<div class="movchekbox checkbox">
										<input id="checkboxMinoracion" type="checkbox">
										<label>
											<spring:message code="fexpediente.formAyuntamiento.minorar"/>
										</label>
									</div>
							</div>
						</div>
						<div class="row">						
							<div class="col-xs-12 form-group">
								<label><spring:message code="fexpediente.formAyuntamiento.motivoMinorar"/></label>
								<select id="comboMinoracion" class="form-control"></select>
							</div>

						</div>
					</div>
				</div>
			</fieldset>
		</div>
	</div>

	<fieldset>
		<div class="panel panel-default">
		<div class="panel-body">
			<input type="hidden" name="actAyuntamiento.idActAyuntamiento"/>
			<input type="hidden" name="actAyuntamiento.relExpActSub.idRelExpActSub"/>
        	<div class="row">
				<div class="col-xs-6 form-group">
					<label><spring:message code="fexpediente.formActuacionSubvencionable.tipo"/></label>
					<select class="form-control" id="comboAccionSubvencionablePadre" name="actSubvencionable.idActSub"/></select>
				</div>
				<div class="col-xs-6 form-group">
					<label><spring:message code="fexpediente.formActuacionSubvencionable.tipo"/></label>
					<select class="form-control" id="comboAccionSubvencionableNieto"/></select>
					<input id="valorComboHijo" type="hidden" name="actSubvencionable.idActSubComboHijo"/> 
				</div>
			</div>
			<div class="row">
                <div class="col-xs-6 form-group">
					<label><spring:message code="fexpediente.formAyuntamiento.titulo"/></label> 
					<input type="text" class="form-control"	name="actAyuntamiento.titulo"/>
				</div>
				<div class="col-xs-4 form-group movchekbox checkbox">
					<input type="hidden" id="inputInspeccionable" name="actAyuntamiento.inspeccionable"/>
                	<input type="checkbox" id="checkboxInspeccionable"/>
					<label><spring:message code="fexpediente.formAyuntamiento.inspeccionable"/></label> 
				</div>
            </div>
            <div class="row">
				<div class="col-xs-3 form-group">
					<label><spring:message code="fexpediente.formAyuntamiento.presupuestoMaterial"/></label> 
					<input type="text" class="form-control"	name="actAyuntamiento.presupuestoMaterial"/>
				</div>
				<div class="col-xs-3 form-group">
					<label><spring:message code="fexpediente.formAyuntamiento.importeIVA"/></label> 
					<input type="text" class="form-control"	name="actAyuntamiento.importeIva"/>
				</div>
				<div class="col-xs-3 form-group">
					<label><spring:message code="fexpediente.formAyuntamiento.importeTotal"/></label> 
					<input type="text" class="form-control"	name="importePresentado"/>
				</div>
				<div class="col-xs-3 form-group">
					<label><spring:message code="fexpediente.formAyuntamiento.importeAdmitido"/></label> 
					<input type="text" class="form-control"	name="importeAdmitido"/>
				</div>
            </div>
            <div class="row">
				<div class="col-xs-4 form-group">
					<label><spring:message code="fexpediente.formAyuntamiento.fechaAdjudicacion"/></label> 
					<input type="text" class="form-control" id="fechaAdjudicacion" name="actAyuntamiento.fechaAdjudicacion"/>
				</div>
				<div class="col-xs-4 form-group">
					<label class="anchoFijo"><spring:message code="fexpediente.formAyuntamiento.fechaInicio"/></label> 
					<input type="text" class="form-control" id="fechaInicio" name="actAyuntamiento.fechaInicio"/>
				</div>
				<div class="col-xs-4 form-group">
					<label class="anchoFijo"><spring:message code="fexpediente.formAyuntamiento.fechaFin"/></label> 
					<input type="text" class="form-control" id="fechaFin" name="actAyuntamiento.fechaFin"/>
				</div>
            </div>
		</div>
		</div>
	</fieldset>
	
	<fieldset>
		<legend class="opcionmaspeque">Notas (no se muestran en ningún documento)</legend>
		<div class="panel panel-default">
			<div class="panel-body">
				<div class="row">
					<div class="col-xs-12 form-group">
						<!--<label>Observaciones</label>-->
						<textarea class="form-control" rows="2"></textarea>
					</div>
				</div>
			</div>							
		</div>							
	</fieldset>
	<fieldset>
		<legend class="opcionmaspeque">Observaciones (se muestran en el informe técnico y resolución)</legend>
		<div class="panel panel-default">
			<div class="panel-body">
				<div class="row">
					<div class="col-xs-12 form-group">
						<!--<label>Observaciones</label>-->
						<textarea class="form-control" rows="2"></textarea>
					</div>
				</div>
			</div>							
		</div>							
	</fieldset>
	</form:form>
