<%@include file="/WEB-INF/includeTemplate.inc"%>	
<%@page import="com.ejie.x38.security.UserCredentials"%>
<%@page import="java.util.*" %> 
<%@taglib prefix="c" uri="http://java.sun.com/jsp/jstl/core"%>
<%@taglib prefix="form" uri="/WEB-INF/tld/spring-form.tld"%>
<%@page import="com.ejie.ab63.comun.Constantes"%>
<c:set var="OTRO_INTERESADO" value="<%=Constantes.PARTICIPANTE_OTRO_AFECTADO%>" />
<c:set var="TITULAR" value="<%=Constantes.PARTICIPANTE_TITULAR%>" />
<c:set var="REPRESENTANTE" value="<%=Constantes.PARTICIPANTE_REPRESENTANTE%>" />
<c:set var="PERSONA_CONTACTO" value="<%=Constantes.PARTICIPANTE_PERSONA_CONTACTO%>" />
<c:set var="REPRESENTANTE_LEGAL" value="<%=Constantes.PARTICIPANTE_REPRESENTANTE_LEGAL%>" />
<c:set var="UBICACION" value="<%=Constantes.ID_DIRECCION_ACTIVIDAD%>" />
<c:set var="DIRECCION" value="<%=Constantes.ID_DIRECCION_NOTIF_POSTAL%>" />
<section>
	<div class="container"> 
	
		<!-- Incluimos la jsp que contiene las pestanas -->		
		<jsp:include page="../pestanas.jsp" />
		
		<input type="hidden" id="flagSearchFolder" value="${flagSearchFolder}"/>
		<input type="hidden" id="urlab61" name="urlab61" value="${urlab61}"/>
		<input type="hidden" id="ab61_folderID" name="ab61_folderID" value="${ab61_folderID}"/>
		<input type="hidden" id="recargarPagina" value="0"/>
		<input type="hidden" id="bloquearPagina" value="${!isEnableSaveButton}"/>
		<input type="hidden" id="inspeccionable" value="${isInspectionable}"/>
		
		<div id="id_capa"></div>
		<form id="formSolicitante" method="post" action="/ab63WebAppWar/fichaExpediente/guardarInteresadoUbicacion/${idTercero}">
			<div id="feedbackMensajesSearchFolder"></div>
			
				
				<div id="identificadorContainer" class="form-group accordion_height_auto">
					<div class="row">
						<div class="col-xs-4 form-group divNumeroRegistroUbicacion" >
							<c:if test="${not empty identificadorEstablecimiento}">
								<c:if test="${initForm.expedienteOficio == true}">
									<label class="required"><spring:message code="fexpediente.datos.ubicacionInversion.numeroRegistro"/></label>
									<c:if test="${isEnableSaveButton == true }">
										<div id="searchIdentificadorContainer" class="form-group">
											<input type="text" class="" size="1" id='partLetra' autocomplete="off" maxlength="1"/>
											<span class="input-group-addon">&nbsp;&nbsp;</span>
											<input type="text" class="" size="2" id='partProv' autocomplete="off"  maxlength="2"/>
											<span class="input-group-addon">&nbsp;&nbsp;</span>
											<input type="text" class="" size="5" id='partSequencia' autocomplete="off" maxlength="5"/>
										</div>
										<input type="hidden" class="form-control" id='searchIdentificador' autocomplete="off" value="${identificadorEstablecimiento}" maxlength="8"/>
									</c:if>
									<c:if test="${isEnableSaveButton == false }">										
										<input type="text" class="form-control" id='identificadorEst' readonly="readonly" value="${identificadorEstablecimiento}" maxlength="8"/> 
									</c:if>
								</c:if> 
								
								<c:if test="${initForm.expedienteOficio == false}">
									<label ><spring:message code="fexpediente.datos.ubicacionInversion.numeroRegistro"/></label> 
									<c:if test="${isEnableSaveButton == false || isEnableChangeNreg == false}">										
										<input type="text" class="form-control" id='identificadorEst' readonly="readonly" value="${identificadorEstablecimiento}" maxlength="8"/> 
									</c:if>
									<c:if test="${isEnableSaveButton == true && isEnableChangeNreg == true }">
										<input type="text" class="form-control" id='identificadorEst' value="${identificadorEstablecimiento}" maxlength="8"/> 
									</c:if>
								</c:if>
							</c:if>
							
							<c:if test="${empty identificadorEstablecimiento }">
								<c:if test="${initForm.expedienteOficio == true}">
									<label class="required"><spring:message code="fexpediente.datos.ubicacionInversion.numeroRegistro"/></label>
									<div id="searchIdentificadorContainer" class="form-group">
										<input type="text" class="" size="1" id='partLetra' autocomplete="off" maxlength="1"/>
										<span class="input-group-addon">&nbsp;&nbsp;</span>
										<input type="text" class="" size="2" id='partProv' autocomplete="off"  maxlength="2"/>
										<span class="input-group-addon">&nbsp;&nbsp;</span>
										<input type="text" class="" size="5" id='partSequencia' autocomplete="off" maxlength="5"/>
									</div>
									<input type="hidden" class="form-control" id='searchIdentificador' autocomplete="off" maxlength="8"/>
								</c:if> 
								<c:if test="${initForm.expedienteOficio == false}">
									<label ><spring:message code="fexpediente.datos.ubicacionInversion.numeroRegistro"/></label>
									<input type="text" class="form-control" readonly="readonly" id='identificadorEst' value="" maxlength="8"/> 
								</c:if>
							</c:if>
							
						</div>
						<div class="col-xs-8 form-group ">
							<label><spring:message code="fexpediente.datos.ubicacionInversion.nombreEstablecimiento"/></label>
						<c:if test="${initForm.expedienteOficio == true}">						
							<input id="nombreEstablecimiento" type="text" name="establecimiento" class="form-control" value="${direccionExpediente.establecimiento}"  maxlength="260" />
						</c:if>
						<c:if test="${initForm.expedienteOficio == false}">
							<input id="nombreEstablecimiento" type="text" name="establecimiento" class="form-control" value="${direccionExpediente.establecimiento}"  maxlength="260"/>
						</c:if>
						</div>
					</div>
					<c:if test="${initForm.expedienteOficio == true}">
						<div class="row">
							<div class="col-xs-6">
								<label><spring:message code="fexpediente.datos.expediente.origen"/></label> 
								<span id="infoProcedimientos" class="color-primary-3 fa fa-info-circle"></span>
								<select id="idExpedienteOrigenSelect" class="form-control" disabled="disabled"></select>
								<input type="hidden" id="idExpedienteOrigenHidden" value="${initForm.idExpedienteOrigen}"/>
							</div>
						</div>
					</c:if>
				</div>
				
				<div id="accordionExample" class="rup_accordion">
				<c:forEach items="${listaSearch}" var="listaSearchFolder">
					<c:choose>
						<c:when test="${lenguaje =='es'}">						
							<h1 class="expandH1_${listaSearchFolder.idTipoTercero}"><a><span>${listaSearchFolder.tipoTerceroDesCas}</span></a><i class="fa fa-edit iconoDerecha" aria-hidden="true"></i></h1>
						 </c:when>
						 <c:otherwise>
						     <h1 class="expandH1_${listaSearchFolder.idTipoTercero}"><a><span>${listaSearchFolder.tipoTerceroDesEus}</span></a><i class="fa fa-edit iconoDerecha" aria-hidden="true"></i></h1>
						 </c:otherwise>
					</c:choose>	
					<div class="form-group accordion_height_auto">
						<div class="quitarPunto">
							<ul class="quitarPunto">
								<c:set var="unInteresado" value="1"/>
								<c:forEach items="${listaSearchFolder.datosTercerosList}" var="listaPersonas">
									<li>
										<c:if test="${listaPersonas.tipoParticipante == TITULAR}">
											<label><spring:message code="fexpediente.titular"/></label>
										</c:if>
										<c:if test="${listaPersonas.tipoParticipante == REPRESENTANTE}">
											<label><spring:message code="fexpediente.representante"/></label>
										</c:if>
										<c:if test="${listaPersonas.tipoParticipante == OTRO_INTERESADO && unInteresado == 1}">
											<c:set var="unInteresado" value="2"/>
											<label><spring:message code="fexpediente.otroInteresado"/></label>
										</c:if>	
																				
										<div class="input-group">
										<c:choose> 
	   										<c:when test="${!empty listaPersonas.documento}"> 	
												<input type="text" class="form-control" readonly="readonly" value="${listaPersonas.documento} - ${listaPersonas.nombre} ${listaPersonas.apellido1} ${listaPersonas.apellido2}"/> 
											</c:when>
											<c:otherwise> 
											 	<input type="text" class="form-control" readonly="readonly" value="${listaPersonas.nombre} ${listaPersonas.apellido1} ${listaPersonas.apellido2}"/> 
											</c:otherwise>
										</c:choose>
											<input type="hidden" id="idSolicitanteTercero" value="${listaPersonas.idTercero}" />
											<span class="input-group-btn">
												<c:choose>
													<c:when test="${listaPersonas.tipoParticipante == TITULAR}">						
														<button class="btn btn-default  botonCompartir input-btn-fontSize15" id="TITULAR-${listaSearchFolder.participantId}" type="button" data-backdrop="static" data-keyboard="false" value="${listaPersonas.idTercero}" name="titular-${listaPersonas.idTercero}" data-placement="bottom" data-toggle="modal" data-target="#myModal" title= '<spring:message code="boton.ver" />' ><i class="fa fa-edit" aria-hidden="true"></i></button>
													 </c:when>
													 	<c:when test="${listaPersonas.tipoParticipante == OTRO_INTERESADO}">						
														<button class="btn btn-default  botonCompartir input-btn-fontSize15" id="OTRO-${listaSearchFolder.participantId}" type="button" data-backdrop="static" data-keyboard="false" value="${listaPersonas.idTercero}" name="titular-${listaPersonas.idTercero}" data-placement="bottom" data-toggle="modal" data-target="#myModal" title= '<spring:message code="boton.ver" />' ><i class="fa fa-edit" aria-hidden="true"></i></button>
													 </c:when>
													 <c:otherwise>
														<button class="btn btn-default  botonCompartir input-btn-fontSize15" id="REPRESENTANTE-${listaSearchFolder.participantId}" type="button" data-backdrop="static" data-keyboard="false" value="${listaPersonas.idTercero}" name="titular-${listaPersonas.idTercero}" data-placement="bottom" data-toggle="modal" data-target="#myModal" title= '<spring:message code="boton.ver" />' ><i class="fa fa-edit" aria-hidden="true"></i></button>
													 </c:otherwise>
												</c:choose>
											</span>
										</div>
									</li>	
								</c:forEach>
							</ul>	
						</div>
					</div>
				</c:forEach>
				
				
				<c:if test="${isEnableShowDireccionPostal == true }">
					<h1 class="h1DomicilioSolicitante"><a><spring:message code="fexpediente.datos.domicilioSolicitante"/></a></h1>
					<div id="divDomicilioSolicitante" class="form-group accordion_height_auto divDomicilioSolicitante">
						<input type="hidden" name="idTipoDireccionSolicitante" value="${DIRECCION}"/>					
						<div class="row">
							<c:if test="${empty listaDomicilio.idPais or listaDomicilio.idPais eq 0 or listaDomicilio.idPais eq 108}">
								<input id="paisEspRdo" type="radio" name="postalType" value="0" checked="checked"> <label for="paisEspRdo"><spring:message code="fexpediente.datos.domicilioSolicitante.paisEsp"/></label> 
								<input id="paisOtrosRdo" type="radio" name="postalType" value="1"> <label for="paisOtrosRdo"><spring:message code="fexpediente.datos.domicilioSolicitante.otroPais"/></label>
							</c:if>
							<c:if test="${not empty listaDomicilio.idPais and listaDomicilio.idPais ne 108 and listaDomicilio.idPais gt 0}">
								<input id="paisEspRdo" type="radio" name="postalType" value="0"> <label for="paisEspRdo"><spring:message code="fexpediente.datos.domicilioSolicitante.paisEsp"/></label> 
								<input id="paisOtrosRdo" type="radio" name="postalType" value="1" checked="checked"> <label for="paisOtrosRdo"><spring:message code="fexpediente.datos.domicilioSolicitante.otroPais"/></label>
							</c:if>
						</div>
						<div id="paisEspSolicitante">
							<div class="row">
								<div class="col-xs-4 form-group">
									<label><spring:message code="fexpediente.datos.domicilioSolicitante.provincia"/></label>
									<div class="input-group">
										<input id="idProvinciaSolicitanteHidden" type="text" class="form-control" value="${listaDomicilio.idProvinciaPad}"/>
										<span class="input-group-addon">&nbsp;&nbsp;</span>
										<select id="idProvinciaSolicitante" name="idProvinciaSolicitante" class="form-control"></select>
									</div>
								</div>
								<div class="col-xs-4 form-group">
									<label><spring:message code="fexpediente.datos.domicilioSolicitante.municipio"/></label>
									<div class="input-group">
										<input type="text" maxlength="3" class="form-control" id="idMunicipioSolicitanteHidden" value="${listaDomicilio.idMunicipioPad}"/>
										<span class="input-group-addon">&nbsp;&nbsp;</span>
										<select name="idMunicipioSolicitante" id="idMunicipioSolicitante" class="form-control"></select>
									</div>
								</div>
								<div class="col-xs-4 form-group">
									<label><spring:message code="fexpediente.datos.domicilioSolicitante.localidad"/></label>
									<select name="idLocalidadSolicitante" id="idLocalidadSolicitante" class="form-control"></select>
									<input type="hidden" id="idLocalidadSolicitanteHidden" value="${listaDomicilio.idLocalidad}"/>
								</div>
							</div>
							<div class="row">
								<div class="col-xs-7 form-group">
									<label><spring:message code="fexpediente.datos.domicilioSolicitante.direccion"/></label>
									<input type="text" name="direccionSolicitante" class="form-control" value="${listaDomicilio.direccion}" maxlength="100"></input>
								</div>
								<div class="col-xs-1 form-group">
									<label><spring:message code="fexpediente.datos.domicilioSolicitante.numero"/></label>
									<input type="text" name="numeroSolicitante" class="form-control" value="${listaDomicilio.numero}" maxlength="10"/>
								</div>
								<div class="col-xs-1 form-group">
									<label><spring:message code="fexpediente.datos.domicilioSolicitante.escalera"/></label>
									<input type="text" class="form-control" name="escaleraSolicitante" value="${listaDomicilio.escalera}" maxlength="4"/>
								</div>
								<div class="col-xs-1 form-group">
									<label><spring:message code="fexpediente.datos.domicilioSolicitante.piso"/></label>
									<input type="text" class="form-control" name="pisoSolicitante" value="${listaDomicilio.piso}" maxlength="4"/>
								</div>
								<div class="col-xs-1 form-group">
									<label><spring:message code="fexpediente.datos.domicilioSolicitante.letra"/></label>
									<input type="text" class="form-control" name="letraSolicitante" value="${listaDomicilio.letra}" maxlength="4"/>
								</div>
								<div class="col-xs-1 form-group">
									<label><spring:message code="fexpediente.datos.domicilioSolicitante.codigoPostal"/></label>
									<input type="text" class="form-control" name="codigoPostalSolicitante"  value="${listaDomicilio.codigoPostal}" maxlength="5"/>
								</div>
							</div>
						</div>
						<div id="paisOtroSolicitante">
							<div class="row">
								<div class="col-xs-4 form-group">
									<label><spring:message code="fexpediente.datos.domicilioSolicitante.pais"/></label>
									<select  id="idPaisOtrosSolicitante" class="form-control"></select>
									<input type="hidden"  name="idPaisOtrosSolicitante" id="idPaisOtrosSolicitanteHidden" value="${listaDomicilio.idPais}"/>
								</div>
								<div class="col-xs-4 form-group">
									<label><spring:message code="fexpediente.datos.domicilioSolicitante.provincia"/></label>
									<input type="text"  name="provinciaExtrSolicitante" class="form-control" value="${listaDomicilio.descProvinciaExtranjera}"  maxlength="200"/>
								</div>
								<div class="col-xs-4 form-group">
									<label><spring:message code="fexpediente.datos.domicilioSolicitante.ciudad"/></label>
									<input type="text" name="ciudadExtrSolicitante" class="form-control" value="${listaDomicilio.descCiudadExtranjera}" maxlength="200"></input>
								</div>
							</div>							
							<div class="row">
								<div class="col-xs-5 form-group">
									<label><spring:message code="fexpediente.datos.domicilioSolicitante.direccion"/></label>
									<input type="text" name="direccionExtrSolicitante" class="form-control" value="${listaDomicilio.direccion}" maxlength="100"></input>
								</div>
								<div class="col-xs-1 form-group">
									<label><spring:message code="fexpediente.datos.domicilioSolicitante.codigoPostal"/></label>
									<input type="text" class="form-control" name="codigoPostalExtrSolicitante"  value="${listaDomicilio.codigoPostal}" maxlength="5"/>
								</div>
							</div>
						</div>
					</div>
				</c:if>

				<c:if test="${isEnableShowUbicacionEstablecimiento == true}">
		    		
		    		
		    		<h1 class="divUbicacionInversion"><a><spring:message code="fexpediente.datos.ubicacionInversion"/></a></h1>
				    <div class="form-group accordion_height_auto divUbicacionInversion">
				    	<c:if test="${not empty direccionExpediente}">
							<input type="hidden" name="idTipoDireccionUbicacion" value="${UBICACION}"/>
				    	</c:if>
			    		<c:if test="${enableSelectCountry eq true}">
					    	<div class="row">
									<c:if test="${empty direccionExpediente.idPais or direccionExpediente.idPais eq 0 or direccionExpediente.idPais eq 108}">
										<input id="paisEspActRdo" type="radio" name="postalEstType" value="0" checked="checked"> <label for="paisEspActRdo"><spring:message code="fexpediente.datos.domicilioSolicitante.paisEsp"/></label> 
										<input id="paisOtrosActRdo" type="radio" name="postalEstType" value="1"> <label for="paisOtrosActRdo"><spring:message code="fexpediente.datos.domicilioSolicitante.otroPais"/></label>
									</c:if>
									<c:if test="${not empty direccionExpediente.idPais and direccionExpediente.idPais ne 108 and direccionExpediente.idPais gt 0}">
										<input id="paisEspActRdo" type="radio" name="postalEstType" value="0"> <label for="paisEspActRdo"><spring:message code="fexpediente.datos.domicilioSolicitante.paisEsp"/></label> 
										<input id="paisOtrosActRdo" type="radio" name="postalEstType" value="1" checked="checked"> <label for="paisOtrosActRdo"><spring:message code="fexpediente.datos.domicilioSolicitante.otroPais"/></label>
									</c:if>
							</div>
						</c:if>
				    	<div id="paisEspActividad">
							<div class="row">
								<div class="col-xs-4 form-group">
									<label for="idProvinciaUbicacionHidden" class="required"><spring:message code="fexpediente.datos.ubicacionInversion.provincia"/></label>
									<div class="input-group">
										<input type="text" class="form-control"  id="idProvinciaUbicacionHidden" value="${direccionExpediente.idProvinciaPad}"/>
										<span class="input-group-addon">&nbsp;&nbsp;</span>
										<select name="idProvinciaUbicacion" id="idProvinciaUbicacion" class="form-control"></select>
									</div>
								</div>
								<div class="col-xs-4 form-group">
									<label  for="idMunicipioUbicacionHidden" class="required"><spring:message code="fexpediente.datos.ubicacionInversion.municipio"/></label>
									<div class="input-group">
										<input type="text" class="form-control"  id="idMunicipioUbicacionHidden" value="${direccionExpediente.idMunicipioPad}"/>
										<span class="input-group-addon">&nbsp;&nbsp;</span>
										<select name="idMunicipioUbicacion" id="idMunicipioUbicacion" class="form-control"></select>
									</div>					
								</div>
								<div class="col-xs-4 form-group">
									<label  for="idLocalidadUbicacionHidden" ><spring:message code="fexpediente.datos.ubicacionInversion.localidad"/></label>
									<select name="idLocalidadUbicacion" id="idLocalidadUbicacion" class="form-control"></select>
									<input type="hidden" id="idLocalidadUbicacionHidden" value="${direccionExpediente.idLocalidad}"/>
								</div>
							</div>
							<div class="row">
								<div class="col-xs-7 form-group">
									<label class="required" for="direccionUbicacion"><spring:message code="fexpediente.datos.ubicacionInversion.direccion"/></label>
									<input type="text" name="direccionUbicacion" id="direccionUbicacion" class="form-control" value="${direccionExpediente.direccion}"  maxlength="100"></input>
								</div>
								<div class="col-xs-1 form-group">
									<label for="numeroUbicacion"><spring:message code="fexpediente.datos.ubicacionInversion.numero"/></label>
									<input type="text" name="numeroUbicacion" id="numeroUbicacion" class="form-control" value="${direccionExpediente.numero}" maxlength="10"/>
								</div>
								<div class="col-xs-1 form-group">
									<label for="escaleraUbicacion"><spring:message code="fexpediente.datos.ubicacionInversion.escalera"/></label>
									<input type="text" name="escaleraUbicacion" id="escaleraUbicacion" class="form-control" value="${direccionExpediente.escalera}" maxlength="4"/>
								</div>
								<div class="col-xs-1 form-group">
									<label for="pisoUbicacion"><spring:message code="fexpediente.datos.ubicacionInversion.piso"/></label>
									<input type="text" name="pisoUbicacion" id="pisoUbicacion" class="form-control" value="${direccionExpediente.piso}" maxlength="4"/>
								</div>
								<div class="col-xs-1 form-group">
									<label for="letraUbicacion"><spring:message code="fexpediente.datos.ubicacionInversion.letra"/></label>
									<input type="text" name="letraUbicacion" id="letraUbicacion" class="form-control" value="${direccionExpediente.letra}" maxlength="4"/>
								</div>
								<div class="col-xs-1 form-group">
									<label for="codigoPostalUbicacion"><spring:message code="fexpediente.datos.ubicacionInversion.codigoPostal"/></label>
									<input type="text" name="codigoPostalUbicacion" id="codigoPostalUbicacion" class="form-control" value="${direccionExpediente.codigoPostal}" maxlength="5"/>
								</div>
							</div>
						</div>
						<div id="paisOtroActividad">
							<div class="row">
								<div class="col-xs-4 form-group">
									<label for="idPaisOtrosActividad" class="required"><spring:message code="fexpediente.datos.domicilioSolicitante.pais"/></label>
									<select  id="idPaisOtrosActividad" class="form-control"></select>
									<input type="hidden"  name="idPaisOtrosActividad" id="idPaisOtrosActividadHidden" value="${direccionExpediente.idPais}"/>
								</div>
								<div class="col-xs-4 form-group">
									<label for="descProvinciaExtranjera" class="required"><spring:message code="fexpediente.datos.domicilioSolicitante.provincia"/></label>
									<input type="text" class="form-control" name="descProvinciaExtranjera" value="${direccionExpediente.descProvinciaExtranjera}"  maxlength="200"/>
								</div>
								<div class="col-xs-4 form-group">
									<label for="descCiudadExtranjera" class="required"><spring:message code="fexpediente.datos.domicilioSolicitante.ciudad"/></label>
									<input type="text" class="form-control" name="descCiudadExtranjera"  value="${direccionExpediente.descCiudadExtranjera}" maxlength="200"></input>
								</div>
							</div>							
							<div class="row">
								<div class="col-xs-5 form-group">
									<label for="direccionExt" class="required"><spring:message code="fexpediente.datos.domicilioSolicitante.direccion"/></label>
									<input type="text" class="form-control"  name="direccionExt" value="${direccionExpediente.direccion}" maxlength="100"></input>
								</div>
								<div class="col-xs-1 form-group">
									<label for="codigoPostalExt" ><spring:message code="fexpediente.datos.domicilioSolicitante.codigoPostal"/></label>
									<input type="text" class="form-control" name="codigoPostalExt"  value="${direccionExpediente.codigoPostal}" maxlength="5"/>
								</div>
							</div>
						</div>
						
						
						
					</div>
					
					
					
				</c:if>		
		
				<c:if test="${!empty listaBBDD}">
					<c:forEach items="${listaBBDD}" var="listBBDD">
						<c:if test="${listBBDD.idTipoTercero == REPRESENTANTE_LEGAL}">
							<c:forEach items="${listBBDD.datosTercerosList}" var="listaPersonasBBDDD">
							<h1 class="divRepresentanteLegal"><a><spring:message code="fexpediente.datos.representanteLegal"/></a></h1>
							<div class="form-group accordion_height_auto divRepresentanteLegal">
		<!-- 						<button type="button" class="btn btn-default input-btn-fontSize15 right" id="addRepresentanteLegal" type="button" name="addRepresentanteLegal" data-placement="bottom" data-toggle="modal" data-target="#myModal" > -->
		<!-- 							<i aria-hidden="true" class="fa fa-file-o"></i> -->
		<!-- 						</button> -->
								<div class="quitarPunto">
									<ul class="quitarPunto">
											<li>
												<div class="input-group">	
													<c:choose> 
			    										<c:when test="${!empty listaPersonasBBDDD.documento}"> 	
															<input type="text" class="form-control" readonly="readonly" value="${listaPersonasBBDDD.documento} - ${listaPersonasBBDDD.nombre} ${listaPersonasBBDDD.apellido1} ${listaPersonasBBDDD.apellido2}"/> 
														</c:when>
														<c:otherwise> 
														 	<input type="text" class="form-control" readonly="readonly" value="${listaPersonasBBDDD.documento}  ${listaPersonasBBDDD.nombre} ${listaPersonasBBDDD.apellido1} ${listaPersonasBBDDD.apellido2}"/> 
														</c:otherwise>
													</c:choose>						 							
													
													<input type="hidden" id="idSolicitanteTercero" value="${listaPersonasBBDDD.idTercero}" />
													<span class="input-group-btn">
														<button class="btn btn-default btnVerDatosRepresentanteLegal botonCompartir input-btn-fontSize15" id="RLEGAL_${listaPersonasBBDDD.idTercero}" type="button" data-backdrop="static" data-keyboard="false" value="${listaPersonasBBDDD.idTercero}"  data-placement="bottom" data-toggle="modal" data-target="#myModal" title= '<spring:message code="boton.ver" />' ><i class="fa fa-edit" aria-hidden="true"></i></button>
													</span>
													<span class="input-group-btn">
														<button class="btn btn-default btnVerDatosPersonasContacto botonEliminarRepresentanteLegal input-btn-fontSize15" id="rLegalEliminar" type="button" data-backdrop="static" data-keyboard="false" value="${listaPersonasBBDDD.idTercero}"  data-placement="bottom" data-toggle="modal" data-target="#myModal"><i class="fa fa-trash-o" aria-hidden="true"></i></button>
													</span>
												</div>
											</li>
									</ul>	
								</div>
							</div>
							</c:forEach>
						</c:if>			
					</c:forEach>
				
				
<%-- 					<h1 class="divPersonasContacto"><a><spring:message code="fexpediente.datos.personasContacto"/></a></h1> --%>
<!-- 					<div class="form-group accordion_height_auto divPersonasContacto"> -->
<!-- 						<button type="button" class="btn btn-default input-btn-fontSize15 right" id="addPersonaContacto" type="button" name="addPersonaContacto" data-placement="bottom" data-toggle="modal" data-target="#myModal" > -->
<!-- 							<i aria-hidden="true" class="fa fa-file-o"></i> -->
<!-- 						</button> -->
<!-- 						<div class="quitarPunto"> -->
<!-- 							<ul class="quitarPunto"> -->
<%-- 								<c:forEach items="${listaBBDD}" var="listBBDD"> --%>
<%-- 									<c:if test="${listBBDD.idTipoTercero == PERSONA_CONTACTO}"> --%>
<%-- 										<c:forEach items="${listBBDD.datosTercerosList}" var="listaPersonasBBDDD"> --%>
<!-- 											<li> -->
<!-- 												<div class="input-group">	 -->
												
<%-- 													<c:choose>  --%>
<%-- 			    										<c:when test="${!empty listaPersonasBBDDD.documento}"> 	 --%>
<%-- 															<input type="text" class="form-control" readonly="readonly" value="${listaPersonasBBDDD.documento} - ${listaPersonasBBDDD.nombre} ${listaPersonasBBDDD.apellido1} ${listaPersonasBBDDD.apellido2}"/>  --%>
<%-- 														</c:when> --%>
<%-- 														<c:otherwise>  --%>
<%-- 														 	<input type="text" class="form-control" readonly="readonly" value="${listaPersonasBBDDD.documento}  ${listaPersonasBBDDD.nombre} ${listaPersonasBBDDD.apellido1} ${listaPersonasBBDDD.apellido2}"/>  --%>
<%-- 														</c:otherwise> --%>
<%-- 													</c:choose>	 --%>
																		 							
<!-- 													<span class="input-group-btn"> -->
<%-- 														<button class="btn btn-default btnVerDatosPersonasContacto botonCompartir input-btn-fontSize15" id="PERSONASCONTACTO_${listaPersonasBBDDD.idTercero}" type="button" data-backdrop="static" data-keyboard="false" value="${listaPersonasBBDDD.idTercero}" name="tercero" data-placement="bottom" data-toggle="modal" data-target="#myModal" title= '<spring:message code="boton.ver" />' ><i class="fa fa-edit" aria-hidden="true"></i></button> --%>
<!-- 													</span>	 -->
<!-- 													<span class="input-group-btn"> -->
<%-- 														<button class="btn btn-default btnVerDatosPersonasContacto botonEliminarPersonasContacto input-btn-fontSize15" id="personaContactoEliminar" type="button" data-backdrop="static" data-keyboard="false" value="${listaPersonasBBDDD.idTercero}"  data-placement="bottom" data-toggle="modal" data-target="#myModal"><i class="fa fa-trash-o" aria-hidden="true"></i></button> --%>
<!-- 													</span> -->
<!-- 												</div> -->
<!-- 											</li> -->
<%-- 										</c:forEach>	 --%>
<%-- 									</c:if>			 --%>
<%-- 								</c:forEach> --%>
<!-- 							</ul>	 -->
<!-- 						</div> -->
<!-- 					</div> -->
				</c:if>
				
			</div>
		</form>
	</div>	 				
</section>
<div id="space"></div>


<div id="myModal" class="modal " role="dialog" title='<spring:message code="fexpediente.datos.datosContacto.titulo"/>'>
	 <div class="modal-dialog modal-lg">
		<!-- Modal content-->
		<div class="modal-content">
			<div class="modal-header">
			    <button type="button" class="close" data-dismiss="modal" aria-label="Close"><span aria-hidden="true">&times;</span></button>
			</div>
			<div class="modal-body">
				<div id="map-canvas-modal"  ></div>
	  			<iframe src=""  width="100%" height="200px" frameborder="0" scrolling="no" name="modalFrame" id="modalFrame"></iframe>	  			
			</div>
		</div>
	</div>
</div> 

<div id="modalDatosComunidadBienes" class="ocultar" title='<spring:message code="fexpediente.datos.comunidadBienes.titulo"/>'>
	<form  id="formParticipantes" action=""  class="form-horizontal">
		<div id="feedbackMensajesParticipantes"></div>
		<input type="hidden" class="form-control" readonly="readonly" name="idParticipante" />
		<input type="hidden" name="idTercero" id="idTercero" value="${idTercero}"/>
			<input type="hidden" name="idParticipante" />
		<div class="row">
			<div class="col-xs-4 form-group">
			  <label for="idTipoDocumento"><spring:message code="fexpediente.datos.comunidadBienes.tipoDocumento"/></label>
			  <select class="form-control" id="idComboTipoDocumento" name="idTipoDocumento" required="required"></select>
			</div>		
			<div class="col-xs-4 form-group">
			  <label for="numero"><spring:message code="fexpediente.datos.comunidadBienes.numero"/></label>
			  <input type="text" class="form-control" id="numero" name="numero" required="required"/>
			</div>
	    </div>
		<div class="row">
			<div class="col-xs-4 form-group">
			  <label for="nombre"><spring:message code="fexpediente.datos.comunidadBienes.nombre"/></label>
			  <input type="text" class="form-control"  name="nombre" id="nombre" required="required"/>
			</div>												
			<div class="col-xs-4 form-group" id= "apellido1Div">
				  <label for="apellido1"><spring:message code="fexpediente.datos.comunidadBienes.apellido1"/></label>
				  <input type="text" class="form-control" name="apellido1"  id="apellido1" required="required"/>
			</div>											
			<div class="col-xs-4 form-group" id= "apellido2Div">
				  <label for="apellido2"><spring:message code="fexpediente.datos.comunidadBienes.apellido2"/></label>
				  <input type="text" class="form-control" name="apellido2" id="apellido2" required="required"/>
			</div>												
		</div>	 
		<div class="row">
			<div class="col-xs-4 form-group" id= "sexoDiv">
			  <label for="idSexo"><spring:message code="fexpediente.datos.comunidadBienes.sexo"/></label>
			  <select class="form-control" id="idComboSexo" name="idSexo" required="required"> </select>
			</div>		
			<div class="col-xs-4 form-group" id= "porcentajeParticipacionDiv">
			  <label for="porcentajeParticipacion"><spring:message code="fexpediente.datos.comunidadBienes.porcentajeParticipacion"/></label>
			  <input type="text" class="form-control" name="porcentajeParticipacionMask" id="porcentajeParticipacionMask" required="required" onchange="javascript:formatearNumero(this);"/>
			  <input type="hidden" name="porcentajeParticipacion" id="porcentajeParticipacion" class="form-control" />
			</div>						
		</div>							 		
		<div class="rup-table-buttonpane ui-helper-clearfix">
			<div class="ui-dialog-buttonset">
				<button id="btnGuardar" type="button" class="btn btn-primary"><spring:message code="save" /></button>
				<a href="#" role="button" id="btnCerrar" class="rup-enlaceCancelar"><spring:message code="cancel" /></a>
			</div>
		</div>	
	</form>
</div>			