<%@ page language="java" contentType="text/html; charset=UTF-8" pageEncoding="UTF-8"%>
<%@include file="/WEB-INF/includeTemplate.inc"%>
<%@taglib prefix="form" uri="/WEB-INF/tld/spring-form.tld"%>
<%@taglib prefix="tiles" uri="/WEB-INF/tld/tiles-jsp.tld"%>
<%@page import="java.util.List,org.springframework.validation.ObjectError"%>
<%@ taglib prefix="c" uri="http://java.sun.com/jsp/jstl/core"%>

<div id="especialidades_detail_div" class="rup-table-formEdit-detail">
	<div id ="especialidades_detail_navigation"></div>
	<div class="ui-dialog-content ui-widget-content">
		<form id="especialidades_detail_form">
		<div id ="especialidades_detail_feedback"></div>
						
			<div class="row">
				<div class="col-xs-2 form-group">
					<label for="modalIdEspecialidad"><spring:message code="tablasmaestras.categoria.id"/></label><br/>
					<input id="modalIdEspecialidad" type="text" class="form-control" maxlength="2" name="idEspecialidad"></input>
				</div>
						
				<div class="col-xs-6 form-group">
					<input type="hidden" id="tipoEstHidden" name="tipoEstablecimiento.idTipoEstablecimiento" />
					<label for="idComboTipoEst"><spring:message code="establecimiento.tipoEstablecimiento"/></label>
					<select id="idComboTipoEst" class="form-control"></select>
				</div>
				
				<div class="col-xs-1 form-group">
					<label for="modalBaja"><spring:message code="tablasmaestras.categoria.baja"/></label><br/>
					<input id="modalBaja" type="checkbox" name="baja" value="1"></input>
				</div>
				<div class="col-xs-3 form-group"></div>		
			</div>
			<div class="row">
				<div class="col-xs-6 form-group">
					<label for="modalDescCategoriaEs"><spring:message code="tablasmaestras.categoria.descripcionEs"/></label><br/>
					<input id="modalDescCategoriaEs" type="text" class="form-control" maxlength="110" name="descCategoriaEs"></input>					
				</div>
				<div class="col-xs-6 form-group">
					<label for="modalDescCategoriaEu"><spring:message code="tablasmaestras.categoria.descripcionEu"/></label><br/>
					<input id="modalDescCategoriaEu" type="text" class="form-control" maxlength="110" name="descCategoriaEu"></input>					
				</div>
			</div>						
		</form>
	</div>
				
	<div class="rup-table-buttonpane ui-widget-content ui-helper-clearfix">
		<div class="ui-dialog-buttonset rup_tableEdit_buttonsContainerResponsive">
						
			<button id="especialidades_detail_button_save" class="btn btn-outline-primary rup_tableEdit_buttonsResponsive" type="button">
				<spring:message code="save" />
			</button>
			
			<button id="especialidades_detail_button_cancel"
				 class="btn btn-outline-primary rup_tableEdit_buttonsResponsive" type="button"><spring:message code="cancel" />
			</button>
		</div>
	</div>
</div>