<%@ page language="java" contentType="text/html; charset=UTF-8" pageEncoding="UTF-8"%>
<%@include file="/WEB-INF/includeTemplate.inc"%>
<%@taglib prefix="form" uri="/WEB-INF/tld/spring-form.tld"%>
<%@taglib prefix="tiles" uri="/WEB-INF/tld/tiles-jsp.tld"%>
<%@page import="java.util.List,org.springframework.validation.ObjectError"%>
<%@ taglib prefix="c" uri="http://java.sun.com/jsp/jstl/core"%>

<form id="franquicia_filter_form">
	<div id="franquicia_filter_toolbar" class="formulario_legend d-none" ></div>
		<fieldset id="franquicia_filter_fieldset" class="rup-table-filter-fieldset" >
			<div class="panel panel-default">
				<div class="panel-heading"><spring:message code="busquedaREATE.criteriosBusqueda"/></div>
					<div class="panel-body">
						
						<div class="row">
							<div class="col-xs-1 form-group">
								<label for="idFranquicia_filter_table"><spring:message code="tablasmaestras.categoria.id"/></label><br/>
								<input type="text" name="tipoFranquicia.idFranquicia" class="form-control" id="idFranquicia_filter_table"/>	
							</div>
							
							<div class="col-xs-5 form-group">
								<label for="descFranquiciaEs"><spring:message code="tablasmaestras.categoria.descripcionEs"/></label><br/>
								<input type="text" name="descFranquiciaEs" class="form-control" id="descFranquiciaEs_filter_table"/>				
							</div>
							<div class="col-xs-5 form-group">
								<label for="descFranquiciaEu"><spring:message code="tablasmaestras.categoria.descripcionEu"/></label><br/>
								<input type="text" name="descFranquiciaEu" class="form-control" id="descFranquiciaEu_filter_table"/>				
							</div>
							
							<div class="col-xs-1 form-group">
								<label for="baja"><spring:message code="tablasmaestras.categoria.baja"/></label><br/>
								<input name="baja" type="checkbox" id="baja_filter_table"/>
							</div>
						</div>
					</div>
			</div>
			<div id="franquicia_filter_buttonSet" class="right_buttons d-none">	
				<button id="franquicia_filter_cleanButton" type="button" class="btn btn-warning rup-limpiar">
					<i class="fa fa-eraser"></i>
					<span><spring:message code="clear" /></span>
				</button>
				
				<button id="franquicia_filter_filterButton" type="button" class="btn rup-filtrar rup-filter-dropdown" >
					<i class="fa fa-filter"></i>
					<span><spring:message code="filter" /></span>
				</button>
			</div>
		</fieldset>
</form>