<%@ page language="java" contentType="text/html; charset=UTF-8" pageEncoding="UTF-8"%>
<%@include file="/WEB-INF/includeTemplate.inc"%>
<%@taglib prefix="form" uri="/WEB-INF/tld/spring-form.tld"%>
<%@taglib prefix="tiles" uri="/WEB-INF/tld/tiles-jsp.tld"%>
<%@page import="java.util.List,org.springframework.validation.ObjectError"%>
<%@ taglib prefix="c" uri="http://java.sun.com/jsp/jstl/core"%>

<section>
	<div id="divNavBarSecundario">
		<nav class="navbar navbar-default navbar-secundario">
			<div class="container">
				<div class="pull-left mov10top">
					<h2><spring:message code="busqGrupos"/></h2>
				</div>
				<div class="pull-right">
					<button type="button" id="btnBusqGrupos" class="btn btn-primary btn-circle btn-lg btnVerResultado" data-toggle="tooltip" data-placement="bottom" title="" data-original-title="Buscar tipos de grupo"><i class="fa fa-search" aria-hidden="true"></i></button>
					<div class="btn-group margin-left-10">
						<button type="button" class="btn btn-default btn-circle btn-lg btnLimpiarResultado" aria-haspopup="true" aria-expanded="false" data-toggle="dropdown" id="btnLimpiarBusqGrupos">
							<i class="fa fa-eraser" aria-hidden="true" data-toggle="tooltip" data-placement="bottom" title="Limpiar busqueda"></i>
						</button>
					</div>
				</div>
			</div>
		</nav>
	</div>
</section>

<section>
	<div class="container">
	
		<jsp:include page="includes/gruposFilterForm.jsp"></jsp:include>
		
		<div id="divTblGrupos" class="card-body" hidden>
		<div class="botoneraTabla">
			<button class="btn btn-default btn-circle" id="btnNuevoGrupo" type="button" data-toggle="tooltip" data-placement="top" title='<spring:message code="tablasmaestras.tipoEstablecimiento.nuevo"/>'><i class="fa fa-plus"></i></button>
			<button class="btn btn-default btn-circle" id="btnEditarGrupo" type="button" data-toggle="tooltip" data-placement="top" title='<spring:message code="tablasmaestras.tipoEstablecimiento.editar"/>'><i class="fa fa-edit"></i></button>
		</div>
			<table id="grupos" class="table table-striped table-bordered"
					data-url-base="/ab63WebAppWar/grupo"
					data-filter-form="#grupos_filter_form"
					cellspacing="0" width="100%">
					<thead>
						<tr>
							<th data-col-prop="idGrupo"><spring:message code="tablasmaestras.tipoEstablecimiento.id" /></th>
				            <th data-col-prop="tipoEstablecimiento.idTipoEstablecimiento" data-col-sidx="AB6311S00IDTIPOESTABLECIMIENTO"><spring:message code="tablasmaestras.categoria.tipoEst" /></th>
				            <th data-col-prop="descGrupoEs"><spring:message code="tablasmaestras.categoria.descripcionEs" /></th>
				            <th data-col-prop="descGrupoEu"><spring:message code="tablasmaestras.categoria.descripcionEu" /></th>
				       </tr>
				    </thead>
			</table>
		</div>
		
		<jsp:include page="includes/gruposFormEdit.jsp"></jsp:include>
		
	</div>
</section>
