<%@ page language="java" contentType="text/html; charset=UTF-8" pageEncoding="UTF-8"%>
<%@include file="/WEB-INF/includeTemplate.inc"%>
<%@taglib prefix="form" uri="/WEB-INF/tld/spring-form.tld"%>
<%@taglib prefix="tiles" uri="/WEB-INF/tld/tiles-jsp.tld"%>
<%@page import="java.util.List,org.springframework.validation.ObjectError"%>
<%@ taglib prefix="c" uri="http://java.sun.com/jsp/jstl/core"%>

<section>
	<div id="divNavBarSecundario">
		<nav class="navbar navbar-default navbar-secundario">
			<div class="container">
				<div class="pull-left mov10top">
					<h2><spring:message code="busqTiposAseo"/></h2>
				</div>
				<div class="pull-right">
					<button type="button" id="btnBusqTiposAseo" class="btn btn-primary btn-circle btn-lg btnVerResultado" data-toggle="tooltip" data-placement="bottom" title="" data-original-title="Buscar tipos de aseo"><i class="fa fa-search" aria-hidden="true"></i></button>
					<div class="btn-group margin-left-10">
						<button type="button" class="btn btn-default btn-circle btn-lg btnLimpiarResultado" aria-haspopup="true" aria-expanded="false" data-toggle="dropdown" id="btnLimpiarBusqTiposAseo">
							<i class="fa fa-eraser" aria-hidden="true" data-toggle="tooltip" data-placement="bottom" title="Limpiar busqueda"></i>
						</button>
					</div>
				</div>
			</div>
		</nav>
	</div>
</section>

<section>
	<div class="container">
	
		<jsp:include page="includes/tiposAseoFilterForm.jsp"></jsp:include>
		
		<div id="divTblTiposAseo" class="card-body" hidden>
		<div class="botoneraTabla">
			<button class="btn btn-default btn-circle" id="btnNuevoTipoAseo" type="button" data-toggle="tooltip" data-placement="top" title='<spring:message code="tablasmaestras.tipoEstablecimiento.nuevo"/>'><i class="fa fa-plus"></i></button>
			<button class="btn btn-default btn-circle" id="btnEditarTipoAseo" type="button" data-toggle="tooltip" data-placement="top" title='<spring:message code="tablasmaestras.tipoEstablecimiento.editar"/>'><i class="fa fa-edit"></i></button>
		</div>
			<table id="tiposAseo" class="table table-striped table-bordered"
					data-url-base="/ab63WebAppWar/tipoAseo"
					data-filter-form="#tiposAseo_filter_form"
					cellspacing="0" width="100%">
					<thead>
						<tr>
							<th data-col-prop="idTipoAseo"><spring:message code="tablasmaestras.tipoEstablecimiento.id" /></th>
				            <th data-col-prop="descTipoEs"><spring:message code="tablasmaestras.categoria.descripcionEs" /></th>
				            <th data-col-prop="descTipoEu"><spring:message code="tablasmaestras.categoria.descripcionEu" /></th>
				       </tr>
				    </thead>
			</table>
		</div>
		
		<jsp:include page="includes/tiposAseoFormEdit.jsp"></jsp:include>
		
	</div>
</section>
