<%@ page language="java" contentType="text/html; charset=UTF-8" pageEncoding="UTF-8"%>
<%@include file="/WEB-INF/includeTemplate.inc"%>
<%@taglib prefix="form" uri="/WEB-INF/tld/spring-form.tld"%>
<%@taglib prefix="tiles" uri="/WEB-INF/tld/tiles-jsp.tld"%>
<%@page import="java.util.List,org.springframework.validation.ObjectError"%>
<%@ taglib prefix="c" uri="http://java.sun.com/jsp/jstl/core"%>

<form id="tiposEst_filter_form">
	<div id="tiposEst_filter_toolbar" class="formulario_legend d-none" ></div>
		<fieldset id="tiposEst_filter_fieldset" class="rup-table-filter-fieldset" >
			<div class="panel panel-default">
				<div class="panel-heading"><spring:message code="busquedaREATE.criteriosBusqueda"/></div>
					<div class="panel-body">
						
						<div class="row">
							<div class="col-xs-1 form-group">
								<label for="idTipoEstablecimiento_filter_table"><spring:message code="tablasmaestras.categoria.id"/></label><br/>
								<input type="text" name="idTipoEstablecimiento" class="form-control" id="idTipoEstablecimiento_filter_table" maxlength="1"/>	
							</div>
							
							<div class="col-xs-2 form-group">
								<label for="ordenacion_filter_table"><spring:message code="tablasmaestras.tipoEstablecimiento.ordenacion"/></label>
								<select id="ordenacion_filter_table" class="form-control" aria-disabled="false" tabindex="0" name="ordenacion" >
									<option value=""></option>
									<option value="0"><spring:message code="tablasmaestras.tipoEstablecimiento.reclamaciones"/></option>
									<option value="1"><spring:message code="tablasmaestras.tipoEstablecimiento.ordenacion"/></option>
								</select>
							</div>
							
							<div class="col-xs-2 form-group">
								<label for="tipificacion_filter_table"><spring:message code="tablasmaestras.tipoEstablecimiento.tipificacion"/></label>
								<select id="tipificacion_filter_table" class="form-control"  aria-disabled="false" tabindex="0" name="tipificacion" >
									<option value=""></option>
									<option value="A"><spring:message code="tablasmaestras.tipoEstablecimiento.tipificacion.alojamiento"/></option>
									<option value="M"><spring:message code="tablasmaestras.tipoEstablecimiento.tipificacion.mediacion"/></option>
									<option value="P"><spring:message code="tablasmaestras.tipoEstablecimiento.tipificacion.profesiones"/></option>
									<option value="Q"><spring:message code="tablasmaestras.tipoEstablecimiento.tipificacion.otrasAcampadas"/></option>
									<option value="R"><spring:message code="tablasmaestras.tipoEstablecimiento.tipificacion.interes"/></option>
									<option value="O"><spring:message code="tablasmaestras.tipoEstablecimiento.tipificacion.otros"/></option>
								</select>
							</div>
							
							<div class="col-xs-1 form-group">
								<label for="baja"><spring:message code="tablasmaestras.tipoEstablecimiento.baja"/></label><br/>
								<input name="baja" type="checkbox" id="baja_filter_table"/>
							</div>
							<div class="col-xs-1 form-group"></div>
						
						</div>
						
						<div class="row">
							<div class="col-xs-6 form-group">
								<label for="descTipoEs"><spring:message code="tablasmaestras.tipoEstablecimiento.descripcionEs"/></label><br/>
								<input type="text" name="descTipoEs" class="form-control" id="descTipoEs_filter_table"/>				
							</div>
							<div class="col-xs-6 form-group">
								<label for="descTipoEu"><spring:message code="tablasmaestras.tipoEstablecimiento.descripcionEu"/></label><br/>
								<input type="text" name="descTipoEu" class="form-control" id="descTipoEu_filter_table"/>				
							</div>
						</div>
						
						<div class="row">
							<div class="col-xs-6 form-group">
								<label for="procedimientoLeyEs_filter_table"><spring:message code="tablasmaestras.tipoEstablecimiento.procedimientoLeyEs"/></label>
								<input id="procedimientoLeyEs_filter_table" type="text" class="form-control" maxlength="200" name="procedimientoLeyEs"></input>
							</div>
							<div class="col-xs-6 form-group">
								<label for="procedimientoLeyEu_filter_table"><spring:message code="tablasmaestras.tipoEstablecimiento.procedimientoLeyEu"/></label>
								<input id="procedimientoLeyEu_filter_table" type="text" class="form-control" maxlength="200" name="procedimientoLeyEu"></input>
							</div>
						</div>
						
						<div class="row">
							<div class="col-xs-6 form-group">
								<label for="procedimientoDecretoEs_filter_table"><spring:message code="tablasmaestras.tipoEstablecimiento.procedimientoDecretoEs"/></label>
								<input id="procedimientoDecretoEs_filter_table" type="text" class="form-control" maxlength="200" name="procedimientoDecretoEs"></input>
							</div>
							<div class="col-xs-6 form-group">
								<label for="procedimientoDecretoEu_filter_table"><spring:message code="tablasmaestras.tipoEstablecimiento.procedimientoDecretoEu"/></label>
								<input id="procedimientoDecretoEu_filter_table" type="text" class="form-control" maxlength="200" name="procedimientoDecretoEu"></input>
							</div>
						</div>
					</div>
			</div>
			<div id="tiposEst_filter_buttonSet" class="right_buttons d-none">	
				<button id="tiposEst_filter_cleanButton" type="button" class="btn btn-warning rup-limpiar">
					<i class="fa fa-eraser"></i>
					<span><spring:message code="clear" /></span>
				</button>
				
				<button id="tiposEst_filter_filterButton" type="button" class="btn rup-filtrar rup-filter-dropdown" >
					<i class="fa fa-filter"></i>
					<span><spring:message code="filter" /></span>
				</button>
			</div>
		</fieldset>
</form>