<%@ page language="java" contentType="text/html; charset=UTF-8" pageEncoding="UTF-8"%>
<%@include file="/WEB-INF/includeTemplate.inc"%>
<%@taglib prefix="form" uri="/WEB-INF/tld/spring-form.tld"%>
<%@taglib prefix="tiles" uri="/WEB-INF/tld/tiles-jsp.tld"%>
<%@page import="java.util.List,org.springframework.validation.ObjectError"%>
<%@ taglib prefix="c" uri="http://java.sun.com/jsp/jstl/core"%>

<form id="tiposHab_filter_form">
	<div id="tiposHab_filter_toolbar" class="formulario_legend d-none" ></div>
		<fieldset id="tiposHab_filter_fieldset" class="rup-table-filter-fieldset" >
			<div class="panel panel-default">
				<div class="panel-heading"><spring:message code="busquedaREATE.criteriosBusqueda"/></div>
					<div class="panel-body">
						
						<div class="row">
							<div class="col-xs-1 form-group">
								<label for="idTipoHabitacion_filter_table"><spring:message code="tablasmaestras.categoria.id"/></label><br/>
								<input type="text" name="idTipoHabitacion" class="form-control" id="idTipoHabitacion_filter_table"/>	
							</div>
							
							<div class="col-xs-5 form-group">
								<label for="descTipoEs"><spring:message code="tablasmaestras.categoria.descripcionEs"/></label><br/>
								<input type="text" name="descTipoEs" class="form-control" id="descTipoEs_filter_table"/>				
							</div>
							<div class="col-xs-5 form-group">
								<label for="descTipoEu"><spring:message code="tablasmaestras.categoria.descripcionEu"/></label><br/>
								<input type="text" name="descTipoEu" class="form-control" id="descTipoEu_filter_table"/>				
							</div>
							
							<div class="col-xs-1 form-group">
								<label for="numPlazas_filter_table"><spring:message code="tablasmaestras.tipoHab.numPlazas"/></label><br/>
								<input type="text" name="numPlazas" class="form-control" id="numPlazas_filter_table"/>				
							</div>
							
						</div>
						
						<div class="row">
							<div class="col-xs-2 form-group">
								<label for="indivdobl_filter_table">Tipo:</label>
								<select name="indivdobl" id="indivdobl_filter_table" class="form-control">
									<option value=""></option>
									<option value="0"><spring:message code="tablasmaestras.tipoHab.ind"/></option>
									<option value="1"><spring:message code="tablasmaestras.tipoHab.doble"/></option>
									<option value="2"><spring:message code="tablasmaestras.tipoHab.multiple"/></option>
								</select>
							</div>
							
							<div class="col-xs-1 form-group">
								<label for="consalon_filter_table"><spring:message code="tablasmaestras.tipoHab.salon"/></label>
								<select name="consalon" id="consalon_filter_table" class="form-control">
									<option value=""></option>
									<option value="0"><spring:message code="establecimiento.no"/></option>
									<option value="1"><spring:message code="establecimiento.si"/></option>
								</select>
							</div>
							
							<div class="col-xs-2 form-group">
								<label for="baja"><spring:message code="tablasmaestras.categoria.baja"/></label>
								<select name="baja" id="baja_filter_table" class="form-control">
									<option value=""></option>
									<option value="0"><spring:message code="establecimiento.no"/></option>
									<option value="1"><spring:message code="establecimiento.si"/></option>
								</select>
								
							</div>
							
						</div>
					</div>
			</div>
			<div id="tiposHab_filter_buttonSet" class="right_buttons d-none">	
				<button id="tiposHab_filter_cleanButton" type="button" class="btn btn-warning rup-limpiar">
					<i class="fa fa-eraser"></i>
					<span><spring:message code="clear" /></span>
				</button>
				
				<button id="tiposHab_filter_filterButton" type="button" class="btn rup-filtrar rup-filter-dropdown" >
					<i class="fa fa-filter"></i>
					<span><spring:message code="filter" /></span>
				</button>
			</div>
		</fieldset>
</form>