/**
 * 
 */
package com.ejie.ab63.adaptadores.service;

import java.util.List;

import com.ejie.ab63.clientesWS.ab61WebService.Ab61Exception;
import com.ejie.ab63.clientesWS.ab61WebService.BusquedasWS;
import com.ejie.ab63.clientesWS.ab61WebService.DatosInicioOficio;
import com.ejie.ab63.clientesWS.ab61WebService.InicioOficioWS;

/**
 *  
 * 
 */
public interface ab61WebServiceService {

	public String generarExcelListados(int idListado, List<BusquedasWS> listaBusquedas, String codAplic)
			throws Ab61Exception;

	public String descargarDocumento(Integer idPlantilla, String procedureId, String foderId, String codAplic)
			throws Ab61Exception;

	public String generarDocumento(Integer idPlantilla, String procedureId, String foderId, String usuario)
			throws Ab61Exception;

	public String modificarDocumento(Integer idPlantilla, String procedureId, String foderId, String usuario)
			throws Ab61Exception;

	/**
	 * llama al webService que realiza la tarea indicada
	 * 
	 * @param idPlantilla
	 *            Integer
	 * @param procedureId
	 *            String
	 * @param folderId
	 *            String
	 * @param n38Login
	 *            String
	 * @return String
	 * @throws Ab61Exception
	 */
	public String aportarDocumento(Integer idPlantilla, String procedureId, String folderId, String n38Login,
			String usuario) throws Ab61Exception;

	public String eliminarDocumento(Integer idPlantilla, String folderId, String procedureId) throws Ab61Exception;

	public DatosInicioOficio generarInicioOficio(InicioOficioWS inicioOficioWS) throws Ab61Exception;
}
