
package com.ejie.ab63.clientesWS.ab61WebService;

import java.util.List;

import javax.jws.WebMethod;
import javax.jws.WebParam;
import javax.jws.WebResult;
import javax.jws.WebService;
import javax.xml.bind.annotation.XmlSeeAlso;
import javax.xml.ws.RequestWrapper;
import javax.xml.ws.ResponseWrapper;

/**
 * This class was  
 * source version: 2.1
 * 
 */
@WebService(name = "WebServiceImpl", targetNamespace = "http://com.ejie.ab61.serviciosWeb")
@XmlSeeAlso({ ObjectFactory.class })
public interface WebServiceImpl {

	/**
	 * 
	 * @param aplicacion
	 * @param listaBusqueda
	 * @param idListado
	 * @return returns java.lang.String
	 * @throws Ab61Exception
	 */
	@WebMethod
	@WebResult(targetNamespace = "")
	@RequestWrapper(localName = "generarExcelListados", targetNamespace = "http://com.ejie.ab61.serviciosWeb", className = "com.ejie.ab63.clientesWS.ab61WebService.GenerarExcelListados")
	@ResponseWrapper(localName = "generarExcelListadosResponse", targetNamespace = "http://com.ejie.ab61.serviciosWeb", className = "com.ejie.ab63.clientesWS.ab61WebService.GenerarExcelListadosResponse")
	public String generarExcelListados(@WebParam(name = "idListado", targetNamespace = "") Integer idListado,
			@WebParam(name = "listaBusqueda", targetNamespace = "") List<BusquedasWS> listaBusqueda,
			@WebParam(name = "aplicacion", targetNamespace = "") String aplicacion) throws Ab61Exception;

	/**
	 * 
	 * @param aplicacion
	 * @param foderId
	 * @param procedureId
	 * @param idPlantilla
	 * @return returns java.lang.String
	 * @throws Ab61Exception
	 */
	@WebMethod
	@WebResult(targetNamespace = "")
	@RequestWrapper(localName = "descargarDocumento", targetNamespace = "http://com.ejie.ab61.serviciosWeb", className = "com.ejie.ab63.clientesWS.ab61WebService.DescargarDocumento")
	@ResponseWrapper(localName = "descargarDocumentoResponse", targetNamespace = "http://com.ejie.ab61.serviciosWeb", className = "com.ejie.ab63.clientesWS.ab61WebService.DescargarDocumentoResponse")
	public String descargarDocumento(@WebParam(name = "idPlantilla", targetNamespace = "") Integer idPlantilla,
			@WebParam(name = "procedureId", targetNamespace = "") String procedureId,
			@WebParam(name = "foderId", targetNamespace = "") String foderId,
			@WebParam(name = "aplicacion", targetNamespace = "") String aplicacion) throws Ab61Exception;

	/**
	 * 
	 * @param usuario
	 * @param foderId
	 * @param procedureId
	 * @param idPlantilla
	 * @return returns java.lang.String
	 * @throws Ab61Exception
	 */
	@WebMethod
	@WebResult(targetNamespace = "")
	@RequestWrapper(localName = "generarDocumento", targetNamespace = "http://com.ejie.ab61.serviciosWeb", className = "com.ejie.ab63.clientesWS.ab61WebService.GenerarDocumento")
	@ResponseWrapper(localName = "generarDocumentoResponse", targetNamespace = "http://com.ejie.ab61.serviciosWeb", className = "com.ejie.ab63.clientesWS.ab61WebService.GenerarDocumentoResponse")
	public String generarDocumento(@WebParam(name = "idPlantilla", targetNamespace = "") Integer idPlantilla,
			@WebParam(name = "procedureId", targetNamespace = "") String procedureId,
			@WebParam(name = "foderId", targetNamespace = "") String foderId,
			@WebParam(name = "usuario", targetNamespace = "") String usuario) throws Ab61Exception;

	/**
	 * 
	 * @param usuario
	 * @param foderId
	 * @param procedureId
	 * @param idPlantilla
	 * @return returns java.lang.String
	 * @throws Ab61Exception
	 */
	@WebMethod
	@WebResult(targetNamespace = "")
	@RequestWrapper(localName = "modificarDocumento", targetNamespace = "http://com.ejie.ab61.serviciosWeb", className = "com.ejie.ab63.clientesWS.ab61WebService.ModificarDocumento")
	@ResponseWrapper(localName = "modificarDocumentoResponse", targetNamespace = "http://com.ejie.ab61.serviciosWeb", className = "com.ejie.ab63.clientesWS.ab61WebService.ModificarDocumentoResponse")
	public String modificarDocumento(@WebParam(name = "idPlantilla", targetNamespace = "") Integer idPlantilla,
			@WebParam(name = "procedureId", targetNamespace = "") String procedureId,
			@WebParam(name = "foderId", targetNamespace = "") String foderId,
			@WebParam(name = "usuario", targetNamespace = "") String usuario) throws Ab61Exception;

	/**
	 * 
	 * @param usuario
	 * @param n38Login
	 * @param folderId
	 * @param procedureId
	 * @param idPlantilla
	 * @return returns java.lang.String
	 * @throws Ab61Exception
	 */
	@WebMethod
	@WebResult(targetNamespace = "")
	@RequestWrapper(localName = "aportarDocumento", targetNamespace = "http://com.ejie.ab61.serviciosWeb", className = "com.ejie.ab63.clientesWS.ab61WebService.AportarDocumento")
	@ResponseWrapper(localName = "aportarDocumentoResponse", targetNamespace = "http://com.ejie.ab61.serviciosWeb", className = "com.ejie.ab63.clientesWS.ab61WebService.AportarDocumentoResponse")
	public String aportarDocumento(@WebParam(name = "idPlantilla", targetNamespace = "") Integer idPlantilla,
			@WebParam(name = "procedureId", targetNamespace = "") String procedureId,
			@WebParam(name = "folderId", targetNamespace = "") String folderId,
			@WebParam(name = "n38Login", targetNamespace = "") String n38Login,
			@WebParam(name = "usuario", targetNamespace = "") String usuario) throws Ab61Exception;

	/**
	 * 
	 * @param foderId
	 * @param procedureId
	 * @param idPlantilla
	 * @return returns java.lang.String
	 * @throws Ab61Exception
	 */
	@WebMethod
	@WebResult(targetNamespace = "")
	@RequestWrapper(localName = "eliminarDocumento", targetNamespace = "http://com.ejie.ab61.serviciosWeb", className = "com.ejie.ab63.clientesWS.ab61WebService.EliminarDocumento")
	@ResponseWrapper(localName = "eliminarDocumentoResponse", targetNamespace = "http://com.ejie.ab61.serviciosWeb", className = "com.ejie.ab63.clientesWS.ab61WebService.EliminarDocumentoResponse")
	public String eliminarDocumento(@WebParam(name = "idPlantilla", targetNamespace = "") Integer idPlantilla,
			@WebParam(name = "foderId", targetNamespace = "") String foderId,
			@WebParam(name = "procedureId", targetNamespace = "") String procedureId) throws Ab61Exception;

	/**
	 * 
	 * @param inicioOficioWS
	 * @return returns com.ejie.ab63.clientesWS.ab61WebService.DatosInicioOficio
	 * @throws Ab61Exception
	 */
	@WebMethod
	@WebResult(targetNamespace = "")
	@RequestWrapper(localName = "generarInicioOficio", targetNamespace = "http://com.ejie.ab61.serviciosWeb", className = "com.ejie.ab63.clientesWS.ab61WebService.GenerarInicioOficio")
	@ResponseWrapper(localName = "generarInicioOficioResponse", targetNamespace = "http://com.ejie.ab61.serviciosWeb", className = "com.ejie.ab63.clientesWS.ab61WebService.GenerarInicioOficioResponse")
	public DatosInicioOficio generarInicioOficio(
			@WebParam(name = "inicioOficioWS", targetNamespace = "") InicioOficioWS inicioOficioWS)
			throws Ab61Exception;

}
