package com.ejie.ab63.dao.busquedas;

import java.util.List;

import com.ejie.ab63.model.busquedas.Busquedas;
import com.ejie.x38.dto.JQGridRequestDto;

/**
 * ListadosDao  
 * 
 *  
 */

public interface BusquedasDao {

	/**
	 * Finds a single row in the Busquedas table.
	 *
	 * @param busquedas
	 *            Busquedas
	 * @return Busquedas
	 */
	Busquedas find(Busquedas busquedas);

	/**
	 * Finds rows in the Listados table using like.
	 *
	 * @param listados
	 *            Listados
	 * @param jqGridRequestDto
	 *            JQGridRequestDto
	 * @param startsWith
	 *            Boolean
	 * @return List
	 */
	List<Busquedas> findAllLike(Busquedas busquedas, JQGridRequestDto jqGridRequestDto, Boolean startsWith);
}
