package com.ejie.ab63.model;

import java.util.ArrayList;
import java.util.Date;
import java.util.List;

import com.ejie.x38.serialization.JsonDateDeserializer;
import com.ejie.x38.serialization.JsonDateSerializer;
import com.fasterxml.jackson.annotation.JsonIgnore;
import com.fasterxml.jackson.databind.annotation.JsonDeserialize;
import com.fasterxml.jackson.databind.annotation.JsonSerialize;

/**
 * Ab6317s00  
 * 
 *  
 */

public class TipoHabitacion implements java.io.Serializable {

	private static final long serialVersionUID = 1L;
	private String idTipoHabitacion;
	private String indivdobl;
	private String descTipoEs;
	private Integer consalon;
	private Long numPlazas;
	private Date fechaModificacion;
	private String nomUsuario;
	private Integer baja;
	private String descTipoEu;
	private Date fechaRegistro;
	private String usuarioRegistro;
	private Date fechaUltmodificacion;
	private String usuarioUltmodificacion;
	private List<HabitacionAlojamiento> listHabitacionAlojamiento = new ArrayList<HabitacionAlojamiento>();
	private List<Habitacion> listHabitacion = new ArrayList<Habitacion>();

	/**
	 * Method 'Ab6317s00'.
	 */
	public TipoHabitacion() {
	}

	/**
	 * Method 'Ab6317s00'.
	 * 
	 * @param idTipoHabitacion
	 *            String
	 */
	public TipoHabitacion(String idTipoHabitacion) {
		this.idTipoHabitacion = idTipoHabitacion;
	}

	/**
	 * Method 'Ab6317s00'.
	 * 
	 * @param idTipoHabitacion
	 *            String
	 * @param indivdobl
	 *            String
	 * @param descTipoEs
	 *            String
	 * @param consalon
	 *            Integer
	 * @param numPlazas
	 *            Long
	 * @param fechaModificacion
	 *            Date
	 * @param nomUsuario
	 *            String
	 * @param baja
	 *            Integer
	 * @param descTipoEu
	 *            String
	 * @param fechaRegistro
	 *            Date
	 * @param usuarioRegistro
	 *            String
	 * @param fechaUltmodificacion
	 *            Date
	 * @param usuarioUltmodificacion
	 *            String
	 */
	public TipoHabitacion(String idTipoHabitacion, String indivdobl, String descTipoEs, Integer consalon,
			Long numPlazas, Date fechaModificacion, String nomUsuario, Integer baja, String descTipoEu,
			Date fechaRegistro, String usuarioRegistro, Date fechaUltmodificacion, String usuarioUltmodificacion) {
		this.idTipoHabitacion = idTipoHabitacion;
		this.indivdobl = indivdobl;
		this.descTipoEs = descTipoEs;
		this.consalon = consalon;
		this.numPlazas = numPlazas;
		this.fechaModificacion = fechaModificacion;
		this.nomUsuario = nomUsuario;
		this.baja = baja;
		this.descTipoEu = descTipoEu;
		this.fechaRegistro = fechaRegistro;
		this.usuarioRegistro = usuarioRegistro;
		this.fechaUltmodificacion = fechaUltmodificacion;
		this.usuarioUltmodificacion = usuarioUltmodificacion;
	}

	/**
	 * Method 'Ab6317s00'.
	 * 
	 * @param idTipoHabitacion
	 *            String
	 * @param indivdobl
	 *            String
	 * @param descTipoEs
	 *            String
	 * @param consalon
	 *            Integer
	 * @param numPlazas
	 *            Long
	 * @param fechaModificacion
	 *            Date
	 * @param nomUsuario
	 *            String
	 * @param baja
	 *            Integer
	 * @param descTipoEu
	 *            String
	 * @param fechaRegistro
	 *            Date
	 * @param usuarioRegistro
	 *            String
	 * @param fechaUltmodificacion
	 *            Date
	 * @param usuarioUltmodificacion
	 *            String
	 * @param ab6324s00s
	 *            List<Ab6324s00>
	 * @param ab6322s00s
	 *            List<Ab6322s00>
	 */
	public TipoHabitacion(String idTipoHabitacion, String indivdobl, String descTipoEs, Integer consalon,
			Long numPlazas, Date fechaModificacion, String nomUsuario, Integer baja, String descTipoEu,
			Date fechaRegistro, String usuarioRegistro, Date fechaUltmodificacion, String usuarioUltmodificacion,
			List<HabitacionAlojamiento> ab6324s00s, List<Habitacion> ab6322s00s) {

		this.idTipoHabitacion = idTipoHabitacion;
		this.indivdobl = indivdobl;
		this.descTipoEs = descTipoEs;
		this.consalon = consalon;
		this.numPlazas = numPlazas;
		this.fechaModificacion = fechaModificacion;
		this.nomUsuario = nomUsuario;
		this.baja = baja;
		this.descTipoEu = descTipoEu;
		this.fechaRegistro = fechaRegistro;
		this.usuarioRegistro = usuarioRegistro;
		this.fechaUltmodificacion = fechaUltmodificacion;
		this.usuarioUltmodificacion = usuarioUltmodificacion;
		this.listHabitacionAlojamiento = ab6324s00s;
		this.listHabitacion = ab6322s00s;
	}

	/**
	 * Method 'getIdTipoHabitacion'.
	 *
	 * @return String
	 */

	public String getIdTipoHabitacion() {
		return this.idTipoHabitacion;
	}

	/**
	 * Method 'setIdTipoHabitacion'.
	 *
	 * @param idTipoHabitacion
	 *            String
	 * @return
	 */

	public void setIdTipoHabitacion(String idTipoHabitacion) {
		this.idTipoHabitacion = idTipoHabitacion;
	}

	/**
	 * Method 'getIndivdobl'.
	 *
	 * @return String
	 */

	public String getIndivdobl() {
		return this.indivdobl;
	}

	/**
	 * Method 'setIndivdobl'.
	 *
	 * @param indivdobl
	 *            String
	 * @return
	 */

	public void setIndivdobl(String indivdobl) {
		this.indivdobl = indivdobl;
	}

	/**
	 * Method 'getDescTipoEs'.
	 *
	 * @return String
	 */

	public String getDescTipoEs() {
		return this.descTipoEs;
	}

	/**
	 * Method 'setDescTipoEs'.
	 *
	 * @param descTipoEs
	 *            String
	 * @return
	 */

	public void setDescTipoEs(String descTipoEs) {
		this.descTipoEs = descTipoEs;
	}

	/**
	 * Method 'getConsalon'.
	 *
	 * @return Integer
	 */

	public Integer getConsalon() {
		return this.consalon;
	}

	/**
	 * Method 'setConsalon'.
	 *
	 * @param consalon
	 *            Integer
	 * @return
	 */

	public void setConsalon(Integer consalon) {
		this.consalon = consalon;
	}

	/**
	 * Method 'getNumPlazas'.
	 *
	 * @return Long
	 */

	public Long getNumPlazas() {
		return this.numPlazas;
	}

	/**
	 * Method 'setNumPlazas'.
	 *
	 * @param numPlazas
	 *            Long
	 * @return
	 */

	public void setNumPlazas(Long numPlazas) {
		this.numPlazas = numPlazas;
	}

	/**
	 * Method 'getFechaModificacion'.
	 *
	 * @return java.util.Date
	 */

	@JsonSerialize(using = JsonDateSerializer.class)
	public Date getFechaModificacion() {
		return this.fechaModificacion;
	}

	/**
	 * Method 'setFechaModificacion'.
	 *
	 * @param fechaModificacion
	 *            java.util.Date
	 * @return
	 */
	@JsonDeserialize(using = JsonDateDeserializer.class)
	public void setFechaModificacion(Date fechaModificacion) {
		this.fechaModificacion = fechaModificacion;
	}

	/**
	 * Method 'getNomUsuario'.
	 *
	 * @return String
	 */

	public String getNomUsuario() {
		return this.nomUsuario;
	}

	/**
	 * Method 'setNomUsuario'.
	 *
	 * @param nomUsuario
	 *            String
	 * @return
	 */

	public void setNomUsuario(String nomUsuario) {
		this.nomUsuario = nomUsuario;
	}

	/**
	 * Method 'getBaja'.
	 *
	 * @return Integer
	 */

	public Integer getBaja() {
		return this.baja;
	}

	/**
	 * Method 'setBaja'.
	 *
	 * @param baja
	 *            Integer
	 * @return
	 */

	public void setBaja(Integer baja) {
		this.baja = baja;
	}

	/**
	 * Method 'getDescTipoEu'.
	 *
	 * @return String
	 */

	public String getDescTipoEu() {
		return this.descTipoEu;
	}

	/**
	 * Method 'setDescTipoEu'.
	 *
	 * @param descTipoEu
	 *            String
	 * @return
	 */

	public void setDescTipoEu(String descTipoEu) {
		this.descTipoEu = descTipoEu;
	}

	/**
	 * Method 'getFechaRegistro'.
	 *
	 * @return java.util.Date
	 */

	@JsonSerialize(using = JsonDateSerializer.class)
	public Date getFechaRegistro() {
		return this.fechaRegistro;
	}

	/**
	 * Method 'setFechaRegistro'.
	 *
	 * @param fechaRegistro
	 *            java.util.Date
	 * @return
	 */
	@JsonDeserialize(using = JsonDateDeserializer.class)
	public void setFechaRegistro(Date fechaRegistro) {
		this.fechaRegistro = fechaRegistro;
	}

	/**
	 * Method 'getUsuarioRegistro'.
	 *
	 * @return String
	 */

	public String getUsuarioRegistro() {
		return this.usuarioRegistro;
	}

	/**
	 * Method 'setUsuarioRegistro'.
	 *
	 * @param usuarioRegistro
	 *            String
	 * @return
	 */

	public void setUsuarioRegistro(String usuarioRegistro) {
		this.usuarioRegistro = usuarioRegistro;
	}

	/**
	 * Method 'getFechaUltmodificacion'.
	 *
	 * @return java.util.Date
	 */

	@JsonSerialize(using = JsonDateSerializer.class)
	public Date getFechaUltmodificacion() {
		return this.fechaUltmodificacion;
	}

	/**
	 * Method 'setFechaUltmodificacion'.
	 *
	 * @param fechaUltmodificacion
	 *            java.util.Date
	 * @return
	 */
	@JsonDeserialize(using = JsonDateDeserializer.class)
	public void setFechaUltmodificacion(Date fechaUltmodificacion) {
		this.fechaUltmodificacion = fechaUltmodificacion;
	}

	/**
	 * Method 'getUsuarioUltmodificacion'.
	 *
	 * @return String
	 */

	public String getUsuarioUltmodificacion() {
		return this.usuarioUltmodificacion;
	}

	/**
	 * Method 'setUsuarioUltmodificacion'.
	 *
	 * @param usuarioUltmodificacion
	 *            String
	 * @return
	 */

	public void setUsuarioUltmodificacion(String usuarioUltmodificacion) {
		this.usuarioUltmodificacion = usuarioUltmodificacion;
	}

	/**
	 * Method 'getAb6324s00s'.
	 *
	 * @return List
	 */
	@JsonIgnore
	public List<HabitacionAlojamiento> getListHabitacionAlojamiento() {
		return this.listHabitacionAlojamiento;
	}

	/**
	 * Method 'setAb6324s00s'.
	 *
	 * @param ab6324s00s
	 *            List
	 * @return
	 */
	public void setListHabitacionAlojamiento(List<HabitacionAlojamiento> ab6324s00s) {
		this.listHabitacionAlojamiento = ab6324s00s;
	}

	/**
	 * Method 'getAb6322s00s'.
	 *
	 * @return List
	 */
	@JsonIgnore
	public List<Habitacion> getListHabitacion() {
		return this.listHabitacion;
	}

	/**
	 * Method 'setAb6322s00s'.
	 *
	 * @param ab6322s00s
	 *            List
	 * @return
	 */
	public void setListHabitacion(List<Habitacion> ab6322s00s) {
		this.listHabitacion = ab6322s00s;
	}

	/**
	 * Intended only for logging and debugging.
	 * 
	 * Here, the contents of every main field are placed into the result.
	 * 
	 * @return String
	 */
	@Override
	public String toString() {
		StringBuilder result = new StringBuilder();
		result.append(this.getClass().getName()).append(" Object { ");
		result.append(" [ idTipoHabitacion: ").append(this.idTipoHabitacion).append(" ]");
		result.append(", [ indivdobl: ").append(this.indivdobl).append(" ]");
		result.append(", [ descTipoEs: ").append(this.descTipoEs).append(" ]");
		result.append(", [ consalon: ").append(this.consalon).append(" ]");
		result.append(", [ numPlazas: ").append(this.numPlazas).append(" ]");
		result.append(", [ fechaModificacion: ").append(this.fechaModificacion).append(" ]");
		result.append(", [ nomUsuario: ").append(this.nomUsuario).append(" ]");
		result.append(", [ baja: ").append(this.baja).append(" ]");
		result.append(", [ descTipoEu: ").append(this.descTipoEu).append(" ]");
		result.append(", [ fechaRegistro: ").append(this.fechaRegistro).append(" ]");
		result.append(", [ usuarioRegistro: ").append(this.usuarioRegistro).append(" ]");
		result.append(", [ fechaUltmodificacion: ").append(this.fechaUltmodificacion).append(" ]");
		result.append(", [ usuarioUltmodificacion: ").append(this.usuarioUltmodificacion).append(" ]");
		result.append("}");
		return result.toString();
	}

}
