package com.ejie.ab63.service;

import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;
import org.springframework.transaction.annotation.Transactional;

import com.ejie.ab63.dao.ExpedientesRelacionadosDao;
import com.ejie.ab63.model.ExpedientesRelacionados;

/**
 * Ab6343s00ServiceImpl  
 * 
 *  
 */

@Service(value = "ExpedientesRelacionadosService")
public class ExpedientesRelacionadosServiceImpl implements ExpedientesRelacionadosService {

	@Autowired
	private ExpedientesRelacionadosDao expedientesRelacionadosDao;

	/**
	 * Inserts a single row in the Ab6343s00 table.
	 *
	 * @param ab6343s00
	 *            Ab6343s00
	 * @return Ab6343s00
	 */
	@Transactional(rollbackFor = Throwable.class)
	public ExpedientesRelacionados add(ExpedientesRelacionados expedienteRelacionado) {
		return this.expedientesRelacionadosDao.add(expedienteRelacionado);
	}

}
