package com.ejie.ab63.service.busquedas;

import java.util.List;

import com.ejie.ab63.model.busquedas.Busquedas;
import com.ejie.x38.dto.JQGridRequestDto;

/**
 * ListadosService  
 * 
 *  
 */

public interface BusquedasService {

	/**
	 * Finds a single row in the Busquedas table.
	 *
	 * @param busquedas
	 *            Busquedas
	 * @return Busquedas
	 */
	Busquedas find(Busquedas busquedas);

	/**
	 * Finds rows in the Busquedas table using like.
	 *
	 * @param busquedas
	 *            Busquedas
	 * @param jqGridRequestDto
	 *            JQGridRequestDto
	 * @param startsWith
	 *            Boolean
	 * @return List<Listados>
	 */
	List<Busquedas> findAllLike(Busquedas listados, JQGridRequestDto jqGridRequestDto, Boolean startsWith);

}
