<%@include file="/WEB-INF/includeTemplate.inc"%>	
<%@page import="java.util.*" %> 
<%@taglib prefix="c" uri="http://java.sun.com/jsp/jstl/core"%>
<%@taglib prefix="form" uri="/WEB-INF/tld/spring-form.tld"%>

<section>
	<div class="container"> 
		<!-- Incluimos la jsp que contiene las pestanas -->
		<jsp:include page="../pestanas.jsp" />
		
		<div id="id_capa"></div>
		<form:form id="formDatosEspecificos" modelAttribute="filter">
			<input type="hidden" name="idEstablecimiento" value="${filter.idEstablecimiento}"/>
			<input type="hidden" name="tipoEstablecimiento.idTipoEstablecimiento" value="${filter.tipoEstablecimiento.idTipoEstablecimiento}"/>
			<input type="hidden" name="establecimientoData.idEstablecimiento" value="${filter.establecimientoData.idEstablecimiento}"/>
			<div id="feedbackDatosEspecificos"></div>
			<div id="accordionExample" class="rup_accordion">
			
			<!-- **********************CARACTERISTICAS ACTIVIDAD********************** -->
			
				<h1><a><spring:message code="establecimiento.caracteristicas"/></a></h1>
				<div class="form-group accordion_height_auto">
					<label><spring:message code="formDatosEspecificos.caracteristicas"/></label><hr>
					
					<div class="row">						
						<div class="col-xs-3 form-group">
						<label><spring:message code="formDatosEspecificos.edificioCatalogado"/></label>
						<input id="comparteHidden" type="hidden" value="${filter.establecimientoData.edificioCatalogado}"/>
						<c:choose>
							<c:when test="${filter.establecimientoData.edificioCatalogado eq 1}">
								<input type="radio" name="establecimientoData.edificioCatalogado" value="1" checked="checked"/><spring:message code="establecimiento.si"/>
								<input type="radio" name="establecimientoData.edificioCatalogado" value="0"/><spring:message code="establecimiento.no"/>
							</c:when>
							<c:otherwise>
								<input type="radio" name="establecimientoData.edificioCatalogado" value="1"/><spring:message code="establecimiento.si"/>
								<input type="radio" name="establecimientoData.edificioCatalogado" value="0" checked="checked"/><spring:message code="establecimiento.no"/>
							</c:otherwise>
						</c:choose>
						</div>
					</div>
					
					<label><spring:message code="formDatosEspecificos.construccionRenovacion"/></label><hr>
					
					<div class="row">
<!-- 						<div class="col-xs-3 form-group"> -->
<%-- 							<label><spring:message code="establecimiento.anioConstruccion"/></label> --%>
<%-- 							<input type="text" class="form-control" name="establecimientoData.fechaAnoConstruccion" id="fechaAnoConstruccion" value="${filter.establecimientoData.fechaAnoConstruccion}" maxlength="4"/> --%>
<!-- 						</div> -->
						<div class="col-xs-3 form-group">
							<label for="fechaAnoRenovacion"><spring:message code="formDatosEspecificos.anyoRenovacion"/></label>
							<input type="text" class="form-control" name="establecimientoData.fechaAnoRenovacion" id="fechaAnoRenovacion" value="${filter.establecimientoData.fechaAnoRenovacion}" maxlength="4"/>
						</div>
<!-- 						<div class="col-xs-3 form-group"> -->
<%-- 							<label><spring:message code="establecimiento.fechaApertura"/></label> --%>
<%-- 							<input type="text" class="form-control" name="fechaApertura" id="fechaApertura" value="${filter.fechaApertura}" maxlength="8"/> --%>
<!-- 						</div> -->
					</div>
					
					<label><spring:message code="formDatosEspecificos.resumenEstructuraEspCom"/></label><hr>
					<div class="row">
						<div class="col-xs-3 form-group">
							<label><spring:message code="formDatosEspecificos.salones"/></label>
							<input type="text" class="form-control" name="establecimientoData.numSalones" id="numSalones" value="${filter.establecimientoData.numSalones}" maxlength="2" readonly="readonly"/>
						</div>
						<div class="col-xs-3 form-group">
							<label><spring:message code="formDatosEspecificos.comedores"/></label>
							<input type="text" class="form-control" name="establecimientoData.numComedores" id="numComedores" value="${filter.establecimientoData.numComedores}" maxlength="2" readonly="readonly"/>
						</div>
						<div class="col-xs-3 form-group">
							<label><spring:message code="formDatosEspecificos.salonesComedor"/></label>
							<input type="text" class="form-control" name="establecimientoData.numSalonesComedor" id="numSalonesComedor" value="${filter.establecimientoData.numSalonesComedor}" maxlength="2" readonly="readonly"/>
						</div>
					</div>
					
					
					<label><spring:message code="formDatosEspecificos.resumenEstructuraAloj"/></label><hr>
					
					<div class="row">
						<div class="col-xs-3 form-group">
							<label for="numUnidadesAlojamiento" class="required"><spring:message code="formDatosEspecificos.totalUnidades"/></label>
							<input type="text" class="form-control" name="numUnidadesAlojamiento" id="numUnidadesAlojamiento" value="${filter.numUnidadesAlojamiento}" maxlength="5"/>
						</div>
					</div>
					
					<div class="row">
						<div class="col-xs-3 form-group">
							<label><spring:message code="formDatosEspecificos.numApartamentos"/></label>
							<input type="text" class="form-control" name="establecimientoData.numApartamentos" id="numApartamentos" value="${filter.establecimientoData.numApartamentos}" maxlength="3" readonly="readonly"/>
						</div>
						<div class="col-xs-3 form-group">
							<label><spring:message code="formDatosEspecificos.numEstudios"/></label>
							<input type="text" class="form-control" name="establecimientoData.numEstudios" id="numEstudios" value="${filter.establecimientoData.numEstudios}" maxlength="3" readonly="readonly"/>
						</div>
					</div>
					
					<div class="row">
						<div class="col-xs-3 form-group">
							<label for="numPlazas" class="required"><spring:message code="formDatosEspecificos.totalPlazas"/></label>
							<input type="text" class="form-control" name="establecimientoData.numPlazas" id="numPlazas" value="${filter.establecimientoData.numPlazas}" maxlength="4"/>
						</div>
					</div>
					
<!-- 					<div class="row"> -->
<!-- 						<div class="col-xs-3 form-group"> -->
<%-- 							<label for="numPlazas" class="required"><spring:message code="formDatosEspecificos.totalPlazas"/></label> --%>
<!-- 							<input type="checkbox" name="" value="1"/>Inicio actividad tramitacin (NO GUARDA) -->
							
<!-- 						</div> -->
<!-- 						<div class="col-xs-3 form-group"> -->
<!-- 							<label for="" class="required">Total Plazas Previstas (NO GUARDADO)</label> -->
<!-- 							<input type="text" class="form-control" name="" id="" value="" maxlength="4"/> -->
<!-- 						</div> -->
<!-- 					</div> -->
				</div>
				
				<!-- **********************ESTRUCTURA********************** -->
				
				<h1><a><spring:message code="establecimiento.estructura"/></a></h1>
				<div class="form-group accordion_height_auto">
				
				
					<div class="rup_accordion">
						<h1><a><spring:message code="formDatosEspecificos.aptosEstudios"/></a></h1>
						<div class="form-group accordion_height_auto">
							<label><spring:message code="formDatosEspecificos.resumen"/></label><hr>
							
							<div class="botoneraTabla">
								<button class="btn btn-default btn-circle" id="btnNuevoAptoEstudio" type="button" data-toggle="tooltip" data-placement="top" title='<spring:message code="tablasmaestras.tipoEstablecimiento.nuevo"/>'><i class="fa fa-plus"></i></button>
								<button class="btn btn-default btn-circle" id="btnBorrarAptoEstudio" type="button" data-toggle="tooltip" data-placement="top" title='<spring:message code="tablasmaestras.tipoEstablecimiento.borrar"/>'><i class="fa fa-trash"></i></button>
								<button class="btn btn-default btn-circle" id="btnEditarAptoEstudio" type="button" data-toggle="tooltip" data-placement="top" title='<spring:message code="tablasmaestras.tipoEstablecimiento.editar"/>'><i class="fa fa-edit"></i></button>
							</div>
							<div id="alojamientosResumenFeedback"></div>
							<div id="apartamentosEstudios_feedback"></div>
					
							<table id="apartamentosEstudios" class="table table-striped table-bordered"
								data-url-base="/ab63WebAppWar/alojamiento"
								data-filter-form="#apartamentosEstudios_filter_form"
								cellspacing="0" width="100%">
								<thead>
									<tr>
										<th data-col-prop="idAlojamiento" data-col-sidx="IDALOJAMIENTO">idAloj</th>
										<th data-col-prop="descTipoAlojamiento" data-col-sidx="TIPOALOJAMIENTO"><spring:message code="formDatosEspecificos.tipo"/></th>
										<th data-col-prop="descNombreAlojamiento" data-col-sidx="DESCNOMBREALOJAMIENTO"><spring:message code="establecimiento.nombre"/></th>
										<th data-col-prop="capacidad" data-col-sidx="CAPACIDAD"><spring:message code="formDatosEspecificos.capacidad"/></th>
										<th data-col-prop="numPlazasDormitorio" data-col-sidx="NUMPLAZASDORMITORIO"><spring:message code="formDatosEspecificos.plazasDomitorio"/></th>
										<th data-col-prop="numPlazasConvertibles" data-col-sidx="NUMPLAZASCONVERTIBLES"><spring:message code="formDatosEspecificos.plazasConvertibles"/></th>
										<th data-col-prop="numUnidades" data-col-sidx="NUMUNIDADES"><spring:message code="formDatosEspecificos.unidades"/></th>
										<th data-col-prop="totalPlazas" data-col-sidx="NUMPLAZASDORMITORIO"><spring:message code="formDatosEspecificos.totalPlazas"/></th>					            
									</tr>
								</thead>
								
								<tfoot hidden>
			        				<tr>
							            <th>idAlojamiento</th>
							            <th>tipoAlojamiento</th>
							            <th>descNombreAlojamiento</th>
							            <th>capacidad</th>
							            <th>numPlazasDormitorio</th>
							            <th>numPlazasConvertibles</th>
							            <th>numUnidades</th>
							            <th>totalPlazas</th>
			          				</tr>
			        			</tfoot>
							</table>
							
							
							<label><spring:message code="formDatosEspecificos.detalle"/></label><hr>
							
							<div class="botoneraTabla">
								<button class="btn btn-default btn-circle" id="btnNuevoAptoEstudioDetalle" type="button" data-toggle="tooltip" data-placement="top" title='<spring:message code="tablasmaestras.tipoEstablecimiento.nuevo"/>'><i class="fa fa-plus"></i></button>
								<button class="btn btn-default btn-circle" id="btnBorrarAptoEstudioDetalle" type="button" data-toggle="tooltip" data-placement="top" title='<spring:message code="tablasmaestras.tipoEstablecimiento.borrar"/>'><i class="fa fa-trash"></i></button>
								<button class="btn btn-default btn-circle" id="btnEditarAptoEstudioDetalle" type="button" data-toggle="tooltip" data-placement="top" title='<spring:message code="tablasmaestras.tipoEstablecimiento.editar"/>'><i class="fa fa-edit"></i></button>
							</div>
							<div id="alojamientosDetalleFeedback"></div>
							<div id="apartamentosEstudiosDetalle_feedback"></div>
					
							<table id="apartamentosEstudiosDetalle" class="table table-striped table-bordered"
								data-url-base="/ab63WebAppWar/alojamiento"
								data-filter-form="#apartamentosEstudiosDetalle_filter_form"
								cellspacing="0" width="100%">
								<thead>
									<tr>
										<th data-col-prop="idAlojamiento" data-col-sidx="IDALOJAMIENTO"></th>
										<th data-col-prop="numAlojamiento" data-col-sidx="NUMALOJAMIENTO"><spring:message code="formDatosEspecificos.numAlojamiento"/></th>
										<th data-col-prop=numSupTotal data-col-sidx="NUMSUPTOTAL"><spring:message code="formDatosEspecificos.numSupTotal"/></th>
<%-- 										<th data-col-prop="capacidadTotal" data-col-sidx="CAPACIDADTOTAL"><spring:message code="formDatosEspecificos.capacidadTotal"/></th> --%>
										<th data-col-prop="numPlazasDormitorio" data-col-sidx="NUMPLAZASDORMITORIO"><spring:message code="formDatosEspecificos.capacidadDorm"/></th>
										<th data-col-prop="numPlazasConvertibles" data-col-sidx="NUMPLAZASCONVERTIBLES"><spring:message code="formDatosEspecificos.capacidadSupletorias"/></th>
										<th data-col-prop="descAccesibilidad" data-col-sidx="ACCESIBILIDAD"><spring:message code="formDatosEspecificos.accesibilidad"/></th>
										<th data-col-prop="otrasCaracteristicas" data-col-sidx="OTRASCARACTERISTICAS"><spring:message code="formDatosEspecificos.otrasCaracteristicas"/></th>					            
									</tr>
								</thead>
								
								<tfoot hidden>
			        				<tr>
							            <th>idAlojamiento</th>
							            <th>numAlojamiento</th>
							            <th>numSupTotal</th>
<!-- 							            <th>capacidadTotal</th> -->
							            <th>numPlazasDormitorio</th>
							            <th>numPlazasConvertibles</th>
							            <th>accesibilidad</th>
							            <th>otrasCaracteristicas</th>
			          				</tr>
			        			</tfoot>
							</table>
						</div>
					</div>
				</div>
				
				<!-- **********************ESPACIOS COMUNES********************** -->
				
				<h1><a><spring:message code="establecimiento.espaciosComunes"/></a></h1>
				<div class="form-group accordion_height_auto">
				
				
					<div class="rup_accordion">
						<h1><a><spring:message code="formDatosEspecificos.espComunesComedoresSalones"/></a></h1>
						<div class="form-group accordion_height_auto">
							<label><spring:message code="formDatosEspecificos.espComunesComedoresSalones"/></label><hr>
							<div class="botoneraTabla">
								<button class="btn btn-default btn-circle" id="btnNuevoSalonComedor" type="button" data-toggle="tooltip" data-placement="top" title='<spring:message code="tablasmaestras.tipoEstablecimiento.nuevo"/>'><i class="fa fa-plus"></i></button>
								<button class="btn btn-default btn-circle" id="btnBorrarSalonComedor" type="button" data-toggle="tooltip" data-placement="top" title='<spring:message code="tablasmaestras.tipoEstablecimiento.borrar"/>'><i class="fa fa-trash"></i></button>
								<button class="btn btn-default btn-circle" id="btnEditarSalonComedor" type="button" data-toggle="tooltip" data-placement="top" title='<spring:message code="tablasmaestras.tipoEstablecimiento.editar"/>'><i class="fa fa-edit"></i></button>
							</div>
					
							<div id="salonesComedores_feedback"></div>
						
							<table id="salonesComedores" class="table table-striped table-bordered"
									data-url-base="/ab63WebAppWar/salonComedor"
									data-filter-form="#salonesComedores_filter_form"
									cellspacing="0" width="100%">
									<thead>
										<tr>
											<th data-col-prop="idSalonComedor" data-col-sidx="IDSALONCOMEDOR"></th>
											<th data-col-prop="descTipo" data-col-sidx="IDTIPO"><spring:message code="formDatosEspecificos.tipo"/></th>
											<th data-col-prop="descNombre" data-col-sidx="DESCNOMBRE"><spring:message code="establecimiento.nombre"/></th>
											<th data-col-prop="numSuperficie" data-col-sidx="NUMSUPERFICIE"><spring:message code="formDatosEspecificos.superficie"/></th>
											<th data-col-prop="habilitado" data-col-sidx="HABILITADO"><spring:message code="formDatosEspecificos.habilitadoComo"/></th>																	            
								       </tr>
								    </thead>
								    
								    <tfoot hidden>
			        				<tr>
							            <th>idSalonComedor</th>
							            <th>descTipo</th>
							            <th>descNombre</th>
							            <th>numSuperficie</th>
							            <th>habilitado</th>
							            
			          				</tr>
			        			</tfoot>
							</table>
						</div>
					</div>
					
					<div class="rup_accordion">
						<h1><a><spring:message code="formDatosEspecificos.banyosGenerales"/></a></h1>
						<div class="form-group accordion_height_auto">
							<label><spring:message code="formDatosEspecificos.resumen"/></label><hr>
							
							<div class="botoneraTabla">
								<button class="btn btn-default btn-circle" id="btnNuevoAseo" type="button" data-toggle="tooltip" data-placement="top" title='<spring:message code="tablasmaestras.tipoEstablecimiento.nuevo"/>'><i class="fa fa-plus"></i></button>
								<button class="btn btn-default btn-circle" id="btnBorrarAseo" type="button" data-toggle="tooltip" data-placement="top" title='<spring:message code="tablasmaestras.tipoEstablecimiento.borrar"/>'><i class="fa fa-trash"></i></button>
								<button class="btn btn-default btn-circle" id="btnEditarAseo" type="button" data-toggle="tooltip" data-placement="top" title='<spring:message code="tablasmaestras.tipoEstablecimiento.editar"/>'><i class="fa fa-edit"></i></button>
							</div>
							<div id="aseosResumenFeedback"></div>
							<div id="aseos_feedback"></div>
						
							<table id="aseos" class="table table-striped table-bordered"
									data-url-base="/ab63WebAppWar/aseo"
									data-filter-form="#aseos_filter_form"
									cellspacing="0" width="100%">
									<thead>
										<tr>
											<th data-col-prop="idAseo" data-col-sidx="IDASEO"></th>
											<th data-col-prop="ubicacion" data-col-sidx="UBICACION"><spring:message code="formDatosEspecificos.ubicacion"/></th>
											<th data-col-prop="numUnidades" data-col-sidx="NUMUNIDADES"><spring:message code="formDatosEspecificos.nAseos"/></th>
											<th data-col-prop="descTipoAseo" data-col-sidx="AB6316S00IDTIPOASEO"><spring:message code="formDatosEspecificos.tipoAseo"/></th>
											<th data-col-prop="numUnidadesAloj" data-col-sidx="NUMUNIDADESALOJ"><spring:message code="formDatosEspecificos.numUnidadesAlojamiento"/></th>
																										            
								       </tr>
								    </thead>
								    
								    <tfoot hidden>
			        				<tr>
							            <th>idAseo</th>
							            <th>ubicacion</th>
							            <th>numUnidades</th>
							            <th>descTipoAseo</th>		
							            <th>numUnidadesAloj</th>			            
			          				</tr>
			        			</tfoot>
							</table>
							
							<label><spring:message code="formDatosEspecificos.detalle"/></label><hr>
							
							<div class="botoneraTabla">
								<button class="btn btn-default btn-circle" id="btnNuevoAseoDetalle" type="button" data-toggle="tooltip" data-placement="top" title='<spring:message code="tablasmaestras.tipoEstablecimiento.nuevo"/>'><i class="fa fa-plus"></i></button>
								<button class="btn btn-default btn-circle" id="btnBorrarAseoDetalle" type="button" data-toggle="tooltip" data-placement="top" title='<spring:message code="tablasmaestras.tipoEstablecimiento.borrar"/>'><i class="fa fa-trash"></i></button>
								<button class="btn btn-default btn-circle" id="btnEditarAseoDetalle" type="button" data-toggle="tooltip" data-placement="top" title='<spring:message code="tablasmaestras.tipoEstablecimiento.editar"/>'><i class="fa fa-edit"></i></button>
							</div>
							<div id="aseosDetalleFeedback"></div>
							<div id="aseosDetalle_feedback"></div>
						
							<table id="aseosDetalle" class="table table-striped table-bordered"
									data-url-base="/ab63WebAppWar/aseo"
									data-filter-form="#aseosDetalle_filter_form"
									cellspacing="0" width="100%">
									<thead>
										<tr>
											<th data-col-prop="idAseo" data-col-sidx="IDASEO"></th>
											<th data-col-prop="numAseo" data-col-sidx="NUMASEO"><spring:message code="formDatosEspecificos.numAseo"/></th>
											<th data-col-prop="descTipoAseo" data-col-sidx="AB6316S00IDTIPOASEO"><spring:message code="formDatosEspecificos.tipoAseo"/></th>
											<th data-col-prop="numSupTotal" data-col-sidx="NUMSUPTOTAL"><spring:message code="formDatosEspecificos.numSupTotal"/></th>																								            
								       </tr>
								    </thead>
								    
								    <tfoot hidden>
			        				<tr>
							            <th>idAseo</th>
							            <th>numAseo</th>
							            <th>descTipoAseo</th>
							            <th>numSupTotal</th>			            
			          				</tr>
			        			</tfoot>
							</table>
						</div>
					</div>	
				</div>
				
				<!-- **********************DISPENSAS********************** -->
				
				<h1><a><spring:message code="establecimiento.dispensas"/></a></h1>
				<div class="form-group accordion_height_auto">
					<div class="row">
											
						<jsp:include page="dispensasTable.jsp"></jsp:include>

							
							<c:if test="${filter.establecimientoData.dispensaEstablecimiento.dispensado eq 1}">
								
								<label><spring:message code="formDatosEspecificos.factorComp"/></label><hr>
																
								<div class="botoneraTabla">
									<button class="btn btn-default btn-circle" id="btnNuevaFactorComp" type="button" data-toggle="tooltip" data-placement="top" title='<spring:message code="tablasmaestras.tipoEstablecimiento.nuevo"/>'><i class="fa fa-plus"></i></button>
									<button class="btn btn-default btn-circle" id="btnBorrarFactorComp" type="button" data-toggle="tooltip" data-placement="top" title='<spring:message code="tablasmaestras.tipoEstablecimiento.borrar"/>'><i class="fa fa-trash"></i></button>
									<button class="btn btn-default btn-circle" id="btnEditarFactorComp" type="button" data-toggle="tooltip" data-placement="top" title='<spring:message code="tablasmaestras.tipoEstablecimiento.editar"/>'><i class="fa fa-edit"></i></button>
								</div>
								
								<div id="factorComp_feedback"></div>
									
								<table id="factorComp" class="table table-striped table-bordered"
										data-url-base="/ab63WebAppWar/factorCompensatorio"
										data-filter-form="#factorComp_filter_form"
										cellspacing="0" width="100%">
										<thead>
											<tr>
												<th data-col-prop="idFactorComp" data-col-sidx="IDFACTORCOMP">idFactorComp</th>
												<th data-col-prop="descripcion" data-col-sidx="DESCRIPCION"><spring:message code="formDatosEspecificos.descripcion"/></th>
												<th data-col-prop="descripcionEu" data-col-sidx="DESCRIPCIONEU"><spring:message code="formDatosEspecificos.descripcionEu"/></th>																            
									       </tr>
									    </thead>
									    
									    <tfoot hidden>
				        				<tr>
								            <th>idFactorComp</th>
								            <th>descripcion</th>
								            <th>descripcionEu</th>								            
				          				</tr>
				        			</tfoot>
								</table>
							</c:if>
						</div>
					</div>
				</div>
				
				
			</div>
		</form:form>
		<jsp:include page="includesDatosEspecificosH/apartamentosEstudiosFilterForm.jsp"></jsp:include>
		<jsp:include page="includesDatosEspecificosH/apartamentosEstudiosDetalleFilterForm.jsp"></jsp:include>
		<jsp:include page="includesDatosEspecificosH/salonesComedoresFilterForm.jsp"></jsp:include>
		<jsp:include page="includesDatosEspecificosH/aseosFilterForm.jsp"></jsp:include>
		<jsp:include page="includesDatosEspecificosH/aseosDetalleFilterForm.jsp"></jsp:include>
		<jsp:include page="includesDatosEspecificosH/factorCompFilterForm.jsp"></jsp:include>
		<jsp:include page="includesDatosEspecificosH/dispensasFilterForm.jsp"></jsp:include>
			
	</div>
	
	<div id="space"></div>
</section>
<jsp:include page="includesDatosEspecificosH/apartamentosEstudiosFormEdit.jsp"></jsp:include>
<jsp:include page="includesDatosEspecificosH/apartamentosEstudiosDetalleFormEdit.jsp"></jsp:include>
<jsp:include page="includesDatosEspecificosH/salonesComedoresFormEdit.jsp"></jsp:include>
<jsp:include page="includesDatosEspecificosH/aseosFormEdit.jsp"></jsp:include>
<jsp:include page="includesDatosEspecificosH/aseosDetalleFormEdit.jsp"></jsp:include>
<jsp:include page="includesDatosEspecificosH/factorCompFormEdit.jsp"></jsp:include>
<jsp:include page="includesDatosEspecificosH/dispensasFormEdit.jsp"></jsp:include>