<%@ page language="java" contentType="text/html; charset=UTF-8" pageEncoding="UTF-8"%>
<%@include file="/WEB-INF/includeTemplate.inc"%>
<%@taglib prefix="form" uri="/WEB-INF/tld/spring-form.tld"%>
<%@taglib prefix="tiles" uri="/WEB-INF/tld/tiles-jsp.tld"%>
<%@page import="java.util.List,org.springframework.validation.ObjectError"%>
<%@ taglib prefix="c" uri="http://java.sun.com/jsp/jstl/core"%>

<div id="cocinas_detail_div" class="rup-table-formEdit-detail">
	<div id ="cocinas_detail_navigation"></div>
	<div class="ui-dialog-content ui-widget-content">
		<form id="cocinas_detail_form">
			<div id ="cocinas_detail_feedback"></div>
			<input type="hidden" id="modalIdEstCocina" name="establecimientoData.idEstablecimiento"/>
			<input type="hidden" id="modalIdCocina" name="idSalonComedor"/>
			<input type="hidden" name="idTipo" value="D"/>
			<div class="row">
				<div class="col-xs-6 form-group">
					<label for="modalNombreCocina" class="required"><spring:message code="establecimiento.nombre"/></label>
					<input id="modalNombreCocina" name="descNombre" class="form-control" maxlength="50"/>
				</div>
				<div class="col-xs-2 form-group">
					<label for="modalSuperficieCocina"><spring:message code="formDatosEspecificos.superficie"/></label>
					<input type="text" class="form-control" name="numSuperficie" id="modalSuperficieCocina" maxlength="7"/>
				</div>
			</div>				
		</form>
	</div>
				
	<div class="rup-table-buttonpane ui-widget-content ui-helper-clearfix">
		<div class="ui-dialog-buttonset rup_tableEdit_buttonsContainerResponsive">
		
			
						
			<button id="cocinas_detail_button_save" class="btn btn-outline-primary rup_tableEdit_buttonsResponsive" type="button">
				<spring:message code="save" />
			</button>
			
			<button id="cocinas_detail_button_cancel"
				 class="btn btn-outline-primary rup_tableEdit_buttonsResponsive" type="button"><spring:message code="cancel" />
			</button>
		</div>
	</div>
</div>