<%@ page language="java" contentType="text/html; charset=UTF-8" pageEncoding="UTF-8"%>
<%@include file="/WEB-INF/includeTemplate.inc"%>
<%@taglib prefix="form" uri="/WEB-INF/tld/spring-form.tld"%>
<%@taglib prefix="tiles" uri="/WEB-INF/tld/tiles-jsp.tld"%>
<%@page import="java.util.List,org.springframework.validation.ObjectError"%>
<%@ taglib prefix="c" uri="http://java.sun.com/jsp/jstl/core"%>

<div id="aseosDetalle_detail_div" class="rup-table-formEdit-detail">
	<div id ="aseosDetalle_detail_navigation"></div>
	<div class="ui-dialog-content ui-widget-content">
		<form id="aseosDetalle_detail_form">
			<div id ="aseosDetalle_detail_feedback"></div>
			<input type="hidden" id="modalIdEstAseoDetalle" name="establecimientoData.idEstablecimiento"/>
			<input type="hidden" id="modalIdAseoDetalle" name="idAseo"/>
			<input type="hidden" id="modalTipoRegistroAseoDetalle" name="tipoRegistro" value="0"/>
			
			<div class="row">
				<div class="col-xs-4 form-group">
					<label for="comboTipoAseoComunesDetalle" class="required"><spring:message code="formDatosEspecificos.tipoAseo"/></label>
					<select id="comboTipoAseoComunesDetalle" class="form-control" name="tipoAseo.idTipoAseo"></select>
				</div>
			</div>
			
			<div class="row">
				<div class="col-xs-3 form-group">
					<label for="modalNumAseo" class="required"><spring:message code="formDatosEspecificos.numAseo"/></label>
					<input type="text" class="form-control" name="numAseo" id="modalNumAseo" maxlength="8"/>
				</div>
				<div class="col-xs-3 form-group">
					<label><spring:message code="formDatosEspecificos.numSupTotal"/></label>
					<input type="text" class="form-control" name="numSupTotal" id="modalNumSupTotalAseoDetalle"  maxlength="7"/>
				</div>
			</div>
					
		</form>
	</div>
				
	<div class="rup-table-buttonpane ui-widget-content ui-helper-clearfix">
		<div class="ui-dialog-buttonset rup_tableEdit_buttonsContainerResponsive">
		
			
						
			<button id="aseosDetalle_detail_button_save" class="btn btn-outline-primary rup_tableEdit_buttonsResponsive" type="button">
				<spring:message code="save" />
			</button>
			
			<button id="aseosDetalle_detail_button_cancel"
				 class="btn btn-outline-primary rup_tableEdit_buttonsResponsive" type="button"><spring:message code="cancel" />
			</button>
		</div>
	</div>
</div>