<%@ page language="java" contentType="text/html; charset=UTF-8" pageEncoding="UTF-8"%>
<%@include file="/WEB-INF/includeTemplate.inc"%>
<%@taglib prefix="form" uri="/WEB-INF/tld/spring-form.tld"%>
<%@taglib prefix="tiles" uri="/WEB-INF/tld/tiles-jsp.tld"%>
<%@page import="java.util.List,org.springframework.validation.ObjectError"%>
<%@ taglib prefix="c" uri="http://java.sun.com/jsp/jstl/core"%>

<div id="suitesDetalle_detail_div" class="rup-table-formEdit-detail">
	<div id ="suitesDetalle_detail_navigation"></div>
	<div class="ui-dialog-content ui-widget-content">
		<form id="suitesDetalle_detail_form">
			<div id ="suitesDetalle_detail_feedback"></div>
			<input type="hidden" id="modalIdEstablecimientoSuiteDetalle" name="establecimientoData.idEstablecimiento"/>
			<input type="hidden" id="modalIdSuiteDetalle" name="idSuite"/>
			<input type="hidden" id="modalTipoRegistroSuiteDetalle" name="tipoRegistro" value="0"/>
			<div class="row">
				<div class="col-xs-3 form-group">
					<label for="modalNumSuiteDetalle" class="required"><spring:message code="formDatosEspecificos.numSuite"/></label>
					<input id="modalNumSuiteDetalle" name="numSuite" class="form-control" maxlength="8"/>
				</div>
				<div class="col-xs-3 form-group">
					<label for="modalNombreSuiteDetalle" class="required"><spring:message code="establecimiento.nombre"/></label>
					<input id="modalNombreSuiteDetalle" name="descNombre" class="form-control" maxlength="25"/>
				</div>
				<div class="col-xs-3 form-group">
					<label for="modalNumPlazasSuiteDetalle" class="required"><spring:message code="formEstructuraHabVivienda.plazas"/></label>
					<input id="modalNumPlazasSuiteDetalle" name="numPlazas" class="form-control" maxlength="4"/>
				</div>
				<div class="col-xs-3 form-group">
					<label for="modalNumSupTotalSuiteDetalle" class="required"><spring:message code="formDatosEspecificos.numSupTotal"/></label>
					<input id="modalNumSupTotalSuiteDetalle" name="numSupTotal" class="form-control" maxlength="7"/>
				</div>
			</div>
			
			<div class="row">
				<div class="col-xs-3 form-group">
					<label for="modalNumHabDobleSuiteDetalle" class="required"><spring:message code="formDatosEspecificos.numHabDoble"/></label>
					<input id="modalNumHabDobleSuiteDetalle" name="numHabDoble" class="form-control" maxlength="4"/>
				</div>
				<div class="col-xs-3 form-group">
					<label for="modalNumHabIndividualesSuiteDetalle" class="required"><spring:message code="formDatosEspecificos.numHabIndividuales"/></label>
					<input id="modalNumHabIndividualesSuiteDetalle" name="numHabIndividuales" class="form-control" maxlength="4"/>
				</div>
				<div class="col-xs-3 form-group">
					<label for="modalNumSalonesSuiteDetalle" class="required"><spring:message code="formDatosEspecificos.nSalones"/></label>
					<input id="modalNumSalonesSuiteDetalle" name="numSalones" class="form-control" maxlength="4"/>
				</div>
			
			</div>
			
			<div class="row">
				<div class="col-xs-3 form-group">
					<label for="modalSalonPrivadoSuite"><spring:message code="formDatosEspecificos.salonPrivado"/></label><br>
					<input type="radio" id="modalSalonPrivadoSuiteSi" name="salonPrivado" class="salonPrivadoSuite" value="1"/><spring:message code="formDatosEspecificos.si"/>
					<input type="radio" id="modalSalonPrivadoSuiteNo" name="salonPrivado" class="salonPrivadoSuite" value="0" checked="checked"/><spring:message code="formDatosEspecificos.no"/>
				</div>
				<div class="col-xs-3 form-group">
					<label for="modalNumSupSalonSuite"><spring:message code="formDatosEspecificos.supSalon"/></label>
					<input id="modalNumSupSalonSuite" name="numSupSalon" class="form-control" maxlength="7"/>
				</div>
				<div class="col-xs-3 form-group">
					<label for="modalTerrazaSuite"><spring:message code="formDatosEspecificos.Terraza"/></label><br>
					<input type="radio" id="modalTerrazaSuiteSi" name="terraza" class="terrazaSuite" value="1"/><spring:message code="formDatosEspecificos.si"/>
					<input type="radio" id="modalTerrazaSuiteNo" name="terraza" class="terrazaSuite" value="0" checked="checked"/><spring:message code="formDatosEspecificos.no"/>
				</div>
				<div class="col-xs-3 form-group">
					<label for="modalNumSupTerrazaSuite"><spring:message code="formDatosEspecificos.supTerraza"/></label>
					<input id="modalNumSupTerrazaSuite" name="numSupTerraza" class="form-control" maxlength="7"/>
				</div>
			</div>
			
			<div class="row">
				<div class="col-xs-3 form-group" class="required">
					<label for="modalAccesibilidadSuite"><spring:message code="formDatosEspecificos.accesibilidad"/></label><br>
					<input type="radio" id="modalAccesibilidadSuiteSi" name="accesibilidad" value="1"/><spring:message code="formDatosEspecificos.si"/>
					<input type="radio" id="modalAccesibilidadSuiteNo" name="accesibilidad" value="0" checked="checked"/><spring:message code="formDatosEspecificos.no"/>
				</div>
			</div>
			
			<div class="row">
				<div class="col-xs-12 form-group">					
					<div class="container row">
						<label  for="modalOtrasCaracteristicasSuite" class="label"><spring:message code="formDatosEspecificos.otrasCaracteristicas"/></label>
						<textarea data-autoresize="" id="modalOtrasCaracteristicasSuite" name="otrasCaracteristicas" class="form-control" style="height: 45px;" maxlength="300"></textarea>
						<span class="mark-length ml-auto text-black-50"></span>
					</div>
				</div>
			</div>
						
		</form>
	</div>
				
	<div class="rup-table-buttonpane ui-widget-content ui-helper-clearfix">
		<div class="ui-dialog-buttonset rup_tableEdit_buttonsContainerResponsive">
		
			
						
			<button id="suitesDetalle_detail_button_save" class="btn btn-outline-primary rup_tableEdit_buttonsResponsive" type="button">
				<spring:message code="save" />
			</button>
			
			<button id="suitesDetalle_detail_button_cancel"
				 class="btn btn-outline-primary rup_tableEdit_buttonsResponsive" type="button"><spring:message code="cancel" />
			</button>
		</div>
	</div>
</div>