<%@ page language="java" contentType="text/html; charset=UTF-8" pageEncoding="UTF-8"%>
<%@include file="/WEB-INF/includeTemplate.inc"%>
<%@taglib prefix="form" uri="/WEB-INF/tld/spring-form.tld"%>
<%@taglib prefix="tiles" uri="/WEB-INF/tld/tiles-jsp.tld"%>
<%@page import="java.util.List,org.springframework.validation.ObjectError"%>
<%@ taglib prefix="c" uri="http://java.sun.com/jsp/jstl/core"%>

<div id="parcelasDetalle_detail_div" class="rup-table-formEdit-detail">
	<div id ="parcelasDetalle_detail_navigation"></div>
	<div class="ui-dialog-content ui-widget-content">
		<form id="parcelasDetalle_detail_form">
			<div id ="parcelasDetalle_detail_feedback"></div>
			<input type="hidden" id="modalIdEstParcelaDetalle" name="establecimientoData.idEstablecimiento"/>
			<input type="hidden" id="modalIdParcelaDetalle" name="idParcela"/>
			<input type="hidden" id="modalTipoRegistroDetalle" name="tipoRegistro" value="0"/>
			<div class="row">
				<div class="col-xs-4 form-group">
					<label for="modalNumParcelaDetalle" class="required"><spring:message code="formDatosEspecificos.numParcela"/></label>
					<input type="text" class="form-control" name="numParcela" id="modalNumParcelaDetalle" maxlength="4"/>
				</div>
				<div class="col-xs-4 form-group">
					<label for="modalNombreDetalle" class="required"><spring:message code="establecimiento.nombre"/></label>
					<input type="text" class="form-control" name="nombre" id="modalNombreDetalle" maxlength="25"/>
				</div>
			</div>
			
			<div class="row">
				<div class="col-xs-4 form-group">
					<label for="modalSuperficieDetalle" class="required"><spring:message code="formDatosEspecificos.superficie"/></label>
					<input type="text" class="form-control" name="numSuperficie" id="modalSuperficieDetalle" maxlength="7"/>
				</div>
			</div>
			
			<div class="row">
				<div class="col-xs-4 form-group">
					<input id="modalElectricidadDetalle" type="checkbox" name="electricidad" value="0"></input>
					<label for="modalElectricidadDetalle"><spring:message code="formDatosEspecificos.electricidad"/></label>
				</div>
				<div class="col-xs-4 form-group">
					<input id="modalAguaDetalle" type="checkbox" name="agua" value="0"></input>
					<label for="modalAguaDetalle"><spring:message code="formDatosEspecificos.agua"/></label>
				</div>
				<div class="col-xs-4 form-group">
					<input id="modalDesagueDetalle" type="checkbox" name="desague" value="0"></input>
					<label for="modalDesagueDetalle"><spring:message code="formDatosEspecificos.desague"/></label>
				</div>
			</div>
			
			<div class="row">
				<div class="col-xs-4 form-group">
					<label for="modalNumPlazasDetalle" class="required"><spring:message code="formEstructuraHabVivienda.plazas"/></label>
					<input type="text" class="form-control" name="numPlazas" id="modalNumPlazasDetalle" maxlength="4"/>
				</div>
				<div class="col-xs-4 form-group">
					<label for="modalAccesibilidad"><spring:message code="formDatosEspecificos.accesibilidad"/></label><br>
					<input type="radio" id="modalAccesibilidadSi" name="accesibilidad" value="1"/><spring:message code="formDatosEspecificos.si"/>
					<input type="radio" id="modalAccesibilidadNo" name="accesibilidad" value="0" checked="checked"/><spring:message code="formDatosEspecificos.no"/>
				</div>
				<div class="col-xs-4 form-group">
					<input id="modalAlbergueFijo" type="checkbox" name="albergueFijo" value="0"></input>
					<label for="modalAlbergueFijo"><spring:message code="formDatosEspecificos.albergueFijo"/></label>
				</div>
			</div>
			<div class="row">
				<div class="col-xs-12 form-group">					
					<div class="container row">
						<label  for="modalOtrasCaracteristicas" class="label"><spring:message code="formDatosEspecificos.otrasCaracteristicas"/></label>
						<textarea data-autoresize="" id="modalOtrasCaracteristicas" name="otrasCaracteristicas" class="form-control" style="height: 45px;" maxlength="300"></textarea>
						<span class="mark-length ml-auto text-black-50"></span>
					</div>
				</div>
			</div>					
		</form>
	</div>
				
	<div class="rup-table-buttonpane ui-widget-content ui-helper-clearfix">
		<div class="ui-dialog-buttonset rup_tableEdit_buttonsContainerResponsive">
		
			
						
			<button id="parcelasDetalle_detail_button_save" class="btn btn-outline-primary rup_tableEdit_buttonsResponsive" type="button">
				<spring:message code="save" />
			</button>
			
			<button id="parcelasDetalle_detail_button_cancel"
				 class="btn btn-outline-primary rup_tableEdit_buttonsResponsive" type="button"><spring:message code="cancel" />
			</button>
		</div>
	</div>
</div>