<%@ page language="java" contentType="text/html; charset=UTF-8" pageEncoding="UTF-8"%>
<%@include file="/WEB-INF/includeTemplate.inc"%>
<%@taglib prefix="form" uri="/WEB-INF/tld/spring-form.tld"%>
<%@taglib prefix="tiles" uri="/WEB-INF/tld/tiles-jsp.tld"%>
<%@page import="java.util.List,org.springframework.validation.ObjectError"%>
<%@ taglib prefix="c" uri="http://java.sun.com/jsp/jstl/core"%>

<div id="parcelas_detail_div" class="rup-table-formEdit-detail">
	<div id ="parcelas_detail_navigation"></div>
	<div class="ui-dialog-content ui-widget-content">
		<form id="parcelas_detail_form">
			<div id ="parcelas_detail_feedback"></div>
			<input type="hidden" id="modalIdEstParcela" name="establecimientoData.idEstablecimiento"/>
			<input type="hidden" id="modalIdParcela" name="idParcela"/>
			<input type="hidden" id="modalTipoRegistro" name="tipoRegistro" value="1"/>
			<div class="row">
				<div class="col-xs-4 form-group">
					<label for="modalNombre" class="required"><spring:message code="establecimiento.nombre"/></label>
					<input type="text" class="form-control" name="nombre" id="modalNombre" maxlength="25"/>
				</div>
			</div>
			
			<div class="row">
				<div class="col-xs-4 form-group">
					<label for="modalSuperficie" class="required"><spring:message code="formDatosEspecificos.superficie"/></label>
					<input type="text" class="form-control" name="numSuperficie" id="modalSuperficie" maxlength="7"/>
				</div>
			</div>
			
			<div class="row">
				<div class="col-xs-4 form-group">
					<input id="modalElectricidad" type="checkbox" name="electricidad" value="0"></input>
					<label for="modalElectricidad"><spring:message code="formDatosEspecificos.electricidad"/></label>
				</div>
				<div class="col-xs-4 form-group">
					<input id="modalAgua" type="checkbox" name="agua" value="0"></input>
					<label for="modalAgua"><spring:message code="formDatosEspecificos.agua"/></label>
				</div>
				<div class="col-xs-4 form-group">
					<input id="modalDesague" type="checkbox" name="desague" value="0"></input>
					<label for="modalDesague"><spring:message code="formDatosEspecificos.desague"/></label>
				</div>
			</div>
			
			<div class="row">
				<div class="col-xs-4 form-group">
					<label for="modalNumPlazas" class="required"><spring:message code="formEstructuraHabVivienda.plazas"/></label>
					<input type="text" class="form-control" name="numPlazas" id="modalNumPlazas" maxlength="4"/>
				</div>
				<div class="col-xs-4 form-group">
					<label  class="required" for="modalNumUnidades"><spring:message code="formDatosEspecificos.unidades"/></label>
					<input type="text" class="form-control" name="numUnidades" id="modalNumUnidades" maxlength="4"/>
				</div>
				<div class="col-xs-4 form-group">
					<label for="modalTotalPlazas"><spring:message code="formDatosEspecificos.totalPlazas"/></label>
					<input type="text" class="form-control" name="totalPlazas" id="modalTotalPlazas" readonly="readonly"/>
				</div>
			</div>					
		</form>
	</div>
				
	<div class="rup-table-buttonpane ui-widget-content ui-helper-clearfix">
		<div class="ui-dialog-buttonset rup_tableEdit_buttonsContainerResponsive">
		
			
						
			<button id="parcelas_detail_button_save" class="btn btn-outline-primary rup_tableEdit_buttonsResponsive" type="button">
				<spring:message code="save" />
			</button>
			
			<button id="parcelas_detail_button_cancel"
				 class="btn btn-outline-primary rup_tableEdit_buttonsResponsive" type="button"><spring:message code="cancel" />
			</button>
		</div>
	</div>
</div>