<%@ page language="java" contentType="text/html; charset=UTF-8" pageEncoding="UTF-8"%>
<%@include file="/WEB-INF/includeTemplate.inc"%>
<%@taglib prefix="form" uri="/WEB-INF/tld/spring-form.tld"%>
<%@taglib prefix="tiles" uri="/WEB-INF/tld/tiles-jsp.tld"%>
<%@page import="java.util.List,org.springframework.validation.ObjectError"%>
<%@ taglib prefix="c" uri="http://java.sun.com/jsp/jstl/core"%>

<div id="zonaOcio_detail_div" class="rup-table-formEdit-detail">
	<div id ="zonaOcio_detail_navigation"></div>
	<div class="ui-dialog-content ui-widget-content">
		<form id="zonaOcio_detail_form">
			<div id ="zonaOcio_detail_feedback"></div>
			<input type="hidden" id="modalIdEstZonaOcio" name="establecimientoData.idEstablecimiento"/>
			<input type="hidden" id="modalIdZonaOcio" name="idZonaOcio"/>
			<div class="row">
				<div class="col-xs-3 form-group">
					<label for="modalNumSuperficieZonaOcio" class="required"><spring:message code="formDatosEspecificos.numSuperficie"/></label>
					<input type="text" class="form-control" name="numSuperficie" id="modalNumSuperficieZonaOcio" maxlength="7"/>
				</div>
			</div>
			
			<div class="row">
				<div class="col-xs-10 form-group">					
					<div class="container row">
						<label  for="modalDescripcionZonaOcio" class="label"><spring:message code="formDatosEspecificos.descripcion"/></label>
						<textarea data-autoresize="" id="modalDescripcionZonaOcio" name="descripcion" class="form-control" style="height: 45px;" maxlength="300"></textarea>
						<span class="mark-length ml-auto text-black-50"></span>
					</div>
				</div>
			</div>
			
			<div class="row">
				<div class="col-xs-10 form-group">					
					<div class="container row">
						<label  for="modalDescripcionZonaOcioEu" class="label"><spring:message code="formDatosEspecificos.descripcionEu"/></label>
						<textarea data-autoresize="" id="modalDescripcionZonaOcioEu" name="descripcionEu" class="form-control" style="height: 45px;" maxlength="300"></textarea>
						<span class="mark-length ml-auto text-black-50"></span>
					</div>
				</div>
			</div>				
		</form>
	</div>
				
	<div class="rup-table-buttonpane ui-widget-content ui-helper-clearfix">
		<div class="ui-dialog-buttonset rup_tableEdit_buttonsContainerResponsive">
		
			
						
			<button id="zonaOcio_detail_button_save" class="btn btn-outline-primary rup_tableEdit_buttonsResponsive" type="button">
				<spring:message code="save" />
			</button>
			
			<button id="zonaOcio_detail_button_cancel"
				 class="btn btn-outline-primary rup_tableEdit_buttonsResponsive" type="button"><spring:message code="cancel" />
			</button>
		</div>
	</div>
</div>