<%@include file="/WEB-INF/includeTemplate.inc"%>	
<%@page import="com.ejie.x38.security.UserCredentials"%>
<%@page import="java.util.*" %> 
<%@taglib prefix="c" uri="http://java.sun.com/jsp/jstl/core"%>
<%@taglib prefix="form" uri="/WEB-INF/tld/spring-form.tld"%>


<section>
<input type="hidden" id="idExpediente" value= "${idExpediente}"/>
	<nav class="navbar navbar-light bg-light navbar-secundario">
		<div class="container">
			<div class="pull-left">
				<div class="color-gris"><spring:message code="fexpediente.titulo" /></div>
				<h4 data-toggle="tooltip" id="tituloExp" title="${nombreExpediente}">${nombreExpediente}</h4>	
			</div>
			<div id="btnInfoExpPadre" class="d-none">
			  	<a id="botonCollapse" data-toggle="collapse" href="#collapseExample" role="button" aria-expanded="false" aria-controls="collapseExample">
			   		<i id="plus" class="fa fa-plus-circle" aria-hidden="true"></i><i id="minus" class="fa fa-minus-circle" aria-hidden="true" style="display:none"></i>
			 	</a>
			</div>
			<div class="ml-auto">
				<c:if test="${initForm.expedienteOficio == true}">
					<button type="button" id="btnInicioOficioRefresh" class="btn btn-primary btn-circle btn-lg " data-toggle="tooltip" data-placement="bottom" title='<spring:message code="fexpediente.boton.refresh" />'>
						<i class="fa fa-refresh" aria-hidden="true"></i>
					</button>
				</c:if>
				<c:if test="${isCloseExpediente eq true}">
					<c:if test="${hasProcedimientoInicioOficio == true}">
						<button type="button" id="btnInicioOficio" class="btn btn-primary btn-circle btn-lg btnExpOficio" data-toggle="tooltip" data-placement="bottom" title='<spring:message code="fexpediente.boton.expOficio" />'>
							<i class="fa fa-folder-open-o" aria-hidden="true"></i>
						</button>
					</c:if> 
					<c:if test="${hasProcedimientoInicioOficio == false}">
						<button type="button" id="btnInicioOficio" class="btn btn-primary btn-circle btn-lg btnExpOficio disabled" data-toggle="tooltip" data-placement="bottom" title='<spring:message code="fexpediente.boton.expOficio" />'>
							<i class="fa fa-folder-open-o" aria-hidden="true"></i>
						</button>
					</c:if>
				</c:if>
				<c:if test="${isCloseExpediente eq false}">
					<button type="button" id="btnInicioOficio" class="btn btn-primary btn-circle btn-lg btnExpOficio disabled" data-toggle="tooltip" data-placement="bottom" title='<spring:message code="fexpediente.boton.expOficio" />'>
						<i class="fa fa-folder-open-o" aria-hidden="true"></i>
					</button>
				</c:if>
				<c:if test="${isEnableAccessCenso == false}">
					<button type="button" id="btnCenso" class="btn btn-primary btn-circle btn-lg btnCenso disabled " data-toggle="tooltip" data-placement="bottom" title='<spring:message code="fexpediente.boton.censo" />'>
						<i class="fa fa-chain" aria-hidden="true"></i>
					</button>
				</c:if> 
				<c:if test="${isEnableAccessCenso == true}">
					<button type="button" id="btnCenso" class="btn btn-primary btn-circle btn-lg btnCenso " data-toggle="tooltip" data-placement="bottom" title='<spring:message code="fexpediente.boton.censo" />'>
						<i class="fa fa-chain" aria-hidden="true"></i>
					</button>
				</c:if>
				<c:if test="${isInspectionable eq true}">
					<c:if test="${isEnableAccessInspecciones == false}">
						<button type="button" id="btnEnlaceIns" class="btn btn-primary btn-circle btn-lg disabled" data-toggle="tooltip" data-placement="bottom" title='<spring:message code="fexpediente.boton.inspecciones" />'>
							<i class="fa fa-binoculars" aria-hidden="true"></i>
						</button>
					</c:if>
					<c:if test="${isEnableAccessInspecciones == true}">
						<button type="button" id="btnEnlaceIns" class="btn btn-primary btn-circle btn-lg" data-toggle="tooltip" data-placement="bottom" title='<spring:message code="fexpediente.boton.inspecciones" />'>
							<i class="fa fa-binoculars" aria-hidden="true"></i>
						</button>
					</c:if>
					<c:if test="${isEnableInspect == false}">
						<button type="button" id="btnInspeccionar" class='btnInspeccionar btn btn-primary btn-circle btn-lg disabled'  data-toggle="tooltip" data-placement="bottom" title='<spring:message code="fexpediente.inspeccionar"/>'>
							<i class="fa fa-briefcase" aria-hidden="true"></i>
						</button>					
					</c:if>
					<c:if test="${isEnableInspect == true}">
						<button type="button" id="btnInspeccionar" class='btnInspeccionar btn btn-primary btn-circle btn-lg'  data-toggle="tooltip" data-placement="bottom" title='<spring:message code="fexpediente.inspeccionar"/>'>
							<i class="fa fa-briefcase" aria-hidden="true"></i>
						</button>					
					</c:if>
				</c:if>
				<c:if test="${hasSecondButton == true }">
					<c:if test="${isEnableExecuteAction == false or isEnableSaveButton == false}">
						<button type="button"  id="btnAction" class="btn btn-primary btn-circle btn-lg action disabled" disabled="disabled" data-toggle="tooltip" data-placement="bottom" title='<spring:message code="fexpediente.action.${titleButtons}"/>'>
							<i class="fa fa-plus" aria-hidden="true"></i>
						</button>
					</c:if>
					<c:if test="${isEnableExecuteAction == true and isEnableSaveButton == true}">
						<button type="button"  id="btnAction" class="btn btn-primary btn-circle btn-lg action" data-toggle="tooltip" data-placement="bottom" title='<spring:message code="fexpediente.action.${titleButtons}"/>'>
							<i class="fa fa-plus" aria-hidden="true"></i>
						</button>
					</c:if>
				</c:if>
				<c:if test="${isEnableSaveButton == false}">
					<button type="button"  id="btnGuardar" class="btn btn-primary btn-circle btn-lg grabar disabled" disabled="disabled" data-toggle="tooltip" data-placement="bottom" title='<spring:message code="fexpediente.guardar.${titleButtons}"/>'>
						<i class="fa fa-floppy-o" aria-hidden="true"></i>
					</button>
				</c:if>
				<c:if test="${isEnableSaveButton == true}">
					<button type="button"  id="btnGuardar" class="btn btn-primary btn-circle btn-lg grabar" data-toggle="tooltip" data-placement="bottom" title='<spring:message code="fexpediente.guardar.${titleButtons}"/>'>
						<i class="fa fa-floppy-o" aria-hidden="true"></i>
					</button>
				</c:if>
				
				
				<div class="dropdown d-inline-block">
					<button type="button" class="nav-link btn btn-default btn-circle btn-lg dropdown-toggle sinFlecha" aria-haspopup="true" aria-haspopup="true" aria-expanded="false" data-toggle="dropdown" id="navDropdown">
						<i class="fa fa-ellipsis-h" aria-hidden="true" data-toggle="tooltip" data-placement="bottom" title='<spring:message code="fexpediente.opciones"/>'></i>
					</button>
					<div class="dropdown-menu" aria-labelledby="navDropdown">
					<c:if test="${ isEnableCreateDocs == false }">
						<a href="#" id="btnGenerarDoc" class="dropdown-item disabled" data-toggle="tooltip" title="<spring:message code="fexpediente.generarDocumento"/>"><i class="fa fa-file-text" aria-hidden="true" ></i><spring:message code="fexpediente.generarDocumento"/></a>
					</c:if>
					<c:if test="${ isEnableCreateDocs == true }">
						<a href="#" id="btnGenerarDoc"  class="dropdown-item" data-toggle="tooltip" title="<spring:message code="fexpediente.generarDocumento"/>"><i class="fa fa-file-text" aria-hidden="true"></i><spring:message code="fexpediente.generarDocumento"/></a>
					</c:if>
						<a href="${urlVerDocumentos}" class="dropdown-item" target="_blank" data-toggle="tooltip" title="<spring:message code="fexpediente.verDocumento"/>"><i class="fa fa-files-o" aria-hidden="true" ></i><spring:message code="fexpediente.verDocumento"/></a>
						<a href="${urlVerDocumentosOrigen}" target="_blank"  data-toggle="tooltip" class="dropdown-item ${hasExpedienteOrigen == true ? '' : 'd-none' }" id="verDocumentosOrigen"  title="<spring:message code="boton.verDocumentoExpedienteOrigen"/>"><i class="fa fa-files-o" aria-hidden="true"></i> <spring:message code="boton.verDocumentoExpedienteOrigen"/></a>
					</div>
				</div>
			</div>
		</div>
		<div class="container">
			<div class="pull-left">
				<div class="color-gris"><spring:message code="fexpediente.header.procedimiento" /></div>
				<h4 data-toggle="tooltip" class="tituloProcedimientos" title="${initForm.tituloProcedimientoCompleto}">${initForm.tituloProcedimientoCompleto}</h4>	
			</div>
		</div>
		
		<div class="container">		
			<div class="collapse" id="collapseExample">
				<div class="row col-xs-12">
					<div class="pull-left">
			  			<div class="color-gris"><spring:message code="fexpediente.header.expedientePadre" /></div>
			  			<h4 id="expedientePadre" class="headerInspecciones" data-toggle="tooltip"></h4>
			  		</div>
			  		<div class="pull-left">
			  			<div class="color-gris"><spring:message code="fexpediente.header.tituloPadre" /></div>
			  			<h4 id="tituloPadre" class="headerInspecciones" data-toggle="tooltip"></h4>
			  		</div>
		  		</div>
		  		<div class="row col-xs-12">
			  		<div id="tituloProcPadre" class="color-gris col-xs-12 p-0"><spring:message code="fexpediente.header.procedimientoPadre" /></div>
			  		<h4 id="procedimientoPadre" data-toggle="tooltip"></h4>	
			  	</div>				
		  	</div>
	  	</div>
	
 		<c:if test="${not empty expedienteMigrado }">
			<div class="container">
				<div id="feedbackError" role="alert" class="rup-feedback ui-widget ui-widget-content ui-corner-all rup-feedback_image rup-feedback_image_alert" style="display: block; visibility: visible; opacity: 100;">
					<span class="rup-feedback-icon"></span>
					<div id="feedbackError_content">
						<spring:message code="fexpediente.msg.expedienteMigrado"/>
					</div>
				</div>
			</div>
		</c:if>
		<c:if test="${not empty modificacionSinTemp }">
			<div class="container">
				<div id="feedbackError" role="alert" class="rup-feedback ui-widget ui-widget-content ui-corner-all rup-feedback_image rup-feedback_image_error" style="display: block; visibility: visible; opacity: 100;">
					<span class="rup-feedback-icon"></span>
					<div id="feedbackError_content">
						<spring:message code="fexpediente.msg.expedienteErrorTemp"  arguments="${identificadorEstablecimiento}"/>
					</div>
				</div>
			</div>
		</c:if>
	</nav>
</section>	
<!-- Formulario de detalle -->

<div id="dialogs" style="display: none"></div>
<div id="dialogsEstudioTecnico" style="display: none"></div>