<%@include file="/WEB-INF/includeTemplate.inc"%>
<%@taglib prefix="form" uri="/WEB-INF/tld/spring-form.tld"%>
<%@taglib prefix="tiles" uri="/WEB-INF/tld/tiles-jsp.tld"%>
<%@taglib prefix="c" uri="http://java.sun.com/jsp/jstl/core"%>
<%@page import="com.ejie.ab63.comun.Constantes"%>
<c:set var="PEST_EXPEDIENTE" value="<%=Constantes.PESTANA_EXPEDIENTE%>" />
<c:set var="PEST_ASOCIAR_ESTABLECIMIENTO" value="<%=Constantes.PESTANA_ASOCIAR_ESTABLECIMIENTO%>" />
<c:set var="PEST_CAMBIOS_PENDIENTES" value="<%=Constantes.PESTANA_CAMBIOS_PENDIENTES%>" />
<c:set var="PEST_OBSERVACIONES" value="<%=Constantes.PESTANA_OBSERVACIONES%>" />
	<div class="rup-tabs_container ui-tabs ui-corner-all ui-widget ui-widget-content">
		<ul class="ui-tabs-nav ui-corner-all ui-helper-reset ui-helper-clearfix ui-widget-header">
		<c:if test="${not empty PESTANA_EXPEDIENTE }">
			<c:if test="${PEST_EXPEDIENTE eq currentPage}">
				<li role="presentation" id="pestanaExpediente"  class="ui-tabs-tab ui-corner-top ui-state-default ui-tab ui-tabs-active ui-state-active"><a id="enlacePestanaExpediente" href="#" class="ui-tabs-anchor" ><spring:message code="fexpediente.menu.datos" /></a></li>
			</c:if>
			<c:if test="${PEST_EXPEDIENTE ne currentPage}">
				<li role="presentation" id="pestanaExpediente" class="ui-tabs-tab ui-corner-top ui-state-default ui-tab"><a id="enlacePestanaExpediente" href="#" onclick="accederPestana('fichaExpediente')" class="ui-tabs-anchor" ><spring:message code="fexpediente.menu.datos" /></a></li>
			</c:if>
		</c:if>
		<c:if test="${not empty PESTANA_ASOCIAR_ESTABLECIMIENTO }">
			<c:if test="${PEST_ASOCIAR_ESTABLECIMIENTO eq currentPage}">
				<li role="asociarEstablecimiento" id="pestanaAsociarEstablecimiento" class="ui-tabs-tab ui-corner-top ui-state-default ui-tab ui-tabs-active ui-state-active"><a id="enlacePestanaAsociarEstablecimiento" href="#" class="ui-tabs-anchor" ><spring:message code="fexpediente.menu.asociarEstablecimientos" /></a></li>
			</c:if>
			<c:if test="${PEST_ASOCIAR_ESTABLECIMIENTO ne currentPage}">
				<li role="asociarEstablecimiento" id="pestanaAsociarEstablecimiento" class="ui-tabs-tab ui-corner-top ui-state-default ui-tab"><a id="enlacePestanaAsociarEstablecimiento" href="#" onclick="accederPestana('fichaExpediente/asociarEstablecimiento')" class="ui-tabs-anchor"><spring:message code="fexpediente.menu.asociarEstablecimientos" /></a></li>
			</c:if>
		</c:if>
		<c:if test="${not empty PESTANA_CAMBIOS_PENDIENTES }">
			<c:if test="${PEST_CAMBIOS_PENDIENTES eq currentPage}">
				<li role="cambiosPendientes" id="pestanaCambiosPendientes" class="ui-tabs-tab ui-corner-top ui-state-default ui-tab ui-tabs-active ui-state-active"><a id="enlacePestanaCambiosPendientes" href="#" class="ui-tabs-anchor"><spring:message code="fexpediente.menu.cambiosPendientes" /></a></li>
			</c:if>
			<c:if test="${PEST_CAMBIOS_PENDIENTES ne currentPage}">
				<li role="cambiosPendientes" id="pestanaCambiosPendientes" class="ui-tabs-tab ui-corner-top ui-state-default ui-tab ${not empty modificacionSinTemp? 'disabled':'' }"><a id="enlacePestanaCambiosPendientes" href="#" onclick="accederPestana('fichaExpediente/cambiosPendientes')" class="ui-tabs-anchor"><spring:message code="fexpediente.menu.cambiosPendientes" /></a></li>
			</c:if>
		</c:if>
		<c:if test="${not empty PESTANA_OBSERVACIONES }">
			<c:if test="${PEST_OBSERVACIONES eq currentPage}">
				<li role="observaciones" id="pestanaObservaciones" class="ui-tabs-tab ui-corner-top ui-state-default ui-tab ui-tabs-active ui-state-active"><a id="enlacePestanaObservaciones" href="#" class="ui-tabs-anchor"><spring:message code="fexpediente.menu.observaciones" /></a></li>
			</c:if>
			<c:if test="${PEST_OBSERVACIONES ne currentPage}">
				<li role="observaciones" id="pestanaObservaciones" class="ui-tabs-tab ui-corner-top ui-state-default ui-tab"><a id="enlacePestanaObservaciones" href="#" onclick="accederPestana('fichaExpediente/observaciones')" class="ui-tabs-anchor"><spring:message code="fexpediente.menu.observaciones" /></a></li>
			</c:if>
		</c:if>
	
		</ul>
	</div>
	
		<div id="space"></div>
		<div id="fichaExpGeneralfeedBack"></div>