<%@ page language="java" contentType="text/html; charset=UTF-8" pageEncoding="UTF-8"%>
<%@include file="/WEB-INF/includeTemplate.inc"%>
<%@taglib prefix="form" uri="/WEB-INF/tld/spring-form.tld"%>
<%@taglib prefix="tiles" uri="/WEB-INF/tld/tiles-jsp.tld"%>
<%@page import="java.util.List,org.springframework.validation.ObjectError"%>
<%@ taglib prefix="c" uri="http://java.sun.com/jsp/jstl/core"%>

<form id="categorias_filter_form">
	<div id="categorias_filter_toolbar" class="formulario_legend d-none" ></div>
		<fieldset id="categorias_filter_fieldset" class="rup-table-filter-fieldset" >
			<div class="panel panel-default">
				<div class="panel-heading"><spring:message code="busquedaREATE.criteriosBusqueda"/></div>
					<div class="panel-body">
						
						<div class="row">
							<div class="col-xs-1 form-group">
								<label for="idCategorias_filter_table"><spring:message code="tablasmaestras.categoria.id"/></label><br/>
								<input type="text" name="idCategorias" class="form-control" id="idCategorias_filter_table"/>	
							</div>
							
							<div class="col-xs-3 form-group">
								<input type="hidden" name="tipoEstablecimiento.idTipoEstablecimiento" id="tipoEstablecimiento_filter_table"/>
								<label for="idComboTipoEstablecimiento"><spring:message code="establecimiento.tipoEstablecimiento"/></label>
								<select id="idComboTipoEstablecimiento" class="form-control"></select>
							</div>
							<div class="col-xs-3 form-group">
								<label for="descCategoriaEs"><spring:message code="tablasmaestras.categoria.descripcionEs"/></label><br/>
								<input type="text" name="descCategoriaEs" class="form-control" id="descCategoriaEs_filter_table"/>				
							</div>
							<div class="col-xs-3 form-group">
								<label for="descCategoriaEu"><spring:message code="tablasmaestras.categoria.descripcionEu"/></label><br/>
								<input type="text" name="descCategoriaEu" class="form-control" id="descCategoriaEu_filter_table"/>				
							</div>
							
							<div class="col-xs-1 form-group">
								<label for="baja"><spring:message code="tablasmaestras.categoria.baja"/></label><br/>
								<input name="baja" type="checkbox" id="baja_filter_table"/>
							</div>
							<div class="col-xs-1 form-group"></div>
						
						</div>
					</div>
			</div>
			<div id="categorias_filter_buttonSet" class="right_buttons d-none">	
				<button id="categorias_filter_cleanButton" type="button" class="btn btn-warning rup-limpiar">
					<i class="fa fa-eraser"></i>
					<span><spring:message code="clear" /></span>
				</button>
				
				<button id="categorias_filter_filterButton" type="button" class="btn rup-filtrar rup-filter-dropdown" >
					<i class="fa fa-filter"></i>
					<span><spring:message code="filter" /></span>
				</button>
			</div>
		</fieldset>
</form>