<%@ page language="java" contentType="text/html; charset=UTF-8" pageEncoding="UTF-8"%>
<%@include file="/WEB-INF/includeTemplate.inc"%>
<%@taglib prefix="form" uri="/WEB-INF/tld/spring-form.tld"%>
<%@taglib prefix="tiles" uri="/WEB-INF/tld/tiles-jsp.tld"%>
<%@page import="java.util.List,org.springframework.validation.ObjectError"%>
<%@ taglib prefix="c" uri="http://java.sun.com/jsp/jstl/core"%>

<div id="tiposEst_detail_div" class="rup-table-formEdit-detail">
	<div id ="tiposEst_detail_navigation"></div>
	<div class="ui-dialog-content ui-widget-content">
		<form id="tiposEst_detail_form">
		<div id ="tiposEst_detail_feedback"></div>
						
			<div class="row">
				<div class="col-xs-2 form-group">
					<label for="modalIdTipoEstablecimiento"><spring:message code="tablasmaestras.tipoEstablecimiento.id"/></label><br/>
					<input id="modalIdTipoEstablecimiento" type="text" class="form-control" maxlength="1" name="idTipoEstablecimiento"></input>
				</div>
				
				<div class="col-xs-4 form-group">
					<label for="modalOrdenacion"><spring:message code="tablasmaestras.tipoEstablecimiento.ordenacion"/></label>
					<select id="modalOrdenacion" class="form-control" aria-disabled="false" tabindex="0" name="ordenacion" >
						<option value=""></option>
						<option value="0"><spring:message code="tablasmaestras.tipoEstablecimiento.reclamaciones"/></option>
						<option value="1"><spring:message code="tablasmaestras.tipoEstablecimiento.ordenacion"/></option>
					</select>
				</div>
				
				<div class="col-xs-4 form-group">
					<label for="modalTipificacion"><spring:message code="tablasmaestras.tipoEstablecimiento.tipificacion"/></label>
					<select id="modalTipificacion" class="form-control"  aria-disabled="false" tabindex="0" name="tipificacion" >
						<option value=""></option>
						<option value="A"><spring:message code="tablasmaestras.tipoEstablecimiento.tipificacion.alojamiento"/></option>
						<option value="M"><spring:message code="tablasmaestras.tipoEstablecimiento.tipificacion.mediacion"/></option>
						<option value="P"><spring:message code="tablasmaestras.tipoEstablecimiento.tipificacion.profesiones"/></option>
						<option value="Q"><spring:message code="tablasmaestras.tipoEstablecimiento.tipificacion.otrasAcampadas"/></option>
						<option value="R"><spring:message code="tablasmaestras.tipoEstablecimiento.tipificacion.interes"/></option>
						<option value="O"><spring:message code="tablasmaestras.tipoEstablecimiento.tipificacion.otros"/></option>
					</select>
				</div>
						
				<div class="col-xs-2 form-group">
					<label for="modalBaja"><spring:message code="tablasmaestras.categoria.baja"/></label><br/>
					<input id="modalBaja" type="checkbox" name="baja" value="1"></input>
				</div>	
			</div>
			
			<div class="row">
				<div class="col-xs-6 form-group">
					<label for="modalDescTipoEs"><spring:message code="tablasmaestras.tipoEstablecimiento.descripcionEs"/></label><br/>
					<input type="text" name="descTipoEs" class="form-control" id="modalDescTipoEs"/>				
				</div>
				<div class="col-xs-6 form-group">
					<label for="modalDescTipoEu"><spring:message code="tablasmaestras.tipoEstablecimiento.descripcionEu"/></label><br/>
					<input type="text" name="descTipoEu" class="form-control" id="modalDescTipoEu"/>				
				</div>
			</div>
						
			<div class="row">
				<div class="col-xs-6 form-group">
					<label for="modalProcedimientoLeyEs"><spring:message code="tablasmaestras.tipoEstablecimiento.procedimientoLeyEs"/></label>
					<input id="modalProcedimientoLeyEs" type="text" class="form-control" maxlength="200" name="procedimientoLeyEs"></input>
				</div>
				<div class="col-xs-6 form-group">
					<label for="modalProcedimientoLeyEu"><spring:message code="tablasmaestras.tipoEstablecimiento.procedimientoLeyEu"/></label>
					<input id="modalProcedimientoLeyEu" type="text" class="form-control" maxlength="200" name="procedimientoLeyEu"></input>
				</div>
			</div>
						
			<div class="row">
				<div class="col-xs-6 form-group">
					<label for="modalProcedimientoDecretoEs"><spring:message code="tablasmaestras.tipoEstablecimiento.procedimientoDecretoEs"/></label>
					<input id="modalProcedimientoDecretoEs" type="text" class="form-control" maxlength="200" name="procedimientoDecretoEs"></input>
				</div>
				<div class="col-xs-6 form-group">
					<label for="modalProcedimientoDecretoEu"><spring:message code="tablasmaestras.tipoEstablecimiento.procedimientoDecretoEu"/></label>
					<input id="modalProcedimientoDecretoEu" type="text" class="form-control" maxlength="200" name="procedimientoDecretoEu"></input>
				</div>
			</div>
			
								
		</form>
	</div>
				
	<div class="rup-table-buttonpane ui-widget-content ui-helper-clearfix">
		<div class="ui-dialog-buttonset rup_tableEdit_buttonsContainerResponsive">
						
			<button id="tiposEst_detail_button_save" class="btn btn-outline-primary rup_tableEdit_buttonsResponsive" type="button">
				<spring:message code="save" />
			</button>
			
			<button id="tiposEst_detail_button_cancel"
				 class="btn btn-outline-primary rup_tableEdit_buttonsResponsive" type="button"><spring:message code="cancel" />
			</button>
		</div>
	</div>
</div>