<%@ page language="java" contentType="text/html; charset=UTF-8" pageEncoding="UTF-8"%>
<%@include file="/WEB-INF/includeTemplate.inc"%>
<%@taglib prefix="form" uri="/WEB-INF/tld/spring-form.tld"%>
<%@taglib prefix="tiles" uri="/WEB-INF/tld/tiles-jsp.tld"%>
<%@page import="java.util.List,org.springframework.validation.ObjectError"%>
<%@ taglib prefix="c" uri="http://java.sun.com/jsp/jstl/core"%>

<div id="tiposHab_detail_div" class="rup-table-formEdit-detail">
	<div id ="tiposHab_detail_navigation"></div>
	<div class="ui-dialog-content ui-widget-content">
		<form id="tiposHab_detail_form">
		<div id ="tiposHab_detail_feedback"></div>
						
			<div class="row">
				<div class="col-xs-2 form-group">
					<label for="modalIdTipoHabitacion"><spring:message code="tablasmaestras.categoria.id"/></label><br/>
					<input id="modalIdTipoHabitacion" type="text" class="form-control" maxlength="2" name="idTipoHabitacion"></input>
				</div>
				
				<div class="col-xs-5 form-group">
					<label for="modalDescTipoEs"><spring:message code="tablasmaestras.categoria.descripcionEs"/></label><br/>
					<input id="modalDescTipoEs" type="text" class="form-control" maxlength="110" name="descTipoEs"></input>					
				</div>
				<div class="col-xs-5 form-group">
					<label for="modalDescTipoEu"><spring:message code="tablasmaestras.categoria.descripcionEu"/></label><br/>
					<input id="modalDescTipoEu" type="text" class="form-control" maxlength="110" name="descTipoEu"></input>					
				</div>
				
								
			</div>
			
			<div class="row">
			
				<div class="col-xs-2 form-group">
					<label for="modalNumPlazas"><spring:message code="tablasmaestras.tipoHab.numPlazas"/></label><br/>
					<input id="modalNumPlazas" type="text" class="form-control" name="numPlazas" maxlength="4"></input>
				</div>
				
				<div class="col-xs-3 form-group">
					<label for="modalIndivdobl">Tipo:</label>
					<select name="indivdobl" id="modalIndivdobl" class="form-control">
						<option value="0"><spring:message code="tablasmaestras.tipoHab.ind"/></option>
						<option value="1"><spring:message code="tablasmaestras.tipoHab.doble"/></option>
						<option value="2"><spring:message code="tablasmaestras.tipoHab.multiple"/></option>
					</select>
				</div>
							
				<div class="col-xs-2 form-group">
					<label for="modalConsalon"><spring:message code="tablasmaestras.tipoHab.salon"/></label>
					<select name="consalon" id="modalConsalon" class="form-control">
						<option value="0"><spring:message code="establecimiento.no"/></option>
						<option value="1"><spring:message code="establecimiento.si"/></option>
					</select>
				</div>
				
				<div class="col-xs-4 form-group">
					<label for="modalBaja"><spring:message code="tablasmaestras.categoria.baja"/></label>
					<select name="baja" id="modalBaja" class="form-control">
						<option value="0"><spring:message code="establecimiento.no"/></option>
						<option value="1"><spring:message code="establecimiento.si"/></option>
					</select>			
				</div>
			</div>						
		</form>
	</div>
				
	<div class="rup-table-buttonpane ui-widget-content ui-helper-clearfix">
		<div class="ui-dialog-buttonset rup_tableEdit_buttonsContainerResponsive">
						
			<button id="tiposHab_detail_button_save" class="btn btn-outline-primary rup_tableEdit_buttonsResponsive" type="button">
				<spring:message code="save" />
			</button>
			
			<button id="tiposHab_detail_button_cancel"
				 class="btn btn-outline-primary rup_tableEdit_buttonsResponsive" type="button"><spring:message code="cancel" />
			</button>
		</div>
	</div>
</div>