package com.ejie.ab63.serviciosWeb;

import javax.jws.WebMethod;
import javax.jws.WebParam;
import javax.jws.WebService;
import javax.jws.soap.SOAPBinding;
import javax.jws.soap.SOAPBinding.ParameterStyle;

import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.context.support.SpringBeanAutowiringSupport;

import com.ejie.ab63.service.serviciosWeb.model.DatosEstablecimientoWS;
import com.ejie.ab63.exceptions.Ab63Exception;
import com.ejie.ab63.service.serviciosWeb.ServiciosWebService;

/**
 * 
 *  
 *
 */
@WebService(serviceName = "ab63WebService", portName = "ab63WebServicePort", targetNamespace = "http://com.ejie.ab63.serviciosWeb")
@SOAPBinding(parameterStyle = ParameterStyle.WRAPPED)
public class WebServiceImpl extends SpringBeanAutowiringSupport {

	@Autowired
	ServiciosWebService serviciosWebService;

	/**
	 * 
	 * @param idListado
	 * @param listaBusquedas
	 * @param aplicacion
	 * @return
	 * @throws Ab63Exception
	 */
	@WebMethod
	public String actualizarEstablecimiento(@WebParam(name = "folderId") String folderId,
			@WebParam(name = "datosEstablecimientoWS") DatosEstablecimientoWS datosEstablecimientoWS,
			@WebParam(name = "usuario") String usuario) throws Ab63Exception {
		return serviciosWebService.actualizarEstablecimiento(folderId, datosEstablecimientoWS, usuario);
	}

}
